VERSION 5.00
Begin VB.Form MoveFrm02 
   Caption         =   "Graph Selection Form"
   ClientHeight    =   4668
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   4608
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   ScaleHeight     =   0.333
   ScaleMode       =   0  'User
   ScaleWidth      =   4608
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   495
      Left            =   2880
      TabIndex        =   9
      Top             =   3960
      Width           =   1575
   End
   Begin VB.CommandButton cmdGraph 
      Caption         =   "Make Graph"
      Height          =   495
      Left            =   120
      TabIndex        =   8
      Top             =   3960
      Width           =   1575
   End
   Begin VB.Frame frGraph 
      Caption         =   "Graph:"
      Height          =   2052
      Left            =   120
      TabIndex        =   2
      ToolTipText     =   "Select what you want to graph"
      Top             =   1680
      Width           =   4332
      Begin VB.OptionButton optMv3Y 
         Caption         =   "Yp"
         Height          =   252
         Left            =   3600
         TabIndex        =   14
         ToolTipText     =   "MOVE.3 Residuals vs Predicted Y"
         Top             =   1200
         Width           =   492
      End
      Begin VB.OptionButton optMV3X 
         Caption         =   "X"
         Height          =   252
         Left            =   3000
         TabIndex        =   13
         ToolTipText     =   "MOVE.3 Residuals vs X"
         Top             =   1200
         Width           =   492
      End
      Begin VB.OptionButton optMV1Y 
         Caption         =   "Yp"
         Height          =   252
         Left            =   3600
         TabIndex        =   12
         ToolTipText     =   "MOVE.3 Residuals vs Predicted Y"
         Top             =   661
         Width           =   492
      End
      Begin VB.OptionButton optMV1X 
         Caption         =   "X"
         Height          =   252
         Left            =   3000
         TabIndex        =   11
         ToolTipText     =   "MOVE.1 Residuals vs X"
         Top             =   661
         Width           =   492
      End
      Begin VB.OptionButton optGraphAll 
         Caption         =   "All"
         Height          =   375
         Left            =   240
         TabIndex        =   6
         ToolTipText     =   "Graph Paired Data, MOVE1 Line, and MOVE 3 Line"
         Top             =   1560
         Width           =   2415
      End
      Begin VB.OptionButton optGraphPDMv3 
         Caption         =   "Paired Data and MOVE3 Line"
         Height          =   375
         Left            =   240
         TabIndex        =   5
         ToolTipText     =   "Graph Paired Data and MOVE 3 Line"
         Top             =   1139
         Width           =   2652
      End
      Begin VB.OptionButton optGraphPDMv1 
         Caption         =   "Paired Data and MOVE1 Line"
         Height          =   375
         Left            =   240
         TabIndex        =   4
         ToolTipText     =   "Graph Paired Data and MOVE 1 Line"
         Top             =   600
         Width           =   2652
      End
      Begin VB.OptionButton optGraphPairedData 
         Caption         =   "Paired Data"
         Height          =   375
         Left            =   240
         TabIndex        =   3
         ToolTipText     =   "Graph only paired data"
         Top             =   240
         Value           =   -1  'True
         Width           =   1815
      End
      Begin VB.Line Line1 
         X1              =   2880
         X2              =   4200
         Y1              =   480
         Y2              =   480
      End
      Begin VB.Label Label3 
         Caption         =   "Residuals vs:"
         Height          =   252
         Left            =   2880
         TabIndex        =   10
         Top             =   240
         Width           =   1332
      End
   End
   Begin VB.ComboBox cmbLTStation 
      Height          =   288
      ItemData        =   "MoveFrm02.frx":0000
      Left            =   120
      List            =   "MoveFrm02.frx":0002
      TabIndex        =   0
      ToolTipText     =   "Select Long-Term Station"
      Top             =   1200
      Width           =   4332
   End
   Begin VB.Label Label2 
      Caption         =   "GRAPH:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   3015
   End
   Begin VB.Label Label1 
      Caption         =   "Select Long-Term Station"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   3375
   End
End
Attribute VB_Name = "MoveFrm02"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
'
' Purpose:
' To load form & set combo array
' History:
' Version 2.0 Dec. 2005 by G.E. Granato
' Arguments
Dim strCmbTxt As String
Dim lngI As Long


Me.Show


For lngI = 1 To lngnumsta ' set up combo box with values
 strCmbTxt = strInStations(lngI) & " Correlation: " & dCorr(lngI)
 Me.cmbLTStation.AddItem strCmbTxt, (lngI - 1)
Next lngI
' Set to first station
Me.cmbLTStation.ListIndex = 0

Me.cmbLTStation.Refresh

If bnMOVE3(1) = False Then 'bMOVE3 need to set to control flow
 Me.optGraphPDMv3.Enabled = False
 Me.optMV3X.Enabled = False
 Me.optMv3Y.Enabled = False
 Me.optGraphAll.Enabled = False
End If

End Sub

Private Sub cmbLTStation_Click()
 Dim strCmbTxt As String
 
 lngSelectedSta = (Me.cmbLTStation.ListIndex) + 1
 
 If bnMOVE3(lngSelectedSta) = False Then 'bMOVE3 need to set to control flow
  Me.optGraphPDMv3.Enabled = False
  Me.optMV3X.Enabled = False
  Me.optMv3Y.Enabled = False
  Me.optGraphAll.Enabled = False
 Else
  Me.optGraphPDMv3.Enabled = True
  Me.optMV3X.Enabled = True
  Me.optMv3Y.Enabled = True
  Me.optGraphAll.Enabled = True
 End If

End Sub

Private Sub cmdGraph_Click()
'
' Purpose:
' To Launch Graph form
' History:
' Version 2.0 Dec. 2005 by G.E. Granato
' Arguments
 Dim strMsgstr As String ' messagebox string

 If dCorr(lngSelectedSta) <= 0# Then
  strMsgstr = "Warning station: " & strInStations(lngSelectedSta) & _
  " cannot be used for this analysis. " & vbCrLf & _
  "Please select a station with a positive correlation coefficient."
  MsgBox strMsgstr, vbOKOnly, "WARNING!"
  Exit Sub
 End If
 
 Me.MousePointer = 11 'or vbHourglass
 If Me.optGraphPairedData.Value = True Then
  intGraph = 1
 ElseIf Me.optGraphPDMv1.Value = True Then
  intGraph = 2
 ElseIf Me.optGraphPDMv3.Value = True Then
  intGraph = 3
 ElseIf Me.optGraphAll.Value = True Then
  intGraph = 4
 ElseIf Me.optMV1X.Value = True Then
  intGraph = 5
 ElseIf Me.optMV1Y.Value = True Then
  intGraph = 6
 ElseIf Me.optMV3X.Value = True Then
  intGraph = 7
 ElseIf Me.optMv3Y.Value = True Then
  intGraph = 8
 End If
 
 MoveFrm02.Hide
 
 lngGraphPairs = fnPairs(lngSelectedSta)
 
 
 MoveFrm03.Show
 Me.MousePointer = 1 'or vbArrow

End Sub


Private Sub cmdClose_Click()
'
' Purpose:
' To close this and if applicable the graphing form
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim intMsgResult As Integer     ' Message box result
Dim StrErrMsg As String         ' Error Message
On Error GoTo Err_cmdClose_Click:
' Check close action
  strMsgString = "Do you wish to exit the graphing interface?"
  intMsgResult = MsgBox(strMsgString, vbYesNo, "Exit?: ")
  If intMsgResult = 7 Then  'vbNo
   Exit Sub
  Else
   Unload MoveFrm03
   Unload Me                      ' Close current form
  End If
  Exit Sub
  
Err_cmdClose_Click:
  strMsgString = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox strMsgString, vbExclamation, "Error!"

End Sub


Public Function fnPairs(lngStaSelected As Long) As Long
'
' Purpose to count paired values
'
' Version 1.0 Dec 2005 by G.E. Granato
' Arguments
Dim lngLL As Long
Dim lngL As Long

lngLL = 0

For lngL = 1 To lngNumPRQs
 If dPRQ(lngL) > 0# And dPPRQ(lngStaSelected, lngL) > 0# Then
  lngLL = lngLL + 1
 End If
Next lngL

 fnPairs = lngLL
 
End Function
