VERSION 5.00
Object = "{65E121D4-0C60-11D2-A9FC-0000F8754DA1}#2.0#0"; "mschrt20.ocx"
Begin VB.Form MoveFrm03 
   Caption         =   "Graphing Form"
   ClientHeight    =   8592
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   10920
   ControlBox      =   0   'False
   Enabled         =   0   'False
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8592
   ScaleWidth      =   10920
   Begin VB.CommandButton cmdPrintForm 
      Caption         =   "Print Graph"
      Height          =   375
      Left            =   9720
      TabIndex        =   2
      Top             =   7560
      Width           =   1095
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   9720
      TabIndex        =   1
      Top             =   8160
      Width           =   1095
   End
   Begin MSChart20Lib.MSChart MSChart1 
      Height          =   7092
      Left            =   120
      OleObjectBlob   =   "MoveFrm03.frx":0000
      TabIndex        =   0
      Top             =   120
      Width           =   9492
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   10320
      Top             =   2640
   End
   Begin VB.Label Label3 
      Caption         =   "Label3"
      Height          =   252
      Left            =   120
      TabIndex        =   5
      Top             =   8280
      Width           =   9492
   End
   Begin VB.Label Label2 
      Caption         =   "Label2"
      Height          =   372
      Left            =   120
      TabIndex        =   4
      Top             =   7920
      Visible         =   0   'False
      Width           =   9492
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   492
      Left            =   120
      TabIndex        =   3
      Top             =   7320
      Width           =   9492
   End
End
Attribute VB_Name = "MoveFrm03"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim strPlot As String           ' what are we plotting
Dim strPlot2 As String          ' Partial record station name
Dim sChartArray() As Single     ' data to plot
Dim lngPRI() As Long            ' paired record station index
Dim lngNumPRIG As Long


Private Sub Form_Load()
'
' Purpose:
' To load form & set Graph array
' History:
' Version 2.0 Dec. 2005 by G.E. Granato
' NOV 2007 Added index station number an R to annotation
' Arguments
Dim lngI As Long                       ' Long Integer index number
Dim lngColCount
Dim lngK As Long
Dim strOutStr As String

If Trim(strPRSTAName) <> "" And Trim(strPRStation) <> "" Then
 If strPRStation <> strPRSTAName Then
  strPlot2 = " for " & strPRStation & " " & strPRSTAName & " by station: " & strInStations(lngSelectedSta) & " R =" & _
  Format(dCorr(lngSelectedSta), "0.000")
 Else
  strPlot2 = " for " & strPRStation & " " & strPRSTAName & " by station: " & strInStations(lngSelectedSta) & " R =" & _
  Format(dCorr(lngSelectedSta), "0.000")
 End If
ElseIf Trim(strPRStation) <> "" Then
 strPlot2 = " for station: " & strPRStation & " by station: " & strInStations(lngSelectedSta) & " R =" & _
 Format(dCorr(lngSelectedSta), "0.000")
Else
 strPlot2 = ""
End If

' get dim for matching nonzero flows
lngNumPRIG = 0
For lngI = 1 To lngNumPRQs
 If dPRQ(lngI) > 0 And dPPRQ(lngSelectedSta, lngI) > 0 Then
  lngNumPRIG = lngNumPRIG + 1
 End If
Next lngI

Me.Label2.Visible = False
Me.Label3.Visible = False

Me.Enabled = True
' Set up graph array and form title
 ReDim lngPRI(1 To lngNumPRIG) As Long            ' partial record station index

If intGraph = 1 Then
 strPlot = "Data" & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 2) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
 lngColCount = 2
 
ElseIf intGraph = 2 Then
 strPlot = "Data and MOVE.1 Line " & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 4) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
 lngColCount = 4
 Me.Label2.Visible = True
 Me.Label2.Caption = "MOVE.1 Eq.: Log10(Yi) = " & mv1Int(lngSelectedSta) & " + " & mv1Slope(lngSelectedSta) & " Log10(Xi) "
 Me.Label3.Visible = False
 
ElseIf intGraph = 3 Then
 strPlot = "Data and MOVE.3 Line " & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 4) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
  lngColCount = 4
  Me.Label2.Visible = True
  Me.Label2.Caption = "MOVE.3 Eq.: Log10(Yi) = " & mv3Int(lngSelectedSta) & " + " & mv3Slope(lngSelectedSta) & " Log10(Xi) "
  Me.Label3.Visible = False
  
ElseIf intGraph = 4 Then
 strPlot = "Data, MOVE.1, and MOVE.3 Lines" & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 6) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
  lngColCount = 6
 Me.Label2.Visible = True
 Me.Label2.Caption = "MOVE.1 Eq.: Log10(Yi) = " & mv1Int(lngSelectedSta) & " + " & mv1Slope(lngSelectedSta) & " Log10(Xi) "
 Me.Label3.Visible = True
 Me.Label3.Caption = "MOVE.3 Eq.: Log10(Yi) = " & mv3Int(lngSelectedSta) & " + " & mv3Slope(lngSelectedSta) & " Log10(Xi) "

ElseIf intGraph = 5 Then
 strPlot = "Residuals vs X for MOVE.1 Line " & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 2) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
 lngColCount = 2
 Me.Label2.Visible = True
 Me.Label2.Caption = "MOVE.1 Eq.: Log10(Yi) = " & mv1Int(lngSelectedSta) & " + " & mv1Slope(lngSelectedSta) & " Log10(Xi) "
 Me.Label3.Visible = False
 
ElseIf intGraph = 6 Then
 strPlot = "Residuals vs Y for MOVE.1 Line " & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 2) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
 lngColCount = 2
 Me.Label2.Visible = True
 Me.Label2.Caption = "MOVE.1 Eq.: Log10(Yi) = " & mv1Int(lngSelectedSta) & " + " & mv1Slope(lngSelectedSta) & " Log10(Xi) "
 Me.Label3.Visible = False

ElseIf intGraph = 7 Then
 strPlot = "Residuals vs X for MOVE.3 Line  " & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 2) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
  lngColCount = 2
  Me.Label2.Visible = True
  Me.Label2.Caption = "MOVE.3 Eq.: Log10(Yi) = " & mv3Int(lngSelectedSta) & " + " & mv3Slope(lngSelectedSta) & " Log10(Xi) "
  Me.Label3.Visible = False

ElseIf intGraph = 8 Then
 strPlot = "Residuals vs Y for MOVE.3 Line  " & strPlot2
 ReDim sChartArray(1 To lngNumPRIG, 1 To 2) ' Charted data 1 X's 1 Y's #1&2 data #3&4 line
  lngColCount = 2
  Me.Label2.Visible = True
  Me.Label2.Caption = "MOVE.3 Eq.: Log10(Yi) = " & mv3Int(lngSelectedSta) & " + " & mv3Slope(lngSelectedSta) & " Log10(Xi) "
  Me.Label3.Visible = False

End If

Me.Label1.Caption = strPlot


If lngSelectedSta = 0 Then lngSelectedSta = 1
lngK = 1
For lngI = 1 To lngNumPRQs

 If dPRQ(lngI) > 0 And dPPRQ(lngSelectedSta, lngI) > 0 Then
   lngPRI(lngK) = lngI          ' partial record station index
  If intGraph = 1 Then ' XY Data
   sChartArray(lngK, 1) = (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
   sChartArray(lngK, 2) = Log(dPRQ(lngI)) / Log(10#)
  ElseIf intGraph = 2 Then ' XY Data & MOVE.1
   sChartArray(lngK, 1) = (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
   sChartArray(lngK, 2) = Log(dPRQ(lngI)) / Log(10#)
   sChartArray(lngK, 3) = Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)
   sChartArray(lngK, 4) = mv1Int(lngSelectedSta) + mv1Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
  ElseIf intGraph = 3 Then  ' XY Data & MOVE.3
   sChartArray(lngK, 1) = (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
   sChartArray(lngK, 2) = Log(dPRQ(lngI)) / Log(10#)
   sChartArray(lngK, 3) = Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)
   sChartArray(lngK, 4) = mv3Int(lngSelectedSta) + mv3Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
  ElseIf intGraph = 4 Then  ' XY Data & MOVE.1 & MOVE.3
   sChartArray(lngK, 1) = (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
   sChartArray(lngK, 2) = Log(dPRQ(lngI)) / Log(10#)
   sChartArray(lngK, 3) = Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)
   sChartArray(lngK, 4) = mv1Int(lngSelectedSta) + mv1Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
   sChartArray(lngK, 5) = Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)
   sChartArray(lngK, 6) = mv3Int(lngSelectedSta) + mv3Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
  ElseIf intGraph = 5 Then 'MOVE.1 Residuals vs X
   sChartArray(lngK, 1) = (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
   sChartArray(lngK, 2) = (Log(dPRQ(lngI)) / Log(10#)) - (mv1Int(lngSelectedSta) + mv1Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)))
  ElseIf intGraph = 6 Then 'MOVE.1 Residuals vs Y predicted
   sChartArray(lngK, 1) = (mv1Int(lngSelectedSta) + mv1Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)))
   sChartArray(lngK, 2) = (Log(dPRQ(lngI)) / Log(10#)) - (mv1Int(lngSelectedSta) + mv1Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)))
  ElseIf intGraph = 7 Then 'MOVE.3 Residuals vs X
   sChartArray(lngK, 1) = (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#))
   sChartArray(lngK, 2) = (Log(dPRQ(lngI)) / Log(10#)) - (mv3Int(lngSelectedSta) + mv3Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)))
  ElseIf intGraph = 8 Then 'MOVE.3 Residuals vs Y predicted
   sChartArray(lngK, 1) = (mv3Int(lngSelectedSta) + mv3Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)))
   sChartArray(lngK, 2) = (Log(dPRQ(lngI)) / Log(10#)) - (mv3Int(lngSelectedSta) + mv3Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngI)) / Log(10#)))
  End If
 lngK = lngK + 1
 End If
Next lngI



' Initialize Chart object
With Me.MSChart1
      .chartType = 16                     ' Displays a 2d x-y chart
      .ColumnCount = lngColCount          ' 4 columns 2 xy pairs 1 for line 1 for data
      .RowCount = lngK             ' number of rows = number of data ponts
      .ShowLegend = True                  ' show legend
       If intGraph <= 4 Then
       .Footnote.Text = "Log10Yi vs Log10Xi"
       .ToolTipText = "Chart of partial record data"   'Hover text
       ElseIf intGraph = 5 Then
       .Footnote.Text = "MOVE.1 Residuals vs Log10Xi"
       .ToolTipText = "Chart of residuals"   'Hover text
       ElseIf intGraph = 6 Then
       .Footnote.Text = "MOVE.1 Residuals vs Log10Yp"
       .ToolTipText = "Chart of residuals"   'Hover text
       ElseIf intGraph = 7 Then
       .Footnote.Text = "MOVE.3 Residuals vs Log10Xi"
       .ToolTipText = "Chart of residuals"   'Hover text
       ElseIf intGraph = 8 Then
       .Footnote.Text = "MOVE.3 Residuals vs Log10Yp"
       .ToolTipText = "Chart of residuals"   'Hover text
       End If
      .Footnote.Location.LocationType = VtChLocationTypeBottomRight
      .Legend.Location.LocationType = VtChLocationTypeRight
      .TitleText = strPRStation
      .Title.Location.LocationType = VtChLocationTypeTopRight
      .AllowSeriesSelection = False
End With
With Me.MSChart1.Plot
      If intGraph <= 4 Then
      ' Assign X header
      .Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisTitle.Text = "X: Station : " & strInStations(lngSelectedSta) & " Log10(Flow)"
      ' Assign Y header
      .Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisTitle.Text = "Y: Station : " & strPRStation & " Log10(Flow)"
      ' Assign Explanation text
      .SeriesCollection(1).LegendText = "Data"
      ElseIf intGraph = 5 Or intGraph = 7 Then
      ' Assign X header
      .Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisTitle.Text = "X: Station : " & strInStations(lngSelectedSta) & " Log10(Flow)"
      ' Assign Y header
      .Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisTitle.Text = "R: Regression Residual of Log10(Flow)"
      ' Assign Explanation text
      .SeriesCollection(1).LegendText = "Residuals (ei)"
      ElseIf intGraph = 6 Or intGraph = 8 Then
      ' Assign X header
      .Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisTitle.Text = "Ypredicted: " & strPRStation & " Log10(Flow) from: " & strInStations(lngSelectedSta)
      ' Assign Y header
      .Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisTitle.Text = "R: Regression Residual of Log10(Flow)"
      ' Assign Explanation text
      .SeriesCollection(1).LegendText = "Residuals (ei)"
      End If
      ' Set Axis type
      .Axis(VtChAxisIdX).AxisScale.Type = VtChScaleTypeLinear
'      .Axis(VtChAxisIdX).ValueScale.Minimum = sChartArray(lngK, 1)
'      .Axis(VtChAxisIdX).ValueScale.Maximum = STXYArr(1, lngNum)
      .SeriesCollection(1).Pen.Style = VtPenStyleNull
      .SeriesCollection(1).SeriesMarker.Auto = True
End With
      If intGraph = 2 Then Me.MSChart1.Plot.SeriesCollection(3).LegendText = "MOVE1 Line"
      If intGraph = 3 Then Me.MSChart1.Plot.SeriesCollection(3).LegendText = "MOVE3 Line"
      If intGraph = 4 Then
       Me.MSChart1.Plot.SeriesCollection(3).LegendText = "MOVE1 Line"
       Me.MSChart1.Plot.SeriesCollection(5).LegendText = "MOVE3 Line"
      End If

' Assign data to chart
MSChart1.ChartData = sChartArray()
' Reset series marker property to allow manual manipulation
MSChart1.Plot.SeriesCollection.Item(1).SeriesMarker.Auto = False
' set series marker properties
With MSChart1.Plot.SeriesCollection(1).DataPoints(-1)
   ' Set DataPoint marker visible.
     .Offset = 0#
     .Brush.Style = VtBrushStyleSolid
     .EdgePen.Style = VtPenStyleSolid
     .Marker.Style = VtMarkerStyleCircle
     .Marker.Visible = True
     .Marker.Size = 70
     .ResetCustom
End With

       ' Set plot location properties
        MSChart1.Plot.UniformAxis = False
        MSChart1.Plot.LocationRect.Max.X = 7700
        MSChart1.Plot.LocationRect.Min.X = 700
        MSChart1.Plot.LocationRect.Max.Y = 7000
        MSChart1.Plot.LocationRect.Min.Y = 400



' MSChart1.Enabled = False
MSChart1.Refresh

End Sub

Private Sub cmdPrintForm_Click()
'
' Purpose:
' To print form 2
' History:
' Version 1.0 May 2004 by G.E. Granato
'
' Arguments
Dim strPrintername As String             ' printername
Dim strMsgText                           ' message box text
On Error GoTo Err_CmdPrintForm_Click:    ' Set up error handler.
 'Set Auto Redraw property to Yes
 Me.AutoRedraw = True
 
     Screen.MousePointer = vbHourglass
    Clipboard.Clear
    DoEvents
    keybd_event VK_MENU, 0, 0, 0          ' Plant "Alt" key
    DoEvents
    keybd_event VK_SNAPSHOT, 0, 0, 0
    DoEvents
    keybd_event VK_MENU, 0, KEYEVENTF_KEYUP, 0     ' Release "Alt" key
    MoveFrm04.Show
    Screen.MousePointer = vbDefault
    MoveFrm04.Timer1.Enabled = True
    Exit Sub

Err_CmdPrintForm_Click:
   If Err = 32755 Then
    Exit Sub
   ElseIf Err = 364 Then
    Exit Sub
   Else
    strMsgText = "The form can't be printed."
    MsgBox strMsgText   ' Display message.
   End If
   Exit Sub
End Sub


Private Sub cmdClose_Click()
'
' Purpose:
' To close this  graphing form
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim intMsgResult As Integer     ' Message box result
Dim StrErrMsg As String         ' Error Message
On Error GoTo Err_cmdClose_Click:
 'Just exit
   MoveFrm02.Show                 ' unhide form 2
   Unload Me                      ' Close current form
   Exit Sub
' Check close action
  strMsgString = "Do you wish to exit the graph form?"
  intMsgResult = MsgBox(strMsgString, vbYesNo, "Exit?: ")
  If intMsgResult = 7 Then  'vbNo
   Exit Sub
  Else
   MoveFrm02.Show
   Unload Me                      ' Close current form
  End If
  Exit Sub
  
Err_cmdClose_Click:
  strMsgString = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox strMsgString, vbExclamation, "Error!"

End Sub



Private Sub MSChart1_PointSelected(Series As Integer, DataPoint As Integer, MouseFlags As Integer, Cancel As Integer)
'
' Purpose:
' To identify errant points and allow for printing to output file if intselectMultiline=0 (default)
' To identify break-points in data when specifying a multi-line model if intselectMultiline<>0 set in
' intselectMultiline<>0 set incmdSelectBreaks
' History:
' Version 1.0 May 2004 by G.E. Granato
'
' Arguments
Dim strMsgText As String       ' Message box text
Dim strMsgTop As String        ' Message box header string
Dim strHeaderText As String    ' Builds output text
Dim strLineText As String      ' Builds output text
Dim intMsgResult As Integer    ' Returns message box result
Dim sXTPointVal As Single       ' Transformed line value
Dim sYTPointVal As Single       ' Transformed line value
Dim stmpPerct As Single        ' temporary x percentile
Dim strMsgstr As String        ' Error message
Dim strHeadStr As String
Dim intOUTfnum As Integer
Dim lngIndex As Long
Dim strA As String
Dim strB As String
Dim QA As Double
Dim QB As Double

On Error GoTo Point_Err:

lngIndex = lngPRI(DataPoint)


sXTPointVal = sChartArray(DataPoint, 1)
sYTPointVal = sChartArray(DataPoint, 2)

strMsgText = "Point selected: " & vbCrLf & _
"Long-Term Gaging Station  (Xi): " & strInStations(lngSelectedSta) & vbCrLf & _
"Partial Record Gaging Station (Yi): " & strPRStation & vbCrLf & _
"Measurement Date: " & dtMyDate(lngIndex) & vbCrLf & "Data:" & vbCrLf
 
 ' X values
 strA = STRQ(dPPRQ(lngSelectedSta, lngIndex), 1)
 strB = STRQ((Log(dPPRQ(lngSelectedSta, lngIndex)) / Log(10#)), 0)
 strMsgText = strMsgText & "Xi: " & strA & "   Log10(Xi): " & strB & vbCrLf
 
 'Y values
 strA = STRQ(dPRQ(lngIndex), 1)
 strB = STRQ((Log(dPRQ(lngIndex)) / Log(10#)), 0)
 strMsgText = strMsgText & "Yi: " & strA & "   Log10(Yi): " & strB & vbCrLf
 
 If intGraph = 2 Or intGraph = 4 Or intGraph = 5 Or intGraph = 6 Then
 
   QA = mv1Int(lngSelectedSta) + mv1Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngIndex)) / Log(10#))
   QB = (Log(dPRQ(lngIndex)) / Log(10#)) - QA
   
   strA = STRQ(QA, 0)
   strB = STRQ(QB, 0)
   
  strMsgText = strMsgText & "MOVE.1 Log10(Yi): " & strA & "  Residual for Log10(Yi): " & strB & vbCrLf

 End If
 
 If intGraph = 3 Or intGraph = 4 Or intGraph = 7 Or intGraph = 8 Then
 
   QA = mv3Int(lngSelectedSta) + mv3Slope(lngSelectedSta) * (Log(dPPRQ(lngSelectedSta, lngIndex)) / Log(10#))
   QB = (Log(dPRQ(lngIndex)) / Log(10#)) - QA
   
   strA = STRQ(QA, 0)
   strB = STRQ(QB, 0)
 
  strMsgText = strMsgText & "MOVE.3 Log10(Yi): " & strA & "  Residual for Log10(Yi): " & strB & vbCrLf

 End If

strHeadStr = "Print to output data file:" & StrOutputFile

intMsgResult = MsgBox(strMsgText, vbYesNo, strHeadStr)

If intMsgResult = 6 Then ' open Move1 file
 intOUTfnum = FreeFile
 Open StrOutputFile For Append As intOUTfnum
 Print #intOUTfnum, strMsgText
 Close intOUTfnum
End If
   
Exit Sub
Point_Err:
 strMsgstr = "Error: " & Err.Description & vbCrLf & "Please choose a different option and try again."
 MsgBox strMsgstr, vbCritical, "Error:"
End Sub

Private Sub Timer1_Timer()
'
'
' Purpose:
' To set timer object to close form if necessary
'
' History:
' Version 1.0 August 2004 by G.E. Granato
'
' Arguments
 Me.Enabled = False
 Unload Me
End Sub


Private Function STRQ(myQ As Double, mytype As Integer) As String
'
'
' Purpose:
' To format a numeric value by magnitude
' myQ real value in
' mytype flag 0 log 1 linear value
'
' History:
' Version 1.0 August 2004 by G.E. Granato
'
' Arguments
Dim Mytempstr

If mytype = 0 Then

 If myQ < 1 Then
  Mytempstr = Format(myQ, "#0.00000")
 ElseIf myQ < 10 Then
  Mytempstr = Format(myQ, "#0.0000")
 Else
  Mytempstr = Format(myQ, "0.0000E+00")
 End If
Else
 If myQ < 0.001 Then
  Mytempstr = Format(myQ, "0.000E+00")
 ElseIf myQ < 1 Then
  Mytempstr = Format(myQ, "0.000")
 ElseIf myQ < 10 Then
  Mytempstr = Format(myQ, "0.00")
 ElseIf myQ < 100 Then
  Mytempstr = Format(myQ, "#0.0")
 ElseIf myQ < 1000 Then
  Mytempstr = Format(myQ, "#00")
 Else
  Mytempstr = Format(myQ, "0.00E+00")
 End If
End If
 STRQ = Mytempstr
End Function
