VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "Streamflow Record Extension Facilitator"
   ClientHeight    =   7704
   ClientLeft      =   552
   ClientTop       =   708
   ClientWidth     =   9372
   Icon            =   "MoveFrm01.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   7704
   ScaleWidth      =   9372
   Begin VB.CheckBox cbPORDate 
      Caption         =   "Make Period of Record Date File"
      Height          =   372
      Left            =   5520
      TabIndex        =   38
      ToolTipText     =   "Make a boolean (0 or 1) date file"
      Top             =   3720
      Width           =   3492
   End
   Begin VB.CommandButton cmdAbout 
      Caption         =   "About SREF"
      Height          =   492
      Left            =   7800
      TabIndex        =   34
      Top             =   120
      Width           =   1452
   End
   Begin VB.Frame frInputType 
      Caption         =   "Short-Term Record Format"
      Height          =   612
      Left            =   120
      TabIndex        =   31
      Top             =   3000
      Width           =   9132
      Begin VB.OptionButton optMeasRDB 
         Caption         =   "RDB Measurement"
         Height          =   252
         Left            =   4440
         TabIndex        =   37
         ToolTipText     =   "NWIS Web RDB Measurement Format"
         Top             =   240
         Width           =   1692
      End
      Begin VB.OptionButton optFort02 
         Caption         =   "FORTRAN02"
         Height          =   252
         Left            =   7680
         TabIndex        =   36
         ToolTipText     =   "USGS ADAPS long/full format "
         Top             =   240
         Width           =   1332
      End
      Begin VB.OptionButton optFort01 
         Caption         =   "FORTRAN01"
         Height          =   252
         Left            =   6240
         TabIndex        =   35
         ToolTipText     =   "USGS ADAPS short (9207) format "
         Top             =   240
         Width           =   1332
      End
      Begin VB.OptionButton optSTRFNWISDVRDB 
         Caption         =   "NWIS Web Daily Value RDB"
         Height          =   252
         Left            =   1920
         TabIndex        =   33
         ToolTipText     =   "NWIS Web Format: Agency[tab]StationNo[tab]Date[tab]Flow[tab]comment"
         Top             =   240
         Width           =   2400
      End
      Begin VB.OptionButton optSTRF2Col 
         Caption         =   "Column Format"
         Height          =   252
         Left            =   120
         TabIndex        =   32
         ToolTipText     =   "Partial-Record Format Date[tab]Flow and optionaly [tab]comment"
         Top             =   240
         Value           =   -1  'True
         Width           =   1692
      End
   End
   Begin VB.CommandButton cmdGenerateRecord 
      Caption         =   "8. Make Record"
      Enabled         =   0   'False
      Height          =   495
      Left            =   7920
      TabIndex        =   30
      ToolTipText     =   "Open Form to Generate record"
      Top             =   4200
      Width           =   1332
   End
   Begin VB.CommandButton cmdGraph 
      Caption         =   "7. See Graphs"
      Enabled         =   0   'False
      Height          =   495
      Left            =   6360
      TabIndex        =   29
      ToolTipText     =   "View Graphs of Data with or without line"
      Top             =   4200
      Width           =   1332
   End
   Begin VB.CheckBox cbKTLine 
      Caption         =   "Make Kendall-Theil Robust Line Input File"
      Height          =   375
      Left            =   360
      TabIndex        =   28
      ToolTipText     =   "Check to create a Kendall-Theil Robust Line Input File for paired data."
      Top             =   3720
      Width           =   3372
   End
   Begin VB.TextBox tbNflows 
      Height          =   375
      Left            =   5760
      Locked          =   -1  'True
      TabIndex        =   26
      TabStop         =   0   'False
      ToolTipText     =   "Maximum number of days in long-term record, used to dimension arrays"
      Top             =   2400
      Width           =   1452
   End
   Begin VB.TextBox tbEndDate 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "M/d/yyyy"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   3
      EndProperty
      Height          =   375
      Left            =   4320
      TabIndex        =   2
      Text            =   "12/31/2006"
      ToolTipText     =   "Date Month/Day/Year Default Last day of last full water year (Oct. 1 to Sept. 30)"
      Top             =   2400
      Width           =   1092
   End
   Begin VB.TextBox tbBeginDate 
      Height          =   375
      Left            =   2880
      TabIndex        =   1
      Text            =   "01/01/1900"
      ToolTipText     =   "Date Month/Day/Year Default 01/01/1900"
      Top             =   2400
      Width           =   1092
   End
   Begin VB.TextBox tbLongStations 
      Height          =   375
      Left            =   2400
      Locked          =   -1  'True
      TabIndex        =   21
      TabStop         =   0   'False
      Top             =   5040
      Width           =   2412
   End
   Begin VB.Frame fraUserPrompts 
      Caption         =   "User Prompts"
      Height          =   855
      Left            =   7560
      TabIndex        =   8
      ToolTipText     =   "Selection turn detailed user prompts on or off."
      Top             =   1920
      Width           =   1572
      Begin VB.OptionButton optOff 
         Caption         =   "Off"
         Height          =   495
         Left            =   840
         TabIndex        =   20
         ToolTipText     =   "Turn message option on"
         Top             =   240
         Value           =   -1  'True
         Width           =   615
      End
      Begin VB.OptionButton optON 
         Caption         =   "On"
         Height          =   255
         Left            =   120
         TabIndex        =   19
         ToolTipText     =   "Turn message option off"
         Top             =   360
         Width           =   615
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   8640
      Top             =   7080
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdGetLTStations 
      Caption         =   "3. Get USGS Station IDs"
      Height          =   492
      Left            =   120
      TabIndex        =   3
      ToolTipText     =   "Get Long-Term Index Stations"
      Top             =   4200
      Width           =   1332
   End
   Begin VB.CommandButton cmdMOVE 
      Caption         =   "6. Calculate Statistics"
      Enabled         =   0   'False
      Height          =   495
      Left            =   4800
      TabIndex        =   6
      ToolTipText     =   "Calculate regression statistics"
      Top             =   4200
      Width           =   1332
   End
   Begin VB.CommandButton cmdGetLTData 
      Caption         =   "5. Get Index Streamflows"
      Enabled         =   0   'False
      Height          =   495
      Left            =   3240
      TabIndex        =   5
      Tag             =   "Get Paired Values"
      ToolTipText     =   "Get Paired Values"
      Top             =   4200
      Width           =   1332
   End
   Begin VB.CommandButton cmdReadPR 
      Caption         =   "4. Get Partial Record Data"
      Enabled         =   0   'False
      Height          =   495
      Left            =   1680
      TabIndex        =   4
      ToolTipText     =   "Read measurements from the partial record station"
      Top             =   4200
      Width           =   1332
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Exit"
      Height          =   372
      Left            =   3720
      TabIndex        =   7
      Top             =   7200
      Width           =   1455
   End
   Begin VB.TextBox tbDir 
      Height          =   375
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   17
      TabStop         =   0   'False
      Top             =   6480
      Width           =   9132
   End
   Begin VB.TextBox tbZed 
      Height          =   375
      Left            =   6720
      Locked          =   -1  'True
      TabIndex        =   15
      TabStop         =   0   'False
      ToolTipText     =   "Zero Values"
      Top             =   5640
      Width           =   2412
   End
   Begin VB.TextBox tbNumVals 
      Height          =   375
      Left            =   2400
      Locked          =   -1  'True
      TabIndex        =   13
      TabStop         =   0   'False
      ToolTipText     =   "Number of partial record values"
      Top             =   5640
      Width           =   2412
   End
   Begin VB.TextBox tbInputStation 
      Height          =   375
      Left            =   6720
      Locked          =   -1  'True
      TabIndex        =   11
      TabStop         =   0   'False
      Top             =   5040
      Width           =   2412
   End
   Begin VB.Label Label11 
      Caption         =   "Number of Daily Streamflows"
      Height          =   372
      Left            =   5760
      TabIndex        =   27
      Top             =   1920
      Width           =   1452
   End
   Begin VB.Label Label10 
      Caption         =   "Enter beginning and end dates that equal or exceed the available long-term daily record"
      Height          =   852
      Left            =   240
      TabIndex        =   25
      Top             =   1920
      Width           =   2292
   End
   Begin VB.Line Line4 
      X1              =   120
      X2              =   9240
      Y1              =   6960
      Y2              =   6960
   End
   Begin VB.Line Line3 
      X1              =   120
      X2              =   9240
      Y1              =   4800
      Y2              =   4800
   End
   Begin VB.Label Label9 
      Caption         =   "2. End Date: MM/DD/YYYY"
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "M/d/yyyy"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   3
      EndProperty
      Height          =   372
      Left            =   4320
      TabIndex        =   24
      Top             =   1920
      Width           =   1212
   End
   Begin VB.Label Label8 
      Caption         =   "1. Begin Date: MM/DD/YYYY"
      Height          =   372
      Left            =   2880
      TabIndex        =   23
      Top             =   1920
      Width           =   1212
   End
   Begin VB.Line Line2 
      X1              =   120
      X2              =   9240
      Y1              =   2880
      Y2              =   2880
   End
   Begin VB.Label Label7 
      Caption         =   "Number of Long-Term Index Stations:"
      Height          =   372
      Left            =   120
      TabIndex        =   22
      Top             =   5040
      Width           =   2052
   End
   Begin VB.Label Label6 
      Caption         =   "Output Directory:"
      Height          =   252
      Left            =   120
      TabIndex        =   18
      Top             =   6120
      Width           =   2172
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   9240
      Y1              =   1800
      Y2              =   1800
   End
   Begin VB.Label lblZed 
      Caption         =   "Zero Values:"
      Height          =   372
      Left            =   5040
      TabIndex        =   16
      Top             =   5640
      Width           =   1212
   End
   Begin VB.Label Label5 
      Caption         =   "Measurements at the Site of Interest:"
      Height          =   372
      Left            =   120
      TabIndex        =   14
      Top             =   5640
      Width           =   2052
   End
   Begin VB.Label Label4 
      Caption         =   "Station Number Site of Interest:"
      Height          =   372
      Left            =   5040
      TabIndex        =   12
      Top             =   5040
      Width           =   1572
   End
   Begin VB.Label Label3 
      Caption         =   $"MoveFrm01.frx":058A
      Height          =   612
      Left            =   120
      TabIndex        =   10
      Top             =   960
      Width           =   9132
   End
   Begin VB.Label Label2 
      Caption         =   "ggranato@usgs.gov  12/09/2008"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   600
      Width           =   3735
   End
   Begin VB.Label Label1 
      Caption         =   "Streamflow Record Extension  Facilitator (SREF Version 1.0)"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   7095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit          ' Requires programmer to declare all variables
Dim bMOVE3 As Boolean ' boolean variable true if we have independent MOVE.3 estimate false if too few nonconcurrent measurements


Private Sub Form_Load()
'
' Purpose:
' To open the program and initialize form
' History:
'  Version 1.0 Dec 2005 by G.E. Granato
Dim dtLastWY As Date          ' End of last water year
Dim strDate As String         ' End date string
Dim strMsgstr As String       ' Prompt Messages
Dim strINIDIR As String       ' Program directory
Dim strINIFil As String       ' Program file
Dim strINILine As String       ' Program file
Dim bINI As Boolean           ' Does INI file exist
Dim intINIL As Integer        ' INI length and number of lines
Dim intInFil As Integer       ' file unit number
Dim vArr As Variant           ' inputline array
Dim vtmp(1 To 20) As Variant           ' inputline array
Dim lngErr As Long
Dim intcountline As Integer
Dim lngK As Long

Me.Show


' bMOVE3 = True  ' boolean variable true if we have independent MOVE.3 estimate false if too few nonconcurrent measurements

' Assign Default values. Columns are read in a zero based array so the desired column is col-1
'*****************
'1. Daily value RDB format
'1A. NWIS Web Station No.    2
 intDVStation = 2 - 1
'1B. NWIS Web Date   3
 intDVDate = 3 - 1
'1C. NWIS Web Mean Daily Flow    4
 intDVQ = 4 - 1
'1D. NWIS Web Mean Daily Flow Code   5
 intDVQCom = 5 - 1
'*****************
'2. NWIS Web RDB Measurement Format
'2A. NWIS Web Measurement Station No.    2
intRDBStation = 2 - 1
'2B. NWIS Web Measurement No.    3
intRDBQCom = 3 - 1
'2C. NWIS Web Measurement Date   4
intRDBDate = 4 - 1
'2D. NWIS Web Measurement Flow   11
intRDBQ = 11 - 1
'*****************
' FORTRAN FORMATS REQUIRE A LEFT POSITION AND A LENGTH within the line string
'3.  ADAPS 9207 Measurement format
' 3A. FORTRAN01 ADAPS 9207 Measurements No. position
intf01AP = 1
' 3A. FORTRAN01 ADAPS 9207 Measurements No. width
intf01AW = 6
' 3B. FORTRAN01 ADAPS 9207 Measurements Date position
intf01BP = 9
' 3B. FORTRAN01 ADAPS 9207 Measurements Date width
intf01BW = 10
' 3C. FORTRAN01 ADAPS 9207 Measurements Flow position
intf01CP = 62
' 3C. FORTRAN01 ADAPS 9207 Measurements Flow width
intf01CW = 8
'*****************
'4.  FORTRAN02 ADAPS Full Measurements format
' 4A. FORTRAN02 ADAPS Full Measurements No. position
intf02AP = 1
' 4A. FORTRAN02 ADAPS Full Measurements No. width
intf02AW = 6
' 4B. FORTRAN02 ADAPS Full Measurements Date Measurements Date position
intf02BP = 9
' 4B. FORTRAN02 ADAPS Full Measurements DateMeasurements Date width
intf02BW = 10
' 4C. FORTRAN02 ADAPS Full Measurements Flow position
intf02CP = 70
' 4C. FORTRAN02 ADAPS Full Measurements Flow width
intf02CW = 9

' Get SREF.ini or assign values
 strINIDIR = App.Path
 ' add folder slash if necessary
 If Right(strINIDIR, 1) <> "\" Then strINIDIR = strINIDIR & "\"
 ' assign filename
 strINIFil = strINIDIR & "SREF.ini"
 
 bINI = bnCheckFile(strINIFil)

 If bINI = False Then GoTo NoINI:
 
 If FileLen(strINIFil) = 0 Then GoTo NoINI:   'vb6 intrinsic file length function
 
 intInFil = FreeFile()
 Open strINIFil For Input As intInFil
 lngErr = 0
 Line Input #intInFil, strINILine  '1st line # SREF Initialzation file
 Line Input #intInFil, strINILine  '2nd line # Data Column Specification
 intcountline = 0
 For lngK = 1 To 14
  intcountline = intcountline + 1
  Line Input #intInFil, strINILine  '3rd line 1A. NWIS Web Station No.
  vArr = Split(strINILine, Chr(9))  ' split line by tab
  If intcountline < 9 Then
   vtmp(intcountline) = INIVal(vArr(1), 0, 20)
   If vtmp(intcountline) < 0 Then lngErr = lngErr + 1
  Else
   vtmp(intcountline) = INIVal(vArr(1), 0, 240)
   If vtmp(intcountline) < 0 Then lngErr = lngErr + 1
   intcountline = intcountline + 1
   vtmp(intcountline) = INIVal(vArr(2), 0, 20)
   If vtmp(intcountline) < 0 Then lngErr = lngErr + 1
  End If
 Next lngK
 Close intInFil
 
 If lngErr > 0 Then GoTo NoINI:
 
'*****************          '1. Daily value RDB format
 intDVStation = vtmp(1) - 1 '1A. NWIS Web Station No.    2
 intDVDate = vtmp(2) - 1    '1B. NWIS Web Date   3
 intDVQ = vtmp(3) - 1       '1C. NWIS Web Mean Daily Flow    4
 intDVQCom = vtmp(4) - 1    '1D. NWIS Web Mean Daily Flow Code   5
'*****************          '2. NWIS Web RDB Measurement Format
intRDBStation = vtmp(5) - 1 '2A. NWIS Web Measurement Station No.    2
intRDBQCom = vtmp(6) - 1    '2B. NWIS Web Measurement No.    3
intRDBDate = vtmp(7) - 1    '2C. NWIS Web Measurement Date   4
intRDBQ = vtmp(8) - 1       '2D. NWIS Web Measurement Flow   11
'*****************
' FORTRAN FORMATS REQUIRE A LEFT POSITION AND A LENGTH within the line string
'*****************  '3.  ADAPS 9207 Measurement format
intf01AP = vtmp(9)   ' 3A. FORTRAN01 ADAPS 9207 Measurements No. position
intf01AW = vtmp(10)  ' 3A. FORTRAN01 ADAPS 9207 Measurements No. width
intf01BP = vtmp(11)  ' 3B. FORTRAN01 ADAPS 9207 Measurements Date position
intf01BW = vtmp(12)  ' 3B. FORTRAN01 ADAPS 9207 Measurements Date width
intf01CP = vtmp(13)  ' 3C. FORTRAN01 ADAPS 9207 Measurements Flow position
intf01CW = vtmp(14)  ' 3C. FORTRAN01 ADAPS 9207 Measurements Flow width
'*****************  '4.  FORTRAN02 ADAPS Full Measurements format
intf02AP = vtmp(15)  ' 4A. FORTRAN02 ADAPS Full Measurements No. position
intf02AW = vtmp(16)  ' 4A. FORTRAN02 ADAPS Full Measurements No. width
intf02BP = vtmp(17)  ' 4B. FORTRAN02 ADAPS Full Measurements Date Measurements Date position
intf02BW = vtmp(18)  ' 4B. FORTRAN02 ADAPS Full Measurements DateMeasurements Date width
intf02CP = vtmp(19)  ' 4C. FORTRAN02 ADAPS Full Measurements Flow position
intf02CW = vtmp(20)  ' 4C. FORTRAN02 ADAPS Full Measurements Flow width
 
NoINI:

'If Month(Date) <= 3 Then
' strDate = ("9/30/" & (Year(Date) - 2))
'Else
' strDate = ("9/30/" & (Year(Date) - 1))
'End If

' dtLastWY = strDate

dtBeginDate = Me.tbBeginDate.Text
' dtEndDate = dtLastWY

dtEndDate = Month(Now) & "/" & Day(Now) & "/" & Year(Now)

Me.tbEndDate.Text = Format(dtEndDate, "MM/DD/YYYY")
 
lngNDays = (dtEndDate - dtBeginDate) + 1

Me.tbNflows.Text = lngNDays

intPRDateTie = 0

strMsgstr = "This is the Streamflow Record Extension Facilitator (SREF Version 1.0)" & vbCrLf & _
"The program calculates statistics for MOVE.1 and MOVE.3 equations between selected streamflow-gaging stations" & vbCrLf & _
"and a shorter record streamflow-gaging station or a partial record station to estimate streamflow data or statistics." & vbCrLf & _
"To use the program, enter the beginning an end date of the long-term record used for analysis, " & vbCrLf & _
"and then click the command buttons in numerical order.  " & vbCrLf & vbCrLf & _
"If you want detailed user prompts at each step, click Yes in the User Prompts frame.  "

MsgBox strMsgstr, vbInformation, "SREF v. 1.0"

End Sub


Private Sub optON_Click()
'
' Purpose:
' To turn on user prompts
' History:
' Version 1.0 Feb 2007 by G.E. Granato
' Arguments
  bUserPrompts = True ' User prompt variable True = user promts on
End Sub
Private Sub optOff_Click()
'
' Purpose:
' To turn off user prompts
' History:
' Version 1.0 Feb 2007 by G.E. Granato
' Arguments
  bUserPrompts = False ' User prompt variable True = user promts on
End Sub

Private Sub optSTRF2Col_Click()
'
' Purpose:
' To change #4 button text
' History:
' Version 1.0 Feb 2007 by G.E. Granato
' Arguments
Dim strMsgstr As String

Me.cmdReadPR.Caption = "4. Get Partial Record Data"
Me.cmdReadPR.ToolTipText = " Partial-Record Format Date[tab]Flow and optionaly [tab]comment"

If bUserPrompts = True Then
 strMsgstr = "SREF requires a 2- or 3-column tab-delimited input file." & vbCrLf & _
 "This partial-record format is Date[tab]Flow and optionaly [tab]comment."
 MsgBox strMsgstr, vbInformation, "Column Format"
End If

End Sub

Private Sub optSTRFNWISDVRDB_Click()
'
' Purpose:
' To change #4 button text
' History:
' Version 1.0 Feb 2007 by G.E. Granato
' Arguments
Dim strMsgstr As String

Me.cmdReadPR.Caption = "4. Get Short Record Data"
Me.cmdReadPR.ToolTipText = " NWIS Web  Daily-Value Format: Agency[tab]StationNo[tab]Date[tab]Flow[tab]comment"
If bUserPrompts = True Then
 strMsgstr = "SREF requires a 5-column tab-delimited RDB input file." & vbCrLf & _
 "This partial-record format is Agency[tab]StationNo[tab]Date[tab]Flow[tab]comment." & vbCrLf & _
 "The initialization file SREF.ini can be used to set the columns for the short term and the index files."
 MsgBox strMsgstr, vbInformation, "NWIS Web Daily-Value Format"
End If
End Sub

Private Sub optMeasRDB_Click()
'
' Purpose:
' To change #4 button text
' History:
' Version 1.0 Feb 2007 by G.E. Granato
' Arguments
Dim strMsgstr As String

Me.cmdReadPR.Caption = "4. Get Partial Record Data" '
Me.cmdReadPR.ToolTipText = " NWIS Web RDB Measurement Format"
If bUserPrompts = True Then
 strMsgstr = "SREF requires a multicolumn tab-delimited RDB input file." & vbCrLf & _
 "This partial-record format includes station number, measurement number, date and measured discharge." & vbCrLf & _
 "The initialization file SREF.ini can be used to set the columns for the NWIS Web measurement format."
 MsgBox strMsgstr, vbInformation, "NWIS Web RDB Measurement Format"
End If

End Sub
Private Sub optFort01_Click()
'
' Purpose:
' To change #4 button text
' History:
' Version 1.0 Feb 2007 by G.E. Granato
' Arguments
Dim strMsgstr As String

Me.cmdReadPR.Caption = "4. Get Partial Record Data"
Me.cmdReadPR.ToolTipText = "FORTRAN01 USGS ADAPS short (9207) format "
If bUserPrompts = True Then
 strMsgstr = "SREF requires a FORTRAN format input file." & vbCrLf & _
 "This partial-record format includes many fields including measurement number, date and measured discharge." & vbCrLf & _
 "The initialization file SREF.ini can be used to set the field location and length for this FORTRAN measurement format."
 MsgBox strMsgstr, vbInformation, "FORTRAN01 USGS ADAPS short (9207) format."
End If

End Sub

Private Sub optFort02_Click()
'
' Purpose:
' To change #4 button text
' History:
' Version 1.0 Feb 2007 by G.E. Granato
' Arguments
Dim strMsgstr As String

Me.cmdReadPR.Caption = "4. Get Partial Record Data"
Me.cmdReadPR.ToolTipText = "FORTRAN02 USGS ADAPS full format "
If bUserPrompts = True Then
 strMsgstr = "SREF requires a FORTRAN format input file." & vbCrLf & _
 "This partial-record format includes many fields including measurement number, date and measured discharge." & vbCrLf & _
 "The initialization file SREF.ini can be used to set the field location and length for this FORTRAN measurement format."
 MsgBox strMsgstr, vbInformation, "FORTRAN02 USGS ADAPS full format"
End If

End Sub

Private Sub tbBeginDate_GotFocus()
'
' Purpose:
' To provide user instructions for the beginning date of extension period
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Arguments
Dim strMsgstr As String       ' Prompt Messages
If Me.optON.Value = True Then
   strMsgstr = "Please enter a date that is on or before the first day of the longest long-term record." & vbCrLf & _
   "This date must have the format MM/DD/YYYY" & vbCrLf & _
   "The beginning and end dates are used to dimension the array of daily streamflows from " & vbCrLf & _
   "long-term USGS streamflow gaging stations.  The default value is 01/01/1900"

   MsgBox strMsgstr, vbInformation, "Enter Beginning Date:"
  End If

End Sub

Private Sub tbBeginDate_LostFocus()
'
' Purpose:
' To get the beginning date of extension period
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Arguments
'5a Input Beginning Date
Dim sdate, tdate As Date
Dim idate As Date
' sdate start date
On Error GoTo Err_tbBeginDate_LostFocus  'Must be date
sdate = #1/1/1900#     'Jan 01 1900'
tdate = (Date - 1) 'yesterday
idate = Me.tbBeginDate.Text


If (idate <= tdate) Then
 dtBeginDate = idate ' Set date
 lngNDays = (dtEndDate - dtBeginDate) + 1  ' recalculate the number of days
 Me.tbNflows.Text = lngNDays ' update form
Else
 dtBeginDate = #1/1/1900#
 MsgBox "Error! Enter a date between 1900 and yesterday!"
 Me.tbBeginDate.SetFocus
End If

Exit_tbBeginDate_LostFocus:
 Exit Sub
Err_tbBeginDate_LostFocus:
 MsgBox "Error! Enter a date between 1900 and yesterday!"
 Me.tbBeginDate.Text = #1/1/1900#
 dtBeginDate = Me.tbBeginDate.Text
 Me.tbBeginDate.SetFocus
End Sub

Private Sub tbEndDate_GotFocus()
'
' Purpose:
' To provide user instructions for the end date of extension period
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Arguments
Dim strMsgstr As String       ' Prompt Messages
If Me.optON.Value = True Then
   strMsgstr = "Please enter a date that is on or after the last day of the longest long-term record." & vbCrLf & _
   "This date must have the format MM/DD/YYYY" & vbCrLf & _
   "The beginning and end dates are used to dimension the array of daily streamflows from " & vbCrLf & _
   "long-term USGS streamflow gaging stations." & vbCrLf & _
   "The default value is the last day of the previous water year estimated to be available from NWIS Web" & vbCrLf & _
   "based on today's date."

   MsgBox strMsgstr, vbInformation, "Enter End Date:"
  End If

End Sub

Private Sub tbEndDate_LostFocus()
'
' Purpose:
' To get the end date of extension period
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Arguments
'5b Input End Date
Dim sdate, tdate As Date
Dim idate As Date
On Error GoTo Err_tbEndDate_LostFocus  'Must be date

' sdate start date
sdate = dtBeginDate      '#1/1/1900#  'Jan 01 1900'
tdate = Date 'today
idate = Me.tbEndDate

If (idate <= tdate) And (idate >= dtBeginDate) Then
 dtEndDate = idate 'reset end date
 lngNDays = (dtEndDate - dtBeginDate) + 1  ' recalculate the number of days
 Me.tbNflows.Text = lngNDays ' update form
Else
 dtEndDate = ("9/30/" & (Year(Date) - 1))
 MsgBox "Error! Enter a date between Begin Date and today!"
 Me.tbEndDate = dtEndDate
 Me.tbEndDate.SetFocus
End If

Exit_tbEndDate_LostFocus:
 Exit Sub
Err_tbEndDate_LostFocus:
 MsgBox "Error! Enter a date between Begin Date and today!"
 Me.tbEndDate = ("9/30/" & (Year(Date) - 1))
 dtEndDate = Me.tbEndDate
 Me.tbEndDate.SetFocus



End Sub

Private Sub cmdGetLTStations_Click()
'
' Purpose:
' To open station file and get station numbers
' History:
'  Version 1.0 Dec 2005 by G.E. Granato
' Functions
' bnCheckFile(strStaFile As String) As Boolean
' To check that file exists for processing or other action
'
' Arguments
  Dim bnFileExists As Boolean   ' Check variable for file existance
  Dim dtToday As Date           ' Todays date to mark file
  Dim strTestName As String     ' Dummy variable to extract directory name
  Dim StrErrMsg As String       ' Error Message
  Dim strMsgstr As String       ' Prompt Messages
  Dim StrMsgBox As String       ' Error Message
  Dim strinsta As String        ' read input stations
  Dim strinstr As String        ' input string
  Dim strInLine As String       ' Read input line
  Dim strOutStr As String       ' Output file Header information
  Dim intLineLength As Integer  ' Line length index
  Dim intN1 As Integer          ' Dummy variable to extract directory name
  Dim intN2 As Integer          ' Dummy variable to extract directory name
  Dim intMsgResult As Integer   ' message box result
  Dim interrfile As Integer     ' If file exists add number to filename
  Dim intoutfile As Integer     ' If file exists add number to filename
  Dim intUnitNumber As Integer  ' output file unit number
  Dim intdat1 As Integer        ' data type for 1st col 0 = data >0 text
  Dim intdat2 As Integer        ' data type for 2nd col 0 = data >0 text
  Dim intdat3 As Integer        ' data type for 3rd col 0 = data >0 text
  Dim intErrCode As Integer     ' error code returned from subroutines
  Dim varArrLine As Variant     ' Line argument array
  Dim intEC As Integer          ' Integer Error Code1
  Dim intfnum As Integer        ' File unit number
  Dim ln1 As Long               ' counter for good files
  Dim intcount As Integer       ' counter for bad station numbers
  
  On Error GoTo Err_cmdGetLTStations_Click:
' initialize counter
  interrfile = 0
  intoutfile = 0
'
' GET STATION FILE
  ' Inform the user
  If Me.optON.Value = True Then
   strMsgstr = "Please enter the USGS gaging station number file" & vbCrLf & _
   "This file should have the 8-digit long-term USGS gaging station numbers" & vbCrLf & _
   "The format is one 8-digit station number per line, with no leading or trailing lines," & vbCrLf & _
   "no other information will be read. For example" & vbCrLf & _
   "01117500" & vbCrLf & "01118000" & vbCrLf & "01117000" & vbCrLf & "." & vbCrLf & "." & vbCrLf & "." & vbCrLf & _
   "The data files should be USGS NWIS Web RDB files in the same directory and have filenames such as 01118000Q.txt"

   MsgBox strMsgstr, vbInformation, "Choose Station File:"
  End If
' specify title
10 CommonDialog1.DialogTitle = "Specify Input Data File Name"
 'specify available filter
   CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
   "(*.txt)|*.txt"
 ' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.CancelError = True
  CommonDialog1.FileName = "StationList.txt"
  CommonDialog1.ShowOpen
  StrStationFile = CommonDialog1.FileName
 'get dir name
  strTestName = CommonDialog1.FileTitle
' Get directory
  intN2 = Len(strTestName)
  intN1 = Len(StrStationFile)
  intN1 = intN1 - intN2
  strOutDir = Left(StrStationFile, intN1)
  'Append folder slash if necessary
   If Right$(strOutDir, 1) <> "\" Then strOutDir = strOutDir & "\"
   Me.tbDir.Text = strOutDir
   
  ' Check for file existence
  bnFileExists = bnCheckFile(StrStationFile)
  If bnFileExists = False Then
     StrErrMsg = "Error: Data File: " & Chr(13) & Chr(10) & _
     StrStationFile & Chr(13) & Chr(10) & _
     "Does Not Exist."
     MsgBox StrErrMsg, vbExclamation, "Error!"
     GoTo 10
  End If
  ' Check for file
  If FileLen(StrStationFile) = 0 Then    'vb6 intrinsic file length function
     StrErrMsg = "Error: Data File: " & Chr(13) & Chr(10) & _
     StrStationFile & Chr(13) & Chr(10) & _
     "Has no data."
     MsgBox StrErrMsg, , "Error!"
     GoTo 10
  End If

' Set Error File Name
  strErrFile = strOutDir & "SREFErrFile0.txt"
20: bnFileExists = bnCheckFile(strErrFile)
    If bnFileExists = True Then
     interrfile = interrfile + 1
     strErrFile = strOutDir & "SREFErrFile" & interrfile & ".txt"
     GoTo 20:
    End If
    
 ' Check file for unix format if PC ok if Unix will be converted if other format will bomb.
 intErrCode = 0
 Call ConvertUnix(StrStationFile, intErrCode)
 If intErrCode <> 0 Then
  MsgBox "Error station file is not in PC format; Save as a PC file and try again.", vbCritical, "Error:"
  Exit Sub
 End If

' Read Station Number File
  Me.MousePointer = 11 'or vbHourglass
' Open file and Read valid 8-12 digit station numbers
 'count number of potential stations
  Open StrStationFile For Input As #1
  lngnumsta = 0
  Do While EOF(1) = False
   Line Input #1, strinsta   'Read Line
   If Len(Trim(strinsta)) > 7 Then lngnumsta = lngnumsta + 1
  Loop
  Close #1
  ReDim strInStations(1 To lngnumsta)
  ReDim bnMOVE3(1 To lngnumsta)
  lngnumsta = 0
  '
    ln1 = 0 'Array number of good station
    intcount = 0 ' Number of bad station numbers
    Open StrStationFile For Input As #1
 Do While EOF(1) = False
  ' read station numbers as text
    Line Input #1, strinsta
  ' Reset Error Code
    intEC = 0
    intErrCode = 0
  ' Check for valid values
    Call ChkSta(strinsta, intEC, 2)    ' check string value
  ' If Bad value report and divert to 25
    If intEC <> 0 Then
    intcount = intcount + 1
    intfnum = FreeFile
    Open strErrFile For Append As intfnum
    If intcount = 1 Then Print #intfnum, "Error in station file: ", StrStationFile
    Print #intfnum, strinsta, "Error bad station name"
    Close intfnum
    If intcount > 100 Then GoTo Err_100Files:
    GoTo 25:
    End If
  ' Check that header file exists
  ' does the station file exist and does it have any text?
    Call ChkDFiles(strOutDir, strinsta, 2, intErrCode)
    If intErrCode = 0 Then
     ln1 = ln1 + 1
     strInStations(ln1) = strinsta
    Else
    intfnum = FreeFile
    Open strErrFile For Append As intfnum
    Print #intfnum, strinsta, "Error bad file name or empty file"
    Close intfnum
     GoTo 25:
    End If

25: Me.tbLongStations.Text = ln1
  lngnumsta = ln1
  Loop
  Close #1
  Me.MousePointer = 1 'or vbArrow

'  Check for errors and warn user
     ' Check if error file exists
    bnFileExists = bnCheckFile(strErrFile)
    
    If bnFileExists = False Then   ' No Errors
     Me.cmdReadPR.Enabled = True
     Me.cmdReadPR.SetFocus
     Me.cmdGetLTStations.Enabled = False
     Exit Sub
    Else       ' Something wrong?
     'check if file empty if empty ok
     If FileLen(strErrFile) = 0 Then    'vb6 intrinsic file length function
     ' ok empty exit sub
       Me.cmdReadPR.Enabled = True
       Me.cmdReadPR.SetFocus
       Me.cmdGetLTStations.Enabled = False
      Exit Sub
     Else
      'Write errors for user
       strMsgstr = "WARNING: Errors occured." & vbCrLf & _
       "You selected a file that was not a properly formatted station file! " & vbCrLf & _
       "The number of bad station numbers exceeds " & intcount - 1 & "! Check the station file and try again." & vbCrLf & _
       "Please see the error file: " & strErrFile & " for details."
       MsgBox strMsgstr, vbCritical, "PLEASE FIX ERRORS:"
       Me.cmdReadPR.Enabled = False
       Me.cmdClose.SetFocus
      End If
     End If
     
     Me.MousePointer = 1 'or vbArrow
     
Exit Sub

Err_100Files: ' If more than 100 bad station numbers probably a data file close & quit

Close #1

Me.MousePointer = 1 'or vbArrow

       strMsgstr = "WARNING: Errors occured." & vbCrLf & _
       "You selected a file that was not a properly formatted station file! " & vbCrLf & _
       "The number of bad station numbers exceeds 100! Check the station file and try again." & vbCrLf & _
       "Please see the error file: " & strErrFile & " for details."
       MsgBox strMsgstr, vbCritical, "PLEASE FIX ERRORS:"


       Me.cmdReadPR.Enabled = False
       Me.cmdClose.SetFocus

Exit Sub

Err_cmdGetLTStations_Click:
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   cmdGetLTStations.Enabled = False
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Me.cmdGetLTStations.Enabled = True
   Me.cmdGetLTStations.SetFocus
   Exit Sub
  End If
' ElseIf Err = 75 Then
'  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
'  GoTo 29
 Else
  StrMsgBox = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrMsgBox, vbExclamation, "Error!"
  Me.cmdGetLTStations.Enabled = True
 End If
End Sub

Private Sub cmdReadPR_Click()
'
' Purpose:
' To open Partial Record station file and get station numbers
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Update for new file types March 2007
' Functions
' bnCheckFile(strStaFile As String) As Boolean
' To check that file exists for processing or other action
'
' Arguments
 Dim bnFileExists As Boolean   ' Check variable for file existance
 Dim StrErrMsg As String       ' Error Message
 Dim strMsgstr As String       ' Prompt Messages
 Dim StrMsgBox As String       ' Error Message
 Dim strinstr As String        ' input string
 Dim strTestName As String     ' Dummy variable to extract directory name
 Dim arrLine As Variant        ' argument line
 Dim intMsgResult As Integer   ' message box result
 Dim vtemp As Variant
 Dim vQ As Variant
 Dim intfnum As Integer        ' File unit number
 Dim intEC As Integer          ' Integer Error Code1
 Dim intErrCode As Integer     ' Integer Error Code2
 Dim strinsta As String        ' read input stations
 Dim lngPRLine As Long         ' line number
 Dim lngGoodLine As Long        ' good line number
 Dim StrIPMsgStr As String       ' Prompt Messages
 Dim intoutfile As Integer     ' If file exists add number to filename
 Dim lngI As Long
 Dim vIB As Variant
 Dim lngNumPR As Long  ' count of maximum PR values
 Dim dtPRToday As Date
 Dim dtPRYesterday As Date
 Dim strMultidate As String
 Dim intN As Integer
 Dim intColA As Integer
 Dim intColB As Integer
 Dim intColC As Integer
 Dim intColD As Integer
 
  On Error GoTo Err_cmdReadPR_Click:
   lngZed = 0 ' initialize the number of flows that are zero
 
'  Get partial record data file StrPRDataFile
' Select Partial Record Station file
' Disable previous button
     Me.cmdGetLTStations.Enabled = False
     
   ' Inform the user
  If Me.optON.Value = True Then
  
   If Me.optSTRF2Col.Value = True Then
   strMsgstr = "Please enter the partial-record station input data-file." & vbCrLf & _
   "This file should be tab delimited and have the 8-digit partial-record gaging station number in the first line." & vbCrLf & _
   "The measurements should be in subsequent lines with the measurement date (in the format YYYY-MM-DD) and the flow value." & vbCrLf & _
   "The file should have no leading or trailing lines and nothing on each line after the flow value." & vbCrLf & _
   "Flow values must be greater or equal to zero. For example:" & vbCrLf & _
   "01117502" & vbCrLf & "1941-07-09[TAB]52" & vbCrLf & "1941-08-09[TAB]27" & vbCrLf & "." & vbCrLf & "." & vbCrLf & "." & vbCrLf & _
   "No duplicate dates are allowed; the user must average duplicate dates." & vbCrLf & _
   "The program will count the flow values." & vbCrLf & vbCrLf & _
   "Proceed?"
   
   intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
   
   ElseIf Me.optSTRFNWISDVRDB.Value = True Then
   strMsgstr = "Please enter the short-term record station input data-file." & vbCrLf & _
   "This file should be the tab delimited NWIS Web daily flow value format. " & vbCrLf & _
   "This format has header text, a column name row, a column format row and 5 columns of data." & vbCrLf & _
   "The header text is preceded by the pound symbol(#)." & vbCrLf & _
   "The columns names shoud be agency_cd[Tab]site_no[Tab]dv_dt[Tab]dv_va[Tab]dv_cd" & vbCrLf & _
   "The program GetNWIS can be used to convert newer NWIS Web formats to this daily value format." & vbCrLf & _
   "The measurements should be in subsequent lines." & vbCrLf & _
   "A sample data line is: " & vbCrLf & _
   "USGS[Tab]01114500[Tab]1941-07-31[Tab]60[Tab]e" & vbCrLf & _
   "The user can set columns for site, date, streamflow, and qualification code in the initialization file." & vbCrLf & _
   "The file should have no leading or trailing lines and nothing on each line except the specified fields." & vbCrLf & _
   "The program will count the flow values." & vbCrLf & vbCrLf & _
   "Proceed?"""
   
   intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
   
   ElseIf Me.optMeasRDB.Value = True Then
   strMsgstr = "Please enter the short-term/partial record station input data-file." & vbCrLf & _
   "This file should be the 2007 tab delimited NWIS Web measurement format. " & vbCrLf & _
   "This format has header text, a column name row, a column format row and 5 columns of data." & vbCrLf & _
   "The header text is preceded by the pound symbol(#)." & vbCrLf & _
   "The columns names shoud include agency_cd[Tab]site_no[Tab]measurement_nu[Tab]...discharge_1[Tab]..." & vbCrLf & _
   "The program will only read the site_no, measurement_nu, and discharge_1" & vbCrLf & _
   "The user can set columns in the initialization file." & vbCrLf & _
   "The measurements should be in subsequent lines." & vbCrLf & _
   "The file should have no leading or trailing lines." & vbCrLf & vbCrLf & _
   "Proceed?"
   
   intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
   
    ElseIf Me.optFort01.Value = True Then
   strMsgstr = "Please enter the short-term/partial record station input data-file." & vbCrLf & _
   "This file should be the 2007 USGS ADAPS 9207 measurement format. " & vbCrLf & _
   "This file looks like a FORTRAN format has header text and multiple columns of data." & vbCrLf & _
   "The program will only read the measurement number, date, and discharge." & vbCrLf & _
   "The user can set data position and length in the initialization file." & vbCrLf & _
   "The program will skip lines without the right formats." & vbCrLf & vbCrLf & _
   "Proceed?"
   
   intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
   
    ElseIf Me.optFort02.Value = True Then
    strMsgstr = "Please enter the short-term/partial record station input data-file." & vbCrLf & _
   "This file should be the 2007 USGS ADAPS Full measurement format. " & vbCrLf & _
   "This file looks like a FORTRAN format has header text and multiple columns of data." & vbCrLf & _
   "The program will only read the measurement number, date, and discharge." & vbCrLf & _
   "The user can set data position and length in the initialization file." & vbCrLf & _
   "The program will skip lines without the right formats." & vbCrLf & vbCrLf & _
   "Proceed?"
   
   intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
   
  End If
  
 Else  'Me.optON.Value = false Then
   
  If Me.optSTRF2Col.Value = True Then
    strMsgstr = "Please enter the 2-column partial-record station input data-file." & vbCrLf & _
    vbCrLf & "Proceed?"
    intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
  ElseIf Me.optSTRFNWISDVRDB.Value = True Then
   strMsgstr = "Please enter the NWIS Web daily value format short-term record station input data-file." & vbCrLf & _
   vbCrLf & "Proceed?"
   intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
  ElseIf Me.optMeasRDB.Value = True Then
    strMsgstr = "Please enter the NWIS Web RDB measurement data-file." & vbCrLf & _
    vbCrLf & "Proceed?"
    intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
  ElseIf Me.optFort01.Value = True Then
    strMsgstr = "Please enter the FORTRAN01 (ADAPS 9207) measurement data-file." & vbCrLf & _
    vbCrLf & "Proceed?"
    intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
  ElseIf Me.optFort02.Value = True Then
    strMsgstr = "Please enter the FORTRAN02 (ADAPS Full) measurement data-file." & vbCrLf & _
    vbCrLf & "Proceed?"
    intMsgResult = MsgBox(strMsgstr, vbOKCancel, "Confirm File Selection:")
  End If
  
 End If
 
 If intMsgResult = 1 Then
  Me.frInputType.Enabled = False
 Else
  Exit Sub
 End If
  
15 CommonDialog1.DialogTitle = "Specify Input Data File Name"
 'specify available filter
   CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
   "(*.txt)|*.txt"
 ' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.CancelError = True
  If Me.optSTRF2Col.Value = True Then
   CommonDialog1.FileName = "PartialRecordData.txt"
  Else
   CommonDialog1.FileName = "12345678Q.txt"
  End If
  CommonDialog1.ShowOpen
  StrPRDataFile = CommonDialog1.FileName
 'get dir name
  strTestName = CommonDialog1.FileTitle
 ' Check for file existence
  bnFileExists = bnCheckFile(StrPRDataFile)
  If bnFileExists = False Then
     StrErrMsg = "Error: Data File: " & Chr(13) & Chr(10) & _
     StrPRDataFile & Chr(13) & Chr(10) & _
     "Does Not Exist."
     MsgBox StrErrMsg, vbExclamation, "Error!"
     GoTo 15
  End If
  ' Check for file
  If FileLen(StrPRDataFile) = 0 Then    'vb6 intrinsic file length function
     StrErrMsg = "Error: Data File: " & Chr(13) & Chr(10) & _
     StrPRDataFile & Chr(13) & Chr(10) & _
     "Has no data."
     MsgBox StrErrMsg, , "Error!"
     GoTo 15
  End If

' Check file for unix format if PC ok if Unix will be converted if other format will bomb.
 intErrCode = 0
 Call ConvertUnix(StrPRDataFile, intErrCode)
 If intErrCode <> 0 Then
  MsgBox "Error input file is not in PC format; save as a PC file and try again.", vbCritical, "Error:"
  Exit Sub
 End If


' set array
  lngNumPR = 1
  intfnum = FreeFile
  If Me.optSTRF2Col.Value = True Then 'count lines
   Open StrPRDataFile For Input As #intfnum
     Do While EOF(intfnum) = False
     Line Input #intfnum, strinstr
     If Len(strinstr) > 1 Then lngNumPR = lngNumPR + 1
     Loop
   Close intfnum
   ElseIf Me.optSTRFNWISDVRDB.Value = True Then
  'Daily flow RDB file count lines after comment lines (#) and two header lines
   Open StrPRDataFile For Input As #intfnum
     Do While EOF(intfnum) = False
      Line Input #intfnum, strinstr
      If Left(strinstr, 1) <> "#" And Len(Trim(strinstr)) > 1 Then
       lngNumPR = lngNumPR + 1
      End If
     Loop
   Close intfnum
    lngNumPR = lngNumPR - 2
  ElseIf Me.optMeasRDB.Value = True Then
  'NWIS Web RDB measurement file count lines after comment lines (#) and two header lines
   Open StrPRDataFile For Input As #intfnum
     Do While EOF(intfnum) = False
      Line Input #intfnum, strinstr
      If Left(strinstr, 1) <> "#" And Len(Trim(strinstr)) > 1 Then
       lngNumPR = lngNumPR + 1
      End If
     Loop
   Close intfnum
   lngNumPR = lngNumPR - 2
  ElseIf Me.optFort01.Value = True Then
  ' Choose FORTRAN01 (ADAPS 9207) Measurement Data File
    StrIPMsgStr = "Please enter an 8 to 16-digit partial-record station number."
    strinstr = Trim(InputBox(StrIPMsgStr, "Enter Station Number:"))
    If strinstr = "" Then
     strinstr = Year(Now) & Month(Now) & Day(Now) & Hour(Now) & Minute(Now)
     strMsgstr = "Format error station number is current date-time: " & strinstr
     MsgBox strMsgstr, vbExclamation, "Note:"
    Else
     strPRStation = strinstr
    End If
    StrIPMsgStr = "Please enter a partial-record station name."
    strinstr = Trim(InputBox(StrIPMsgStr, "Enter Station Name:"))
    strPRSTAName = strinstr
    intEC = 0
    Call ConvertFortran(1, StrPRDataFile, strPRStation, strPRSTAName, lngNumPR, intEC)
    If intEC <> 0 Then
     MsgBox "Warning: This file was not properly formatted please see manual", vbCritical, "Error:"
     Exit Sub
    End If
  ElseIf Me.optFort02.Value = True Then
  ' Choose FORTRAN02 (ADAPS Full) Measurement Data File
    StrIPMsgStr = "Please enter an 8 to 16-digit partial-record station number."
    strinstr = Trim(InputBox(StrIPMsgStr, "Enter Station Number:"))
    If strinstr = "" Then
     strinstr = Year(Now) & Month(Now) & Day(Now) & Hour(Now) & Minute(Now)
     strMsgstr = "Format error station number is current date-time: " & strinstr
     MsgBox strMsgstr, vbExclamation, "Note:"
    Else
     strPRStation = strinstr
    End If
    StrIPMsgStr = "Please enter a partial-record station name."
    strinstr = Trim(InputBox(StrIPMsgStr, "Enter Station Name:"))
    strPRSTAName = strinstr
    intEC = 0
    Call ConvertFortran(2, StrPRDataFile, strPRStation, strPRSTAName, lngNumPR, intEC)
    If intEC <> 0 Then
     MsgBox "Warning: This file was not properly formatted please see manual", vbCritical, "Error:"
     Exit Sub
    End If
  End If
  
  
   If lngNumPR <= 1 Then
    MsgBox "Warning: This file was not properly formatted please see manual", vbCritical, "Error:"
    Me.frInputType.Enabled = True
    Exit Sub
   End If
  
  
 ReDim PRDates(1 To lngNumPR) As Date        ' Partial-Record Dates
 ReDim dPRQ(1 To lngNumPR) As Double         ' Partial record flow (Q)
 ReDim strRQC(1 To lngNumPR) As String       ' Partial record flow (Q) code
  
 ' Reset Error Code
    intEC = 0
    intErrCode = 0
    StrErrMsg = ""
  
  intfnum = FreeFile
  Open StrPRDataFile For Input As #intfnum
  
  
  If Me.optSTRF2Col.Value = True Or Me.optFort01.Value = True Or Me.optFort02.Value = True Then
' *************************************************
'  read 2/3 column Partial-record station format
' *************************************************
' set columns
   intColA = 0
   intColB = 1
   intColC = 2
' Read header line
  Line Input #intfnum, strinstr

' read station number and name
  arrLine = Split(strinstr, Chr(9))
  strPRStation = Trim(CStr(arrLine(0)))
  intN = Len(strPRStation)
  ' Check for valid values
20  Call ChkSta(Left(strPRStation, intN), intEC, 2)    ' check string value
  ' If Bad value report and divert to 25
    If intEC <> 0 Then
     StrIPMsgStr = "The first line of the input file should be an 8 to 16-digit station number." & vbCrLf & _
     "Instead it reads:" & Left(Trim(strinstr), intN) & vbCrLf & _
     "Please enter an 8-16 Digit Partial Record Station Number:"
     strPRStation = Trim(InputBox(StrIPMsgStr, "Error in entry:"))
     strPRSTAName = strPRStation
     If Len(Trim(strinstr)) < 8 Then
      MsgBox "The file selected has an error. Exit program or reselect input file.", vbCritical, "Error"
      Me.frInputType.Enabled = True
      Exit Sub
     Else
     intN = Len(strPRStation)
     GoTo 20:
     End If
    Else
     ' read station number and name from first line
     arrLine = Split(strinstr, Chr(9))
     strPRStation = Trim(CStr(arrLine(0)))
     
     strPRSTAName = ""
     If UBound(arrLine) > 0 Then
      If Trim(arrLine(1)) <> "" Then
       strPRSTAName = arrLine(1)
      Else
       strPRSTAName = strPRStation
      End If
     End If
     
    End If
    lngNumPRQs = 0
    lngPRLine = 1
    lngGoodLine = 0
    strMultidate = ""
   Do While EOF(intfnum) = False
   lngPRLine = lngPRLine + 1
    Line Input #intfnum, strinstr
    ' Parse the text line by tab char
10   arrLine = Split(strinstr, Chr(9))
     If Len(Trim(strinstr)) > 1 And UBound(arrLine) > 0 Then
      vtemp = arrLine(intColA)
      ' Check date
      Call ChkDate(vtemp, intEC, 2)
      If intEC <> 0 Then
       StrErrMsg = StrErrMsg & "Error: Line- " & lngPRLine & " bad date" & vbCrLf
      Else
       dtPRToday = vtemp
       dtPRToday = CDate(Year(dtPRToday) & "/" & Month(dtPRToday) & "/" & Day(dtPRToday))
      End If
     
      If lngPRLine > 1 Then
       If dtPRToday = dtPRYesterday Then ' Test for duplicate measurements on one date
        intPRDateTie = 1
        strMultidate = strMultidate & "Caution: the partial record station file has multiple measurements on: " & dtPRToday & vbCrLf
       End If
      End If
     
      dtPRYesterday = dtPRToday ' reset yesterday for tomorrow
     
      vQ = arrLine(intColB)
      Call CkQ(vQ, intErrCode, 2)
      If intErrCode <> 0 Then
       StrErrMsg = StrErrMsg & "Error: Line- " & lngPRLine & " bad flow" & vbCrLf
      End If
         
      If intEC = 0 And intErrCode = 0 And dtPRToday <= dtEndDate And dtPRToday >= dtBeginDate Then
       lngGoodLine = lngGoodLine + 1
       PRDates(lngGoodLine) = CDate(Year(arrLine(intColA)) & "/" & Month(arrLine(intColA)) & "/" & Day(arrLine(intColA)))
       dPRQ(lngGoodLine) = arrLine(intColB)
       If UBound(arrLine) > 1 Then
        If Trim(arrLine(intColC)) <> "" Then strRQC(lngGoodLine) = arrLine(intColC)
       End If
     
        If dPRQ(lngGoodLine) = 0 Then lngZed = lngZed + 1
      End If
     End If
     Loop
     Close intfnum
     
   If Len(StrErrMsg) > 0 Then
    StrErrMsg = "Errors in partial record file: " & StrPRDataFile & vbCrLf & StrErrMsg
    intfnum = FreeFile
    Open strErrFile For Append As intfnum
    Print #intfnum, StrErrMsg
    Close intfnum
    MsgBox StrErrMsg, vbCritical, "Error"
    Me.frInputType.Enabled = True
    Exit Sub
   End If
   
   If intPRDateTie = 1 Then
    intfnum = FreeFile
    Open strErrFile For Append As intfnum
    Print #intfnum, strMultidate
    Close intfnum
   End If
   


ElseIf Me.optSTRFNWISDVRDB.Value = True Then

' *************************************************
'  read 5 column NWis Web Daily value station format
' *************************************************
    ' set columns (val-1 because arrline is a zero based array)
      intColA = intDVStation   ' 1A  NWIS Web Station No. column
      intColB = intDVDate      ' 1B. NWIS Web Date column
      intColC = intDVQ         ' 1C. NWIS Web Mean Daily Flow column
      intColD = intDVQCom      ' 1D. NWIS Web Mean Daily Flow Code column

40:  Line Input #intfnum, strinstr

    If Left(strinstr, 1) = "#" Then GoTo 40:
    
    ' check header line to make sure date and flow are in the specified columns see ini file
    arrLine = Split(strinstr, Chr(9))
    If UBound(arrLine) < 3 Then
     StrErrMsg = StrErrMsg & "NWIS Web input file has only " & UBound(arrLine) + 1 & " columns."
     Close intfnum
     GoTo 60:
    End If
    If Trim(CStr(arrLine(intColA))) <> "site_no" Then
     StrErrMsg = StrErrMsg & "NWIS Web input file doesn't have the site_no field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If
    If (Trim(CStr(arrLine(intColB))) <> "dv_dt") And (Trim(CStr(arrLine(intColB))) <> "datetime") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file doesn't have the date field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If
    If (Trim(CStr(arrLine(intColC))) <> "dv_va") And (Right(Trim(CStr(arrLine(intColC))), 11) <> "00060_00003") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file doesn't have the mean daily streamflow field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If
    If (Trim(CStr(arrLine(intColD))) <> "dv_cd") And (Right(Trim(CStr(arrLine(intColD))), 14) <> "00060_00003_cd") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file doesn't have the mean daily streamflow field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If
  
    ' read RDB format line
    Line Input #intfnum, strinstr
    ' set up index numbers
    lngNumPRQs = 0
    lngPRLine = 0
    lngGoodLine = 0
    strMultidate = ""
    strPRSTAName = ""
   Do While EOF(intfnum) = False
    Line Input #intfnum, strinstr
    If Len(Trim(strinstr)) > 2 Then
     lngPRLine = lngPRLine + 1
     arrLine = Split(strinstr, Chr(9))
     strPRStation = arrLine(intColA)
     strPRSTAName = strPRStation

     ' Check date
     vtemp = arrLine(intColB)
     Call ChkDate(vtemp, intEC, 2)
     If intEC <> 0 Then
      StrErrMsg = StrErrMsg & "Error: Line- " & lngPRLine & " bad date" & vbCrLf
     Else
      dtPRToday = vtemp
     End If
     
     ' Check Q value
     vQ = arrLine(intColC)
     Call CkQ(vQ, intErrCode, 2)
     If intErrCode <> 0 Then
      StrErrMsg = StrErrMsg & "Error: Line- " & lngPRLine & " bad flow" & vbCrLf
     End If
     
     If intEC = 0 And intErrCode = 0 And dtPRToday <= dtEndDate And dtPRToday >= dtBeginDate Then
      lngGoodLine = lngGoodLine + 1
      PRDates(lngGoodLine) = arrLine(intColB)
      dPRQ(lngGoodLine) = arrLine(intColC)
      If dPRQ(lngGoodLine) = 0 Then lngZed = lngZed + 1
      strRQC(lngGoodLine) = arrLine(intColD)
     End If
    End If
   Loop
    Close intfnum
     
   If Len(StrErrMsg) > 0 Then
    StrErrMsg = "Errors in short-term record file: " & StrPRDataFile & vbCrLf & StrErrMsg
    intfnum = FreeFile
    Open strErrFile For Append As intfnum
    Print #intfnum, StrErrMsg
    Close intfnum
    MsgBox StrErrMsg, vbCritical, "Error"
    Exit Sub
   End If

ElseIf Me.optMeasRDB.Value = True Then

' *************************************************
'  read multi-column NWis Web discharge measurement format
' *************************************************
    ' set columns (val-1 because arrline is a zero based array)
      intColA = intRDBStation   ' 2A. NWIS Web Measurement Station No. column
      intColB = intRDBQCom      ' 2B. NWIS Web Measurement No.  column (meas #)
      intColC = intRDBDate      ' 2C. NWIS Web Measurement Date column
      intColD = intRDBQ         ' 2D. NWIS Web Measurement Flow column

45:  Line Input #intfnum, strinstr

     If Left(strinstr, 1) = "#" Or Len(Trim(strinstr)) < 2 Then GoTo 45:
    ' check header line to make sure date and flow are in the specified columns see ini file
    arrLine = Split(strinstr, Chr(9))
    If UBound(arrLine) < 3 Then
     StrErrMsg = StrErrMsg & "NWIS Web measurement file has only " & UBound(arrLine) + 1 & " columns."
     Close intfnum
     GoTo 60:
    End If
    If Trim(CStr(arrLine(intColA))) <> "site_no" Then
     StrErrMsg = StrErrMsg & "NWIS Web measurement file doesn't have the site_no field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If
    If Trim(CStr(arrLine(intColB))) <> "measurement_nu" Then
     StrErrMsg = StrErrMsg & "NWIS Web measurement file doesn't have the measurement_nu field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If
    If (Trim(CStr(arrLine(intColC))) <> "measurement_dt") And (Trim(CStr(arrLine(intColC))) <> "datetime") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file doesn't have the date field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If
    If (Left(Trim(CStr(arrLine(intColD))), 9) <> "discharge") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file doesn't have the discharge field in the specified column." & _
     vbCrLf & "Examine the input file and modify SREF.ini to specify the proper columns."
     Close intfnum
     GoTo 60:
    End If

    ' read RDB format line
    Line Input #intfnum, strinstr
    ' set up index numbers
    lngNumPRQs = 0
    lngPRLine = 0
    lngGoodLine = 0
    strMultidate = ""
    strPRSTAName = ""
   Do While EOF(intfnum) = False
    lngPRLine = lngPRLine + 1
    Line Input #intfnum, strinstr
    arrLine = Split(strinstr, Chr(9))
    strPRStation = arrLine(intColA)

     ' Check date
     vtemp = (arrLine(intColC))
     Call ChkDate(vtemp, intEC, 2)
     If intEC <> 0 Then
      StrErrMsg = StrErrMsg & "Error: Line- " & lngPRLine & " bad date" & vbCrLf
     Else
      dtPRToday = vtemp
      dtPRToday = CDate(Year(dtPRToday) & "/" & Month(dtPRToday) & "/" & Day(dtPRToday))
     End If
     
     ' Check Q value
     vQ = arrLine(intColD)
     Call CkQ(vQ, intErrCode, 2)
     If intErrCode <> 0 Then
      StrErrMsg = StrErrMsg & "Error: Line- " & lngPRLine & " bad flow" & vbCrLf
     End If
     
     If intEC = 0 And intErrCode = 0 And dtPRToday <= dtEndDate And dtPRToday >= dtBeginDate Then
      lngGoodLine = lngGoodLine + 1
      PRDates(lngGoodLine) = CDate(Year(dtPRToday) & "/" & Month(dtPRToday) & "/" & Day(dtPRToday))
      dPRQ(lngGoodLine) = arrLine(intColD)
      If dPRQ(lngGoodLine) = 0 Then lngZed = lngZed + 1
      strRQC(lngGoodLine) = arrLine(intColB)
     End If
     Loop
     Close intfnum

   If Len(StrErrMsg) > 0 Then
    StrErrMsg = "Errors in short-term record file: " & StrPRDataFile & vbCrLf & StrErrMsg
    intfnum = FreeFile
    Open strErrFile For Append As intfnum
    Print #intfnum, StrErrMsg
    Close intfnum
    MsgBox StrErrMsg, vbCritical, "Error"
    Exit Sub
   End If
   
End If

 ' Set Output File Name
29:  StrOutputFile = strOutDir & strPRStation & "DAT" & "0.txt"
30: bnFileExists = bnCheckFile(StrOutputFile)
    If bnFileExists = True Then
     intoutfile = intoutfile + 1
     StrOutputFile = strOutDir & strPRStation & "DAT" & intoutfile & ".txt"
    GoTo 30:
   End If
   
  
  ' Set & check array size
  lngNumPRQs = lngGoodLine
  If lngNumPRQs < 2 Then
   StrErrMsg = StrErrMsg & "Error: There are only " & lngNumPRQs & " partial record measurements specified." & vbCrLf & _
   "Check the specified dataes and the input files to determine the problem."
   GoTo 60:
  End If

' Enable next step
  Me.cmdGetLTData.Enabled = True
  Me.tbZed.Text = lngZed
  Me.tbNumVals = lngGoodLine
  Me.tbInputStation.Text = strPRStation
  Me.cmdGetLTData.SetFocus
  Me.MousePointer = vbArrow
  
Exit Sub

60: intfnum = FreeFile
    Open strErrFile For Append As intfnum
    Print #intfnum, StrErrMsg
    Close intfnum
    MsgBox StrErrMsg, vbCritical, "Error"
    Exit Sub

'
Err_cmdReadPR_Click:
 
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   Me.cmdReadPR.Enabled = False
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Me.cmdReadPR.Enabled = True
   Me.cmdReadPR.SetFocus
   Me.frInputType.Enabled = True
   Exit Sub
  End If
' ElseIf Err = 75 Then
'  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
'  GoTo 29
 Else
  StrMsgBox = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrMsgBox, vbExclamation, "Error!"
  Me.cmdReadPR.Enabled = True
  Me.cmdReadPR.SetFocus
 End If
End Sub
Private Sub cmdGetLTData_Click()
' Purpose:
' To open daily Record station file(s) and get the daily flow data
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' November 2007 Add Period of Record Date File
' Functions
' bnCheckFile(strStaFile As String) As Boolean
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim lngI As Long
Dim lngJ As Long
Dim lngK As Long
Dim lngJLast As Long
Dim lngBadStations As Long
Dim lngMatches As Long
Dim dtCDay As Date  ' Current day (in loop)
Dim strltStationFile As String
Dim StrMsgBox As String       ' Error Message
Dim intfnum As Integer        ' File unit number
Dim intERRfnum As Integer        ' File unit number
Dim intOUTfnum As Integer        ' File unit number
Dim arrLine As Variant        ' argument line
Dim vTempdt As Date
Dim vTempQ As Double
Dim dtTempdt As Date
Dim dtYesterday As Date
Dim dTempQ As Double
Dim lngInputLine As Long
Dim strinstr As String        ' input string
Dim intEC As Integer          ' Integer Error Code1
Dim intErrCode As Integer     ' Integer Error Code2
Dim StrErrMsg As String       ' Error Message
Dim lngGoodLine As Long        ' good line number
Dim strMsgstr As String       ' Prompt Messages
Dim strOutStr As String
Dim lngDay As Long
Dim dNCXi() As Double
Dim AvgX2 As Double
Dim VarX2 As Double
Dim SDX2 As Double
Dim dSKX2 As Double
Dim dMv3Slope As Double
Dim strDateErr As String


 On Error GoTo Err_cmdGetLTData_Click

  ' Inform the user
  If Me.optON.Value = True Then
   strMsgstr = "This step reads the USGS gaging station flows into an array." & vbCrLf & _
   "The USGS gaging station flow file should be in NWIS RDB format with:" & vbCrLf & _
   "agency_cd   site_no dv_dt   dv_va   dv_cd for example:" & vbCrLf & _
   "USGS    01117500    1996-09-29  98  " & vbCrLf & _
   "USGS    01117500    1996-09-30  98  " & vbCrLf & _
   "USGS    01117500    1996-10-01  98  e" & vbCrLf & "." & vbCrLf & "." & vbCrLf & "." & vbCrLf & _
   "no other information will be read. " & vbCrLf & _
   "The data files should be USGS NWIS Web RDB files in the same directory and have filenames such as 01117500Q.txt"

   MsgBox strMsgstr, vbInformation, "Choose Station File:"
  End If

' Lock date range
Me.tbBeginDate.Locked = True
Me.tbEndDate.Locked = True
Me.cmdReadPR.Enabled = False
lngBadStations = 0
strDateErr = ""
  Me.MousePointer = 11 'or vbHourglass
' Redimension input flows
ReDim dLTQ(1 To lngnumsta, 1 To lngNDays) As Double      ' Long-term flow (Q)
ReDim dPPRQ(1 To lngnumsta, 1 To lngNumPRQs) As Double   ' paired values for paritial record and lt flow
ReDim dXiAvg2(1 To lngnumsta) As Double                  ' Long-term station average for nonconcurrent for use with MOVE.3
ReDim dSx2(1 To lngnumsta) As Double                     ' Long-term station standard deviation for nonconcurrent for use with MOVE.3
ReDim dNCXi(1 To lngNDays) As Double                     ' Number of nonconcurrent flows
ReDim lngNumX2(1 To lngnumsta) As Long                   ' Number of nonconcurrent flows
ReDim lngNumZero(1 To lngnumsta) As Long                 ' number of zero flows
ReDim dMax(1 To lngnumsta) As Double                     ' Long-term station max for common measurements with short term
ReDim dMin(1 To lngnumsta) As Double                     ' Long-term station min for common measurements with short term
ReDim strQCd(1 To lngnumsta, 1 To lngNDays) As String    ' Long-term station flow (Q) code
ReDim lngQdates(0 To lngnumsta, 1 To lngNDays)           ' Long Integer Array for dates with flow values

' Assign yes=1 No=0 to lngQdates array for partial record
 For lngI = 1 To lngNumPRQs
  lngJ = PRDates(lngI) - (dtBeginDate - 1)
  lngQdates(0, lngJ) = 1
 Next lngI

' load data by date
For lngI = 1 To lngnumsta
  dMax(lngI) = 0#
  dMin(lngI) = 1000000000
  lngNumZero(lngI) = 0
 ' open station file
   strltStationFile = strOutDir & strInStations(lngI) & "Q.txt"
  ' test station file
  bnFileExists = bnCheckFile(strltStationFile)
  ' does file exist
  If bnFileExists = False Then
   StrMsgBox = "Error: " & strltStationFile & " does not exist in the specified location."
   MsgBox StrMsgBox, vbCritical, "Error:"
   lngBadStations = lngBadStations + 1
   GoTo 20
  End If
  
  ' Check file for unix format if PC ok if Unix will be converted if other format will bomb.
 intErrCode = 0
 Call ConvertUnix(strltStationFile, intErrCode)
 If intErrCode <> 0 Then
  StrMsgBox = "Error: " & strltStationFile & " is not in PC format; Save as a PC file and try again."
  MsgBox StrMsgBox, vbCritical, "Error:"
  lngBadStations = lngBadStations + 1
  GoTo 20
 End If
  
  ' Checks over proceed
  
  ' fill array with -9999.00000
  For lngJ = 1 To lngNDays
   dLTQ(lngI, lngJ) = -9999#
  Next lngJ
  
  ' open file and read through header lines
    intfnum = FreeFile
    Open strltStationFile For Input As #intfnum
10:    Line Input #intfnum, strinstr
    If Left(strinstr, 1) = "#" Then GoTo 10
    
    ' check header line to make sure date is the 3rd column and flow is the 4th column
    arrLine = Split(strinstr, Chr(9))
    If UBound(arrLine) < 3 Then
     StrErrMsg = StrErrMsg & "NWIS Web input file: " & strltStationFile & " has only " & UBound(arrLine) + 1 & " columns."
      intERRfnum = FreeFile
      Open strErrFile For Append As intERRfnum
      Print #intERRfnum, StrErrMsg
      Close intERRfnum
     Close intfnum
     GoTo 20:
    End If
    If Trim(CStr(arrLine(1))) <> "site_no" Then
     StrErrMsg = StrErrMsg & "NWIS Web input file: " & strltStationFile & "  doesn't have the field site_no in the second column."
      intERRfnum = FreeFile
      Open strErrFile For Append As intERRfnum
      Print #intERRfnum, StrErrMsg
      Close intERRfnum
     Close intfnum
     GoTo 20:
    End If
    If (Trim(CStr(arrLine(2))) <> "dv_dt") And (Trim(CStr(arrLine(2))) <> "datetime") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file: " & strltStationFile & "  doesn't have the date field in the third column."
      intERRfnum = FreeFile
      Open strErrFile For Append As intERRfnum
      Print #intERRfnum, StrErrMsg
      Close intERRfnum
     Close intfnum
     GoTo 20:
    End If
    If (Trim(CStr(arrLine(3))) <> "dv_va") And (Right(Trim(CStr(arrLine(3))), 11) <> "00060_00003") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file: " & strltStationFile & "  doesn't have the mean daily streamflow field in the fourth column."
      intERRfnum = FreeFile
      Open strErrFile For Append As intERRfnum
      Print #intERRfnum, StrErrMsg
      Close intERRfnum
     Close intfnum
     GoTo 20:
    End If
    If (Trim(CStr(arrLine(4))) <> "dv_cd") And (Right(Trim(CStr(arrLine(4))), 14) <> "00060_00003_cd") Then
     StrErrMsg = StrErrMsg & "NWIS Web input file: " & strltStationFile & "  doesn't have the mean daily streamflow description field in the fifth column."
      intERRfnum = FreeFile
      Open strErrFile For Append As intERRfnum
      Print #intERRfnum, StrErrMsg
      Close intERRfnum
     Close intfnum
     GoTo 20:
    End If
    
    Line Input #intfnum, strinstr   ' read variable number line
    
    lngInputLine = 0
    lngJ = 0
    lngJLast = 0
    dtYesterday = dtBeginDate
    
    Do While EOF(intfnum) = False
' for each station read in array by date
     Line Input #intfnum, strinstr
     arrLine = Split(strinstr, Chr(9))
     If UBound(arrLine) >= 3 Then
      lngInputLine = lngInputLine + 1
      vTempdt = arrLine(2)
      ' Check date
      Call ChkDate(vTempdt, intEC, 2)
      If intEC <> 0 Then
       intERRfnum = FreeFile
       StrErrMsg = strltStationFile & " Bad Date: " & vTempdt
       Open strErrFile For Append As intERRfnum
       Print #intERRfnum, StrErrMsg
       Close intERRfnum
       GoTo 99
      Else
       dtTempdt = vTempdt
      End If
       vTempQ = arrLine(3)
       Call CkQ(vTempQ, intErrCode, 2)
      If intErrCode <> 0 Then
       intERRfnum = FreeFile
       StrErrMsg = strltStationFile & " Bad Flow: " & vTempQ
       Open strErrFile For Append As intERRfnum
       Print #intERRfnum, StrErrMsg
       Close intERRfnum
       GoTo 99
      Else
       dTempQ = vTempQ
      End If
      If dtTempdt < dtBeginDate Or dtTempdt > dtEndDate Then GoTo 99
     
      lngJ = dtTempdt - (dtBeginDate - 1)

     ' Assign flow value
       dLTQ(lngI, lngJ) = dTempQ
       
     ' establish if there is a Q value yes=1 No=0 to lngQdates array
       lngQdates(lngI, lngJ) = 1
       
     ' count zeros
       If dTempQ = 0# Then lngNumZero(lngI) = lngNumZero(lngI) + 1
       
       'If Trim(arrLine(4)) <> "A" Then strQCd(lngI, lngJ) = Trim(arrLine(4))
        strQCd(lngI, lngJ) = Trim(arrLine(4))
     
      If (lngJ - lngJLast) > 1 Then
       intERRfnum = FreeFile
       StrErrMsg = strltStationFile & " Missing Days Between: " & dtYesterday & " and " & dtTempdt
       strDateErr = strDateErr & vbCrLf & StrErrMsg
       Open strErrFile For Append As intERRfnum
       Print #intERRfnum, StrErrMsg
       Close intERRfnum
      End If
      dtYesterday = dtTempdt
      lngJLast = lngJ
     
     End If
99:  Loop

     'Check dates
     If dtTempdt < dtEndDate Then
      StrErrMsg = strltStationFile & " Missing Days Between: " & dtTempdt & " and " & dtEndDate
      strDateErr = strDateErr & vbCrLf & StrErrMsg
      intERRfnum = FreeFile
      Open strErrFile For Append As intERRfnum
      Print #intERRfnum, strDateErr
      Close intERRfnum
     End If
     
     If dtTempdt < PRDates(lngNumPRQs) Then
      StrErrMsg = strltStationFile & " End date: " & dtTempdt & " before end of partial-record measurements."
      strDateErr = strDateErr & vbCrLf & StrErrMsg
      intERRfnum = FreeFile
      Open strErrFile For Append As intERRfnum
      Print #intERRfnum, strDateErr
      Close intERRfnum
     End If
     

20: Next lngI


    ' get the matching partial and LT record values
      
    For lngI = 1 To lngnumsta
     For lngJ = 1 To lngNumPRQs
      lngDay = PRDates(lngJ) - (dtBeginDate - 1)
      If lngDay <= 0 Then
       StrMsgBox = "!!!The beginning date: " & Format(dtBeginDate, "mm-dd-yyyy") & " is after the first partial-record date: " & _
       Format(PRDates(1), "mm-dd-yyyy") & vbCrLf & " Please respecify the beginning date or discard earlier partial-record measurements" & _
       vbCrLf & "To reinitialize arrays you must close the program and resart the data-specification process."
       MsgBox StrMsgBox, vbCritical, "Error:"
       Me.MousePointer = 1 'or vbArrow
       Me.cmdClose.SetFocus
       Me.cmdGetLTData.Enabled = False
       Exit Sub
      End If
      If (lngDay <= lngNDays) Then
       If dLTQ(lngI, lngDay) = -9999# Then
        dPPRQ(lngI, lngJ) = -9999#
       Else
        dPPRQ(lngI, lngJ) = dLTQ(lngI, lngDay)
        If dPPRQ(lngI, lngJ) > dMax(lngI) Then dMax(lngI) = dPPRQ(lngI, lngJ) 'find max common value
        If dPPRQ(lngI, lngJ) < dMin(lngI) Then dMin(lngI) = dPPRQ(lngI, lngJ) ' find min common value
       End If
      End If
     Next lngJ
     ' Reset common period flows so they won't be included for nonzero nonconcurrent flows for MOVE3
     For lngJ = 1 To lngNumPRQs
      lngDay = PRDates(lngJ) - (dtBeginDate - 1)
      If lngQdates(0, lngDay) = 1 And lngQdates(lngI, lngDay) = 1 Then dLTQ(lngI, lngDay) = -8888#
     Next lngJ
    Next lngI
    
    
    ' get statistics for nonzero nonconcurrent flows
    For lngI = 1 To lngnumsta
     ReDim dNCXi(1 To lngNDays) As Double
     lngK = 1
     For lngJ = 1 To (lngNDays)
      If dLTQ(lngI, lngJ) > 0 Then
       dNCXi(lngK) = Log(dLTQ(lngI, lngJ)) / Log(10#)
       lngK = lngK + 1
      End If
     Next lngJ
     lngK = lngK - 1
     If lngK > 5 Then
      Call STATS02(dNCXi(), lngK, AvgX2, VarX2, SDX2, dSKX2)
      bMOVE3 = True
      bnMOVE3(lngI) = bMOVE3
      lngNumX2(lngI) = lngK
      dXiAvg2(lngI) = AvgX2
      dSx2(lngI) = SDX2
     Else
      StrMsgBox = "Please Note: The record for the index station: " & vbCrLf & strInStations(lngI) & vbCrLf & _
      "does not have enough nonconcurrent measurements to do the MOVE.3 analysis.  " & vbCrLf & _
      "MOVE.3 options will not be available for this station. "
      MsgBox StrMsgBox, vbExclamation, "Warning:"
      bMOVE3 = False
      bnMOVE3(lngI) = bMOVE3
     End If

    Next lngI
    
    
    ' Write matching output file
    intOUTfnum = FreeFile
    Open StrOutputFile For Append As intOUTfnum
    strOutStr = "Date" & Chr(9) & strPRStation
    ' header line
     For lngI = 1 To lngnumsta
      strOutStr = strOutStr & Chr(9) & strInStations(lngI)
     Next lngI
     Print #intOUTfnum, strOutStr
    For lngJ = 1 To lngNumPRQs
     strOutStr = PRDates(lngJ) & Chr(9) & dPRQ(lngJ)
     For lngI = 1 To lngnumsta
      strOutStr = strOutStr & Chr(9) & dPPRQ(lngI, lngJ)
     Next lngI
     Print #intOUTfnum, strOutStr
    Next lngJ
   Close intOUTfnum
     
   ' If the option is checked make a Kendall Theil Robust Line Input File
     If Me.cbKTLine.Value = 1 Then
     For lngI = 1 To lngnumsta
      intOUTfnum = FreeFile
      StrOutputFile = strOutDir & strPRStation & "-" & strInStations(lngI) & "KT.txt"
      Open StrOutputFile For Output As intOUTfnum
       strOutStr = "Streamflow in CFS at " & strInStations(lngI) & Chr(9) & _
       "Streamflow in CFS at " & strPRStation & Chr(9) & "Date "
       Print #intOUTfnum, strOutStr
       For lngJ = 1 To lngNumPRQs
        If (dPPRQ(lngI, lngJ) <> -9999#) Then
         strOutStr = dPPRQ(lngI, lngJ) & Chr(9) & dPRQ(lngJ) & Chr(9) & PRDates(lngJ)
         Print #intOUTfnum, strOutStr
        End If
       Next lngJ
      Close intOUTfnum
     Next lngI
     End If

   ' If the option is checked make a Period of Record Date File
    If Me.cbPORDate.Value = 1 Then
   ' temp write matching dates file
     intOUTfnum = FreeFile
     StrOutputFile = strOutDir & strPRStation & "-" & "PeriodOfRecordDates.txt"
    Open StrOutputFile For Append As intOUTfnum
    strOutStr = "Date" & Chr(9) & strPRStation
    ' header line
     For lngI = 1 To lngnumsta
      strOutStr = strOutStr & Chr(9) & strInStations(lngI)
     Next lngI
     Print #intOUTfnum, strOutStr
    'data lines
    For lngJ = 1 To lngNDays
        ' Set the current date
     strOutStr = StringDate(dtBeginDate, lngJ, 1)   ' date in YYY-MM-DD format
     strOutStr = strOutStr & Chr(9)
     For lngI = 0 To lngnumsta
      strOutStr = strOutStr & Chr(9) & lngQdates(lngI, lngJ)
     Next lngI
     Print #intOUTfnum, strOutStr
    Next lngJ
   Close intOUTfnum
   End If
   

      Me.MousePointer = 1 'or vbArrow
      Me.cmdMOVE.Enabled = True
      Me.cbKTLine.Enabled = False
      Me.cbPORDate.Enabled = False
      Me.cmdMOVE.SetFocus
      
      If Len(Trim(strDateErr)) > 0 Then
       strDateErr = "There are missing dates. Please see the Error file: " & vbCrLf & _
       strErrFile & vbCrLf & _
       "The program will not produce estimates for missing dates." & vbCrLf & _
       "It will, however, work properly for the rest of the record" & vbCrLf & _
       "If multiple stations are chosen, other stations with data will be properly weighted to estimate missing dates." & vbCrLf & _
       "Check with the USGS State Water Science Center for missing record."
       MsgBox strDateErr, vbCritical, "Warning:"
      End If
      
 Exit Sub

Err_cmdGetLTData_Click:
  
  Me.MousePointer = vbArrow

  StrMsgBox = "Error: " & Err & vbCrLf & " Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrMsgBox, vbExclamation, "Error!"
  Me.cmdReadPR.Enabled = True
  Me.cmdReadPR.SetFocus

End Sub

Private Sub cmdMOVE_Click()
'
' Purpose:
' To calculate move1 and move3 statistics for nonzero values
' History:
' Version 2.0 Sept. 2004 by G.E. Granato
' Adjust MOVE.3 logic to prevent potential problems
'
' Functions
' bnCheckFile(strStaFile As String) As Boolean
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim strMsgstr As String       ' Prompt Messages
Dim lngI As Long
Dim lngJ As Long
Dim lngK As Long
Dim dXI() As Double
Dim dYI() As Double
Dim dYp() As Double
Dim dei() As Double  ' The estimated residual for obs. i
Dim dHi() As Double  '
Dim dEII() As Double '
Dim dXAvg As Double  '
Dim dYAvg As Double  '
Dim dSx As Double    '
Dim dSy As Double
Dim dSSx As Double
Dim dSSy As Double
Dim dVx As Double
Dim dVy As Double
Dim dSkX As Double
Dim dSkY As Double
Dim dSXY As Double    '
Dim dr As Double      ' the correlation coefficient
Dim dSignr As Double  ' Sign of r
Dim dBCF As Double    ' Duan BCF avg of retransformed residuals
Dim dMSqEi As Double  ' mean square error
Dim StrMsgBox As String       ' Error Message
Dim strOutStr As String

Dim lngBadPair() As Long
Dim lngBadPRNum As Long
Dim lngBadLTNum As Long
Dim intERRfnum As Integer
Dim intOUTfnum As Integer
Dim intCf As Integer
Dim dtToday As Date           ' Todays date to mark file
Dim dMV3AvgY As Double
Dim dMV3SDY As Double
Dim dN1PN2 As Double   'N1+n2
Dim dBeta As Double
Dim dAlpha As Double
Dim dRho As Double

Dim dMVInt As Double
Dim dMv3Slope As Double

Dim dNSTop As Double
Dim dNSBot As Double
Dim dEFF As Double


  On Error GoTo Err_cmdMOVE_Click

Me.MousePointer = 11 'or vbHourglass
dtToday = Now

Me.cmdGetLTData.Enabled = False
Me.cbKTLine.Enabled = False


ReDim lngBadPair(1 To lngNumPRQs) As Long
lngBadLTNum = 0


 ' Inform the user
  If Me.optON.Value = True Then
   strMsgstr = "In this step the program calculates the MOVE1 and MOVE3 statistics." & vbCrLf & _
   "Because calculations are done in log space only paired nonzero values are used." & vbCrLf & vbCrLf & _
   "For MOVE1 see:" & vbCrLf & _
   "Hirsch, R.M., 1982, A comparison of four record extension techniques:" & vbCrLf & _
   "Water Resources Research v. 15, no. 6., p. 1781-1790." & vbCrLf & vbCrLf & _
   "For MOVE3 see:" & vbCrLf & _
   "Vogel, R.M. and J.R. Stedinger, Minimum Variance Streamflow Record Augmentation Procedures:" & vbCrLf & _
   "Water Resources Research, v. 21, no. 5, p. 715-723." & vbCrLf & vbCrLf & _
   "These calculations may take a few minutes if there are many stations, many years of record, or many partial record measurements."
   MsgBox strMsgstr, vbInformation, "Calculating MOVE Statistics:"
  End If

' open Move1 file
   intOUTfnum = FreeFile
5: StrOutputFile = strOutDir & strPRStation & "MOV" & intCf & ".txt"
   ' "-" & strInStations(lngI) &
   ' Check for file existence
   bnFileExists = bnCheckFile(StrOutputFile)
   If bnFileExists = True Then
    intCf = intCf + 1
    GoTo 5
   End If
  
 '  MOVE1
 '  Hirsch, R.M., 1982, A comparison of four record extension techniques:
 '  Water Resources Research v. 15,no. 6., p. 1781-1790.
 
 
 Open StrOutputFile For Output As intOUTfnum
 
 strOutStr = "Maintenance of variance results for partial record station: " & strPRStation & vbCrLf
 Print #intOUTfnum, strOutStr
 
 strOutStr = "Estimates Made On : " & Format(dtToday, "YYYY-MM-DD HH:MM:SS")
 Print #intOUTfnum, strOutStr
 
 
 strOutStr = vbCrLf & "MOVE.1 & MOVE.3 Results:" & vbCrLf
 Print #intOUTfnum, strOutStr
 
 strOutStr = "Yi are the predicted ith value for the partial record station" & vbCrLf
 Print #intOUTfnum, strOutStr
 
 strOutStr = "Xi are the ith predictor value(s) from the long term station(s):" & vbCrLf
 Print #intOUTfnum, strOutStr
 
 strOutStr = vbCrLf & "***************************************************" & vbCrLf
 Print #intOUTfnum, strOutStr
 
' get statistics
ReDim mv1Slope(1 To lngnumsta) As Double
ReDim mv1Int(1 To lngnumsta) As Double
ReDim mv3Slope(1 To lngnumsta) As Double
ReDim mv3Int(1 To lngnumsta) As Double
ReDim dCorr(1 To lngnumsta) As Double
ReDim dMv1BCF(1 To lngnumsta) As Double
ReDim dMv3BCF(1 To lngnumsta) As Double
ReDim dMv1MSE(1 To lngnumsta) As Double
ReDim dMv3MSE(1 To lngnumsta) As Double
 
 For lngI = 1 To lngnumsta
  
  strOutStr = "MOVE.1 Results with long-term record station: " & strInStations(lngI)
  Print #intOUTfnum, strOutStr
   lngK = 0
   For lngJ = 1 To lngNumPRQs
   If dPRQ(lngJ) > 0 And dPPRQ(lngI, lngJ) > 0 Then
    lngK = lngK + 1
   End If
   Next lngJ
   If lngK < 5 Then ' oops less than 5 points no good data spool error message to files
    intERRfnum = FreeFile
    Open strErrFile For Append As intERRfnum
    strOutStr = "Warning: partial record station: " & strPRStation & " and long-term station: " & strInStations(lngI) & _
    " have less than 5 concurrent non-zero measurements"
     Print #intERRfnum, strOutStr
     Close intERRfnum
     strOutStr = "*********************" & vbCrLf & strOutStr & vbCrLf & "*********************" & _
     vbCrLf & vbCrLf & "**************************************************" & vbCrLf & vbCrLf
     
     Print #intOUTfnum, strOutStr
    GoTo 10
   End If
   
  ReDim dXI(1 To lngK) As Double
  ReDim dYI(1 To lngK) As Double
  ReDim dYp(1 To lngK) As Double
  ReDim dei(1 To lngK) As Double
  ReDim dHi(1 To lngK) As Double
  ReDim dEII(1 To lngK) As Double
  ReDim dtMyDate(1 To lngK) As Date
   lngK = 0
   
   ' Concurrent period
   
   For lngJ = 1 To lngNumPRQs
    If dPRQ(lngJ) > 0 And dPPRQ(lngI, lngJ) > 0 Then
     lngK = lngK + 1
     dtMyDate(lngK) = PRDates(lngJ)
     dXI(lngK) = Log(dPPRQ(lngI, lngJ)) / Log(10#)
     dYI(lngK) = Log(dPRQ(lngJ)) / Log(10#)
    End If
   Next lngJ

   Call STATS02(dXI, lngK, dXAvg, dVx, dSx, dSkX)
   Call STATS02(dYI, lngK, dYAvg, dVy, dSy, dSkY)
   dSSx = dVx * (lngK - 1)
   dSSy = dVy * (lngK - 1)
   Call GetSXY(dXI, dYI, dXAvg, dYAvg, lngK, dSXY)
    dr = dSXY / ((dSSx * dSSy) ^ 0.5)
    
   
    If dr = 0 Then
     dSignr = 1#
    Else
     dSignr = dr / (Abs(dr))
    End If
    ' Residual of actual-predicted
    dBCF = 0#
    dMSqEi = 0#
    
  strOutStr = vbCrLf & "MOVE1 Equation Expressed as Log(Yi) = Avg(Log(Yi)) + m * (Log(Xi)-Avg(Log(Xi))):"
  Print #intOUTfnum, strOutStr
  strOutStr = "Log10(Yi) = " & dYAvg & " + " & dSignr & " * (" & dSy & "/" & dSx & ") * (Log10(Xi) - " & dXAvg & ")" & vbCrLf
  Print #intOUTfnum, strOutStr
  
  strOutStr = vbCrLf & "MOVE1 Equation Expressed as Log(Yi) = Avg(Log(Yi)) + m * (Log(Xi)-Avg(Log(Xi))):"
  Print #intOUTfnum, strOutStr
  strOutStr = "Log10(Yi) = " & dYAvg & " + " & dSignr & " * (" & dSy / dSx & ") * (Log10(Xi) - " & dXAvg & ")" & vbCrLf
  Print #intOUTfnum, strOutStr
  
  strOutStr = vbCrLf & "MOVE1  Equation Expressed as Log(Yi) = b + m * (Log(Xi)):"
  Print #intOUTfnum, strOutStr
  strOutStr = "Log10(Yi) = " & (dYAvg - (dSignr * (dSy / dSx)) * dXAvg) & " + " & (dSignr * (dSy / dSx)) & " * (Log10(Xi) " & vbCrLf
  Print #intOUTfnum, strOutStr
  
  mv1Slope(lngI) = (dSignr * (dSy / dSx))
  mv1Int(lngI) = (dYAvg - (dSignr * (dSy / dSx)) * dXAvg)

  strOutStr = vbCrLf & "MOVE1 Equation Expressed as Yi = 10^b * Xi^m :" & vbCrLf
  Print #intOUTfnum, strOutStr
  
  strOutStr = "Yi = " & (10# ^ (dYAvg - (dSignr * (dSy / dSx)) * dXAvg)) & " * Xi^ " & (dSignr * (dSy / dSx)) & vbCrLf
  Print #intOUTfnum, strOutStr
  
  strOutStr = "Correlation Coefficient: " & Chr(9) & dr & Chr(9) & " R-Squared (R^2): " & Chr(9) & (dr * dr) & vbCrLf
  Print #intOUTfnum, strOutStr
  
  dCorr(lngI) = dr
  
  If dMax(lngI) > 0# Then
   strOutStr = "Maximum concurrent Xi value: " & dMax(lngI) & " Log10(Xmax): " & (Log(dMax(lngI)) / Log(10#))
  Else
   strOutStr = "Maximum concurrent Xi value: " & dMax(lngI) & " Log10(Xmax): " & " undefined "
  End If
  
  If dMin(lngI) > 0# Then
   strOutStr = strOutStr & " Minimum concurrent Xi value: " & dMin(lngI) & " Log10(Xmin): " & (Log(dMin(lngI)) / Log(10#)) & vbCrLf
  Else
   strOutStr = strOutStr & " Minimum concurrent Xi value: " & dMin(lngI) & " Log10(Xmin): " & " undefined " & vbCrLf
  End If
  
  Print #intOUTfnum, strOutStr
  
  strOutStr = "Measurement Date" & Chr(9) & "X(i)-Measured" & Chr(9) & "Y(i)-Measured" & Chr(9) & "Y(i)-Predicted" & Chr(9) & _
  "Y-error e(i)" & Chr(9) & "X-Leverage (hi)" & Chr(9) & "Y-Leverage (ei)" & vbCrLf
  Print #intOUTfnum, strOutStr
    
   dNSTop = 0#
   dNSBot = 0#
   
   For lngJ = 1 To lngK
    dYp(lngJ) = (dYAvg + dSignr * (dSy / dSx) * (dXI(lngJ) - dXAvg))
    
    dei(lngJ) = dYI(lngJ) - dYp(lngJ)
    
    dHi(lngJ) = (1# / (lngK / 1#)) + (((dXI(lngJ) - dXAvg) ^ 2#) / dSSx)
    
    dEII(lngJ) = dei(lngJ) / (1# - dHi(lngJ))
    
    dBCF = dBCF + 10# ^ dei(lngJ)
    
    dMSqEi = dMSqEi + (dei(lngJ) * dei(lngJ))
    
    dNSTop = dNSTop + Abs(dei(lngJ))
    
    dNSBot = dNSBot + Abs(dYI(lngJ) - dYAvg)
    
    strOutStr = dtMyDate(lngJ) & Chr(9) & dXI(lngJ) & Chr(9) & dYI(lngJ) & Chr(9) & dYp(lngJ) & Chr(9) & _
    dei(lngJ) & Chr(9) & dHi(lngJ) & Chr(9) & dEII(lngJ)
    Print #intOUTfnum, strOutStr
    
   Next lngJ
    
    dBCF = dBCF / (lngK / 1#) 'Duan BCF avg of retransformed residuals
    
    dMv1BCF(lngI) = dBCF
    
    dMSqEi = dMSqEi / ((lngK - 2) / 1#) 'root mean square error
    
    dMv1MSE(lngI) = dMSqEi
    
    dEFF = 1# - dNSTop / dNSBot
    
    strOutStr = vbCrLf & "Mean Square Error: " & Chr(9) & dMSqEi & Chr(9) & " Root Mean Square Error: " & Chr(9) & (dMSqEi) ^ 0.5 & Chr(9) & _
    "Duan (1983) Bias Correction Factor: " & Chr(9) & dBCF & vbCrLf & _
    "Modified Nash-Sutcliff coefficient of efficiency (Legates & McCabe, 1999): " & Chr(9) & dEFF & vbCrLf

    Print #intOUTfnum, strOutStr
    
    strOutStr = vbCrLf & "**************************************************" & vbCrLf
    Print #intOUTfnum, strOutStr
    
    
    ' MOVE 3
    ' Vogel, R.M. and J.R. Stedinger, Minimum Variance Streamflow Record Augmentation Procedures,
    ' Water Resources Research, Vol. 21, No. 5, pp. 715-723, May 1985.
 If bnMOVE3(lngI) = True Then
       dN1PN2 = ((lngK + lngNumX2(lngI)) * 1#)
       
       dBeta = dSXY / dSSx
       
       dRho = dBeta * (dSx / dSy)
       
       dAlpha = (((lngNumX2(lngI) * (lngK - 4#) * (lngK - 1#))) / ((lngNumX2(lngI) - 1#) * (lngK - 3#) * (lngK - 2#))) * 1#

       
       ' Calculate variance of the expected nonconcurrent period for the PR station
       dMV3AvgY = dYAvg + ((lngNumX2(lngI) * 1#) / dN1PN2) * dBeta * (dXiAvg2(lngI) - dXAvg)
     
       dMV3SDY = ((lngK - 1#) * dSy ^ 2#) + ((lngNumX2(lngI) - 1#) * (dBeta ^ 2#) * (dSx2(lngI) ^ 2#))
       
       dMV3SDY = dMV3SDY + ((lngNumX2(lngI) - 1#) * dAlpha * (1# - (dRho ^ 2)) * (dSy ^ 2#))
       
       dMV3SDY = dMV3SDY + (CDbl((lngK * lngNumX2(lngI)) / (dN1PN2))) * dBeta ^ 2# * ((dXiAvg2(lngI) - dXAvg) ^ 2#)
       
       dMV3SDY = ((1# / (dN1PN2 - 1#)) * dMV3SDY)
              
       ' Calculate intercept a' of MOVE3 equation:
       dMVInt = ((dN1PN2 * dMV3AvgY) - (lngK * dYAvg)) / (lngNumX2(lngI) * 1#)
       
       ' calculate the slope of the MOVE3 equation b
       dMv3Slope = ((dN1PN2 - 1#) * (dMV3SDY)) - ((CDbl(lngK) - 1#) * (dSy * dSy)) - (CDbl(lngK) * (dYAvg - dMV3AvgY) ^ 2#)
       
       dMv3Slope = dMv3Slope - (lngNumX2(lngI) * (dMVInt - dMV3AvgY) ^ 2#)
       
       dMv3Slope = dMv3Slope / ((CDbl(lngNumX2(lngI)) - 1#) * (dSx2(lngI)) ^ 2#)
       
       dMv3Slope = dMv3Slope ^ 0.5
            
   strOutStr = "MOVE.3 Results with long-term record station: " & strInStations(lngI)
              
  Else 'not enough nonconcurrent values to do MOVE.3
   dMv3Slope = mv1Slope(lngI)
   dMVInt = mv1Int(lngI)
   dXiAvg2(lngI) = dXAvg
   strOutStr = "MOVE.3 = MOVE.1 (not enough nonconcurrent values with long-term record station: " & strInStations(lngI) & " )"
  End If
  
       
  Print #intOUTfnum, strOutStr
         
 ' strOutStr = "N1: " & lngK & " N2: " & lngNumX2(lngI) & " NP1: " & dN1PN2
 ' Print #intOUTfnum, strOutStr
       
 ' strOutStr = "dAlpha: " & dAlpha & " Beta: " & dBeta & " dRho: " & dRho & " sdy: " & dSy
 ' Print #intOUTfnum, strOutStr
       
 ' strOutStr = "dMV3AvgY: " & dMV3AvgY & " dXiAvg2(lngi): " & dXiAvg2(lngI) & " Sx2(lngi): " & dSx2(lngI) & " Sx(lngi): " & dSx & " sdyhat: " & dMV3SDY
 ' Print #intOUTfnum, strOutStr
  
'  strOutStr = "dYAvg: " & dYAvg & " dXAvg: " & dXAvg
 ' Print #intOUTfnum, strOutStr
  
       
  strOutStr = vbCrLf & "MOVE3 Equation Expressed as Log(Yi) = WeightedAvg(Log(Y)) + m(move3) * (Log(X)-LongTermAvg(Log(X))):"
  Print #intOUTfnum, strOutStr
  strOutStr = "Log10(Yi) = " & dMVInt & " + " & dSignr & " * (" & dMv3Slope & ") * (Log10(Xi) - " & dXiAvg2(lngI) & ")" & vbCrLf
  Print #intOUTfnum, strOutStr
  
  strOutStr = vbCrLf & "MOVE3  Equation Expressed as Log(Yi) = b + m * (Log(Xi)):"
  Print #intOUTfnum, strOutStr
  strOutStr = "Log10(Yi) = " & (dMVInt - (dSignr * dMv3Slope * dXiAvg2(lngI))) & " + " & dSignr & " * (" & dMv3Slope & ") * Log10(Xi))" & vbCrLf
  Print #intOUTfnum, strOutStr
  
    mv3Slope(lngI) = dMv3Slope
    mv3Int(lngI) = (dMVInt - (dSignr * dMv3Slope * dXiAvg2(lngI)))
    
  If bnMOVE3(lngI) = False Then mv3Int(lngI) = mv1Int(lngI)
  
  strOutStr = vbCrLf & "MOVE3  Equation Expressed as Yi = 10^b * Xi^m "
  Print #intOUTfnum, strOutStr
  
   strOutStr = "Yi = " & (10# ^ (dMVInt - (dSignr * dMv3Slope * dXiAvg2(lngI)))) & " * Xi^ " & (dSignr * (dMv3Slope)) & vbCrLf

  Print #intOUTfnum, strOutStr
     
       
 strOutStr = "Measurement Date" & Chr(9) & "X(i)-Measured" & Chr(9) & "Y(i)-Measured" & Chr(9) & "Y(i)-Predicted" & Chr(9) & _
  "Y-error e(i)" & Chr(9) & "X-Leverage (hi)" & Chr(9) & "Y-Leverage (ei)" & vbCrLf
  Print #intOUTfnum, strOutStr
       
   dNSTop = 0#
   dNSBot = 0#
       
      For lngJ = 1 To lngK
      dYp(lngJ) = (dMVInt + dSignr * (dMv3Slope) * (dXI(lngJ) - dXiAvg2(lngI)))
    
      dei(lngJ) = dYI(lngJ) - dYp(lngJ)
    
      dHi(lngJ) = (1# / (lngK / 1#)) + (((dXI(lngJ) - dXAvg) ^ 2#) / dSSx)
    
      dEII(lngJ) = dei(lngJ) / (1# - dHi(lngJ))
    
      dBCF = dBCF + 10# ^ dei(lngJ)
    
      dMSqEi = dMSqEi + (dei(lngJ) * dei(lngJ))
      
      dNSTop = dNSTop + Abs(dei(lngJ))
    
      dNSBot = dNSBot + Abs(dYI(lngJ) - dYAvg)
      
    
    strOutStr = dtMyDate(lngJ) & Chr(9) & dXI(lngJ) & Chr(9) & dYI(lngJ) & Chr(9) & dYp(lngJ) & Chr(9) & _
    dei(lngJ) & Chr(9) & dHi(lngJ) & Chr(9) & dEII(lngJ)
    Print #intOUTfnum, strOutStr
    
      Next lngJ
      
    mv3Slope(lngI) = dMv3Slope * dSignr
       
    dBCF = dBCF / (lngK / 1#) 'Duan BCF avg of retransformed residuals
    dMv3BCF(lngI) = dBCF
    
    dMSqEi = dMSqEi / ((lngK - 2) / 1#) 'root mean square error
    
    dMv3MSE(lngI) = dMSqEi
    
    dEFF = 1# - dNSTop / dNSBot
    
    strOutStr = vbCrLf & "Mean Square Error: " & Chr(9) & dMSqEi & Chr(9) & " Root Mean Square Error: " & Chr(9) & (dMSqEi) ^ 0.5 & Chr(9) & _
    "Duan (1983) Bias Correction Factor: " & Chr(9) & dBCF & vbCrLf & _
    "Modified Nash-Sutcliff coefficient of efficiency (Legates & McCabe, 1999): " & Chr(9) & dEFF & vbCrLf
    
    Print #intOUTfnum, strOutStr
    
    strOutStr = vbCrLf & "**************************************************" & vbCrLf
    Print #intOUTfnum, strOutStr
    
10:   Next lngI
   
   Close intOUTfnum
   Me.MousePointer = 1 'or vbArrow
   
   Me.cmdGraph.Enabled = True
   Me.cmdGraph.SetFocus
   Me.cmdGenerateRecord.Enabled = True
 Exit Sub

Err_cmdMOVE_Click:

  StrMsgBox = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrMsgBox, vbExclamation, "Error!"
  Me.cmdReadPR.Enabled = True
  Me.cmdReadPR.SetFocus


End Sub

Private Sub cmdGraph_Click()
'
' Purpose:
' To Launch Graph selection form
' History:
' Version 2.0 Dec. 2005 by G.E. Granato
' Arguments

Me.cmdMOVE.Enabled = False
MoveFrm02.Show


End Sub

Private Sub cmdGenerateRecord_Click()
'
' Purpose:
' To open and initialize the generate long-term record method selection form
' History:
'  Version 1.0 Dec 2005 by G.E. Granato
'  Nov 2007 Add code to reconcile long term arrays to make record generation logic more robust
' Reconcile Arrays
' Move concurrent values back into full long-term array
Dim lngI As Long
Dim lngJ As Long
Dim lngDay As Long
' Dim intfile As Integer
' Dim StrStationFile As String
' Dim strMyDate As String

 For lngJ = 1 To lngNumPRQs
  For lngI = 1 To lngnumsta
   lngDay = PRDates(lngJ) - (dtBeginDate - 1)
   If (lngQdates(0, lngDay) = 1) And (lngQdates(lngI, lngDay) = 1) Then
    dLTQ(lngI, lngDay) = dPPRQ(lngI, lngJ)
   End If
  Next lngI
 Next lngJ
 
' test conversion with output
'For lngI = 1 To lngnumsta
' intfile = FreeFile
' StrStationFile = strInStations(lngI) & "Test.txt"
' Open StrStationFile For Append As intfile
' For lngJ = 1 To lngNDays
'  strMyDate = StringDate(dtBeginDate, lngJ, 1)  ' date in YYY-MM-DD format
'  strMyDate = strMyDate & Chr(9) & dLTQ(lngI, lngJ)
'  Print #intfile, strMyDate
' Next lngJ
' Close intfile
'Next lngI

Me.cmdMOVE.Enabled = False
MoveFrm07.Show

End Sub

Private Sub cmdClose_Click()
'
' Purpose:
' To Eliminate Empty Error File and Exit Application
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Functions
' bnCheckFile(strStaFile As String) As Boolean
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean     ' Check variable for file existance
Dim strMsgString As String      ' Saved Message box
Dim intMsgResult As Integer     ' Message box result
Dim StrErrMsg As String         ' Error Message
On Error GoTo Err_cmdClose_Click:
' Check close action
  strMsgString = "Do you wish to exit program now?"
  intMsgResult = MsgBox(strMsgString, vbYesNo, "Exit?: ")
  If intMsgResult = 7 Then  'vbNo
   Exit Sub
  Else
  ' Check if error file exists
    bnFileExists = bnCheckFile(strErrFile)
    If bnFileExists = False Then
     Unload Me
     End
    Else
     'check if file empty
     If FileLen(strErrFile) = 0 Then    'vb6 intrinsic file length function
      Kill (strErrFile)                 'vb6 intrinsic file delete function
     Else
     ' Warn the user that a file processing error has occured
       StrErrMsg = "Errors or warnings occured. Check error file: " & strErrFile
       MsgBox StrErrMsg, vbExclamation, "Error!"
     End If
    End If
  End If
 'End Program
' Unload Me
End
Err_cmdClose_Click:
End
End Sub


Private Sub cmdAbout_Click()
'
' Purpose:
' Program Information
' History:
' Version 1.0 Feb. 2006 by G.E. Granato
' Arguments
Dim strMsgstr As String

strMsgstr = "Streamflow Record Extension Facilitator (SREF Version 1.0) " & vbCrLf & _
"A program for extending or augmenting available streamflow records" & vbCrLf & _
"using available daily streamflow data from nearby streamflow gaging stations" & vbCrLf & _
"obtained from the U.S. Geological Survey NWIS Web and formatted by the" & vbCrLf & _
"program Get NWIS Streamflow (GNWISQ)." & vbCrLf & _
"" & vbCrLf & _
"By Gregory E. Granato" & vbCrLf & _
"U.S. Geological Survey " & vbCrLf & _
"ggranato@usgs.gov" & vbCrLf & _
"" & vbCrLf & _
"Prepared in cooperation with the" & vbCrLf & _
"U.S. Department of Transportation" & vbCrLf & _
"Federal Highway Administration" & vbCrLf & _
"Office of Natural and Human Environment" & vbCrLf & _
"" & vbCrLf & _
"2008 Version 1.0.0 " & vbCrLf

MsgBox strMsgstr, vbInformation, "About RDBP:"
End Sub


Private Sub ConvertUnix(strFilename As String, ierr As Integer)
'
' Purpose:
' To reformat Unix files to the PC format
' History:
' Version 1.0 Feb. 2006 by G.E. Granato
' Arguments
Dim intfile97 As Integer
Dim intfile98 As Integer
Dim strInLine As String
Dim strTMPFile As String
Dim vArrline  As Variant
Dim lngLine As Long

On Error GoTo ConvertUnix_ERR:
ierr = 0
intfile97 = FreeFile
Open strFilename For Input As intfile97
 Line Input #intfile97, strInLine   'Read Line
 vArrline = Split(strInLine, Chr(10))   ' if unix file has lf but no crlf split by line
 If UBound(vArrline) > 0 Then 'unix file move to PC format
  intfile98 = FreeFile
  strTMPFile = "MyPCTmpFile.tmpf"
  Open strTMPFile For Output As intfile98
  For lngLine = LBound(vArrline) To UBound(vArrline)
   Print #intfile98, vArrline(lngLine)
  Next lngLine
  Close (intfile98)
  Close (intfile97)
      Kill strFilename
      FileCopy strTMPFile, strFilename
      Kill strTMPFile
 Else
 Close (intfile97)
 End If
 Exit Sub
 
ConvertUnix_ERR:
 ierr = 1
 Exit Sub
End Sub


