VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form MoveFrm05 
   Caption         =   "Generate Long-Term Record"
   ClientHeight    =   5544
   ClientLeft      =   1092
   ClientTop       =   1656
   ClientWidth     =   5748
   LinkTopic       =   "Form2"
   ScaleHeight     =   5544
   ScaleWidth      =   5748
   Begin VB.CommandButton cmdEstimate 
      Caption         =   "Estimate Statistics"
      Height          =   492
      Left            =   1920
      TabIndex        =   19
      ToolTipText     =   "Estimate Long-Term Record Statistics"
      Top             =   4920
      Width           =   1692
   End
   Begin VB.Frame frZed 
      Caption         =   "To Treat Zero Q in Predictor (output denoted as e0):"
      Enabled         =   0   'False
      Height          =   972
      Left            =   120
      TabIndex        =   14
      Top             =   3840
      Width           =   5532
      Begin VB.OptionButton optRecess 
         Caption         =   "Enter Recession (0-1)"
         Enabled         =   0   'False
         Height          =   492
         Left            =   3360
         TabIndex        =   18
         ToolTipText     =   "Enter a recession constant Q2=RC*Qyesterday"
         Top             =   360
         Width           =   2052
      End
      Begin VB.OptionButton optEnter 
         Caption         =   "Enter Q"
         Enabled         =   0   'False
         Height          =   432
         Left            =   2280
         TabIndex        =   17
         ToolTipText     =   "Enter a substitute value for zero flows"
         Top             =   396
         Width           =   972
      End
      Begin VB.OptionButton optZed 
         Caption         =   "Zero"
         Enabled         =   0   'False
         Height          =   492
         Left            =   120
         TabIndex        =   16
         ToolTipText     =   "The predicted value will equal zero"
         Top             =   360
         Value           =   -1  'True
         Width           =   972
      End
      Begin VB.OptionButton opt01 
         Caption         =   "Q=0.01"
         Enabled         =   0   'False
         Height          =   492
         Left            =   1200
         TabIndex        =   15
         ToolTipText     =   "A value of 0.01 will be used to predict flows the comment will be e0"
         Top             =   360
         Width           =   972
      End
   End
   Begin VB.Frame frBCF 
      Caption         =   "Apply Bias Correction Factor (BCF)"
      Height          =   732
      Left            =   120
      TabIndex        =   11
      Top             =   2880
      Width           =   5532
      Begin VB.OptionButton optBCFNo 
         Caption         =   "No"
         Height          =   372
         Left            =   1800
         TabIndex        =   13
         ToolTipText     =   "Do not apply BCF to output values"
         Top             =   240
         Value           =   -1  'True
         Width           =   855
      End
      Begin VB.OptionButton OptBCFYes 
         Caption         =   "Yes"
         Height          =   372
         Left            =   360
         TabIndex        =   12
         ToolTipText     =   "Apply BCF to output values"
         Top             =   240
         Width           =   855
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   4920
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Frame FrSub 
      Caption         =   "Select Concurrent Values"
      Height          =   1212
      Left            =   3000
      TabIndex        =   8
      Top             =   1440
      Width           =   2652
      Begin VB.OptionButton optMeasured 
         Caption         =   "Use measured values"
         Height          =   372
         Left            =   120
         TabIndex        =   10
         ToolTipText     =   "Use values from the data for concurrent days (for continuous-record stations)"
         Top             =   720
         Width           =   2292
      End
      Begin VB.OptionButton optPredicted 
         Caption         =   "Use predicted values"
         Height          =   372
         Left            =   120
         TabIndex        =   9
         ToolTipText     =   "Use values from the regression line for concurrent days (for partial-record stations)"
         Top             =   240
         Value           =   -1  'True
         Width           =   2292
      End
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   495
      Left            =   3960
      TabIndex        =   7
      Top             =   4920
      Width           =   1572
   End
   Begin VB.CommandButton cmdGenerate 
      Caption         =   "Generate Values"
      Height          =   495
      Left            =   120
      TabIndex        =   6
      ToolTipText     =   "Generate Long-Term Record"
      Top             =   4920
      Width           =   1572
   End
   Begin VB.Frame Frame1 
      Caption         =   "Select Regression Method"
      Height          =   1212
      Left            =   120
      TabIndex        =   2
      Top             =   1440
      Width           =   2532
      Begin VB.OptionButton optMOVE3 
         Caption         =   "MOVE.3"
         Height          =   372
         Left            =   240
         TabIndex        =   4
         ToolTipText     =   "Maintenance of Variation Extension Type 3"
         Top             =   720
         Width           =   1095
      End
      Begin VB.OptionButton optMOVE1 
         Caption         =   "MOVE.1"
         Height          =   372
         Left            =   240
         TabIndex        =   3
         ToolTipText     =   "Maintenance of Variation Extension Type 1"
         Top             =   240
         Value           =   -1  'True
         Width           =   1095
      End
   End
   Begin VB.ComboBox cmbLTStation 
      Height          =   288
      ItemData        =   "MoveFrm05.frx":0000
      Left            =   120
      List            =   "MoveFrm05.frx":0002
      TabIndex        =   1
      ToolTipText     =   "Select Long-Term Station"
      Top             =   960
      Width           =   5412
   End
   Begin VB.Label Label1 
      Caption         =   "Select Long-Term Station."
      Height          =   372
      Left            =   120
      TabIndex        =   5
      Top             =   480
      Width           =   5172
   End
   Begin VB.Label Label2 
      Caption         =   "GENERATE RECORD:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3015
   End
End
Attribute VB_Name = "MoveFrm05"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim dZedQ As Double


Private Sub Form_Load()
'
' Purpose:
' To load form & set combo array
' History:
' Version 2.0 Dec. 2005 by G.E. Granato
' Arguments
Dim strCmbTxt As String
Dim lngI As Long
Me.Show

For lngI = 1 To lngnumsta ' set up combo box with values
 strCmbTxt = strInStations(lngI) & " Correlation: " & dCorr(lngI)
 Me.cmbLTStation.AddItem strCmbTxt, (lngI - 1)
Next lngI

' Set to first station
Me.cmbLTStation.ListIndex = 0

Me.cmbLTStation.Refresh

 If bnMOVE3(1) = False Then 'bMOVE3 need to set to control flow
  Me.optMOVE3.Enabled = False
 Else
  Me.optMOVE3.Enabled = True
 End If



End Sub


Private Sub cmdGenerate_Click()
'
' Purpose:
' To generate a long-term record
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Nov 2007 Update generation logic
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim intfnum As Integer        ' File unit number
Dim lngI As Long
Dim lngJ As Long
Dim lngK As Long
Dim lngGap As Long
Dim intMsgRslt As Integer
Dim intState As Integer
Dim strLTStation As String
Dim StrErrMsg As String       ' Error Message
Dim strMsgstr As String       ' Prompt Messages
Dim outStr As String
Dim strMvRecord As String
Dim intoutfile As Integer     ' If file exists add number to filename
Dim MyDate As Date
Dim MyTime As Date
Dim dtToday As Date
Dim strMyQ As String
Dim strMyDate As String
Dim dYesterdayQ As Double
Dim dTodayQ As Double
Dim dQ As Double
Dim intMsgResult As Integer
Dim StrMsgBox As String
Dim strEst As String
Dim strEst2 As String
Dim intZedQ As Integer  'Zero flow substitution choices
Dim bnAreWePredicting As Boolean  ' Are we predicting true, or using available Partial-record data

On Error GoTo Err_cmdGetLTStations_Click:

 If dCorr(lngSelectedSta) <= 0# Then
  strMsgstr = "Warning station: " & strInStations(lngSelectedSta) & _
  " cannot be used for this analysis. " & vbCrLf & _
  "Please select a station with a positive correlation coefficient."
  MsgBox strMsgstr, vbOKOnly, "WARNING!"
  Exit Sub
 End If



MyDate = Date   ' MyDate contains the current system date.
MyTime = Time   ' Return current system time.

' read file
' negsum = 0
 
If Me.optMOVE1.Value = True Then
   strMvRecord = strPRStation & "by" & strInStations(lngSelectedSta) & "MV1Q.txt"
Else
   strMvRecord = strPRStation & "by" & strInStations(lngSelectedSta) & "MV3Q.txt"
End If
 
'specify available filter
30 CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
  "(*.txt)|*.txt|Move.1 var files (*.mov1)|*.mov1"
' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.FileName = strMvRecord
  CommonDialog1.ShowSave
  strMvRecord = CommonDialog1.FileName
 
 
 ' Check for file existence
  bnFileExists = bnCheckFile(strMvRecord)
  If bnFileExists = True Then
     StrErrMsg = "Error: Output File: " & Chr(13) & Chr(10) & _
     strMvRecord & Chr(13) & Chr(10) & _
     "Already Exists." & Chr(13) & Chr(10) & Chr(13) & Chr(10) & _
     "Do you want to replace this file?"
     intMsgRslt = MsgBox(StrErrMsg, vbYesNo, "File Exists:")
     
     If intMsgRslt <> 6 Then 'No, rename file
      GoTo 30
     End If
     
  End If

 
 intfnum = FreeFile
 Open strMvRecord For Output As #intfnum


Me.cmdClose.Enabled = False
Me.MousePointer = 11 'or vbHourglass

 
'
 ' Write RDB header lines
 '
 '1
  outStr = "#"
    Print #intfnum, outStr
 '2
  outStr = "# U.S. Geological Survey"
    Print #intfnum, outStr
 '3
  
  If Me.optMOVE1.Value = True Then
   outStr = "# Estimated From Partial Record Data by MOVE.1"
   If Me.OptBCFYes.Value = True Then outStr = outStr & " with a bias correction factor"
  Else
   outStr = "# Estimated From Partial Record Data by MOVE.3"
   If Me.OptBCFYes.Value = True Then outStr = outStr & " with a bias correction factor"
  End If
  
    Print #intfnum, outStr
 '4
  outStr = "# by Use of Streamflow Record Extension Facilitator (SREF Version 1.0) ggranato@usgs.gov"
    Print #intfnum, outStr
 '5
  outStr = "# Estimated on: " & MyDate & " " & MyTime
    Print #intfnum, outStr
 '6
  outStr = "# This file contains daily mean streamflow data estimated from station: " & strInStations(lngSelectedSta)
  If Me.optMeasured.Value = True Then outStr = outStr & " with measured values from the site of interest."
    Print #intfnum, outStr
'7
  outStr = "# "
  
  If Me.optMOVE1.Value = True Then
   If Me.OptBCFYes.Value = True Then
    outStr = "# MOVE.1 Estimated flow = BCF(" & Format(dMv1BCF(lngSelectedSta), "##.000000") & ") * " & _
    strInStations(lngSelectedSta) & "Q^(" & Format(mv1Slope(lngSelectedSta), "##.000000") & ") * 10^" & _
    Format(mv1Int(lngSelectedSta), "##.000000")
   Else
    outStr = "# MOVE.1 Estimated flow = " & _
    strInStations(lngSelectedSta) & "Q^(" & Format(mv1Slope(lngSelectedSta), "##.000000") & ") * 10^" & _
    Format(mv1Int(lngSelectedSta), "##.000000")
   End If
  Else
   If Me.OptBCFYes.Value = True Then
    outStr = "# MOVE.3 Estimated flow = BCF(" & Format(dMv3BCF(lngSelectedSta), "##.000000") & ") * " & _
    strInStations(lngSelectedSta) & "Q^(" & Format(mv3Slope(lngSelectedSta), "##.000000") & ") * 10^" & _
    Format(mv3Int(lngSelectedSta), "##.000000")
   Else
    outStr = "# MOVE.3 Estimated flow = " & _
    strInStations(lngSelectedSta) & "Q^(" & Format(mv3Slope(lngSelectedSta), "##.000000") & ") * 10^" & _
    Format(mv3Int(lngSelectedSta), "##.000000")
   End If
  End If

    Print #intfnum, outStr
'8
  outStr = "#"
  Print #intfnum, outStr
 '9
  outStr = "# Further Descriptions of the dv_cd column can be found at:"
  Print #intfnum, outStr
 '10
  outStr = "# http://waterdata.usgs.gov/nwis/help?codes_help#dv_cd"
  Print #intfnum, outStr
 '11
  outStr = "#"
    Print #intfnum, outStr
 '12
  outStr = "# This information includes the following fields:"
  Print #intfnum, outStr
 '13
    outStr = "#"
    Print #intfnum, outStr
  '14
    outStr = "#  agency_cd   Agency Code"
    Print #intfnum, outStr
   '15
    outStr = "#  site_no     USGS station number"
    Print #intfnum, outStr
   '16
    outStr = "#  dv_dt       date of daily mean streamflow"
    Print #intfnum, outStr
  '17
    outStr = "#  dv_va       daily mean streamflow value, in cubic-feet per-second"
    Print #intfnum, outStr
   '18
    outStr = "#  dv_cd       daily mean streamflow value qualification code"
    Print #intfnum, outStr
   '19
    outStr = "#"
    Print #intfnum, outStr
   '20
    outStr = "# Sites in this file include:"
    Print #intfnum, outStr
   '21
    outStr = "#  USGS " & strPRStation & " " & strPRSTAName
    Print #intfnum, outStr
   '22
    outStr = "#"
    Print #intfnum, outStr
   '23
    outStr = "#"
    Print #intfnum, outStr
   '24
    outStr = "agency_cd" & Chr(9) & "site_no" & Chr(9) & "dv_dt" & Chr(9) & "dv_va" & Chr(9) & "dv_cd"
    Print #intfnum, outStr
   '25
    outStr = "5s" & Chr(9) & "15s" & Chr(9) & "10d" & Chr(9) & "12n" & Chr(9) & "3s"
    Print #intfnum, outStr
 '
 ' END Write RDB header lines
 '
 ' Write Data
   
   ' set up zedQ
     If Me.optZed.Value = True Then 'Use zero flow
      intZedQ = 1
      dZedQ = 0#
     ElseIf Me.opt01.Value = True Then ' use 0.01
      intZedQ = 2
      dZedQ = 10# ^ -2#
     ElseIf Me.optEnter.Value = True Then ' use input value
      intZedQ = 3
      dZedQ = dZedQ
     ElseIf Me.optRecess.Value = True Then 'use recession
      intZedQ = 4
      dZedQ = dZedQ
     End If
     
   intState = 0 ' no preceeding data
   
   lngK = 1 'set concurrent period
   
   dYesterdayQ = 0.01  ' assume small value before zero day
 
  For lngJ = 1 To lngNDays
   strEst2 = ""
    If lngQdates(0, lngJ) = 0 And lngQdates(lngSelectedSta, lngJ) = 0 Then 'No data, skip
     GoTo 100
    ElseIf Me.optMeasured = False And lngQdates(0, lngJ) = 1 And lngQdates(lngSelectedSta, lngJ) = 0 Then
     ' Have PR but not using it no lt data
     lngK = lngK + 1
     GoTo 100
    ElseIf Me.optMeasured = True And lngQdates(0, lngJ) = 1 Then  ' Using measured PR data and have PR data
     bnAreWePredicting = False
     dTodayQ = dPRQ(lngK)
     ' Get LT yesterdayQ (for tomorrow) if it exists
     If lngQdates(lngSelectedSta, lngJ) = 1 Then
      dYesterdayQ = dPPRQ(lngSelectedSta, lngK)
     Else
      dYesterdayQ = 0.01  ' assume small value before zero day
     End If
     strEst = strRQC(lngK)
     strEst2 = ""
     lngK = lngK + 1
    ElseIf Me.optMeasured = False And lngQdates(0, lngJ) = 1 And lngQdates(lngSelectedSta, lngJ) = 1 Then
    ' Have PR data (increment lngK) but using LT prediction
     lngK = lngK + 1
     bnAreWePredicting = True
     ' dTodayQ = dPPRQ(lngSelectedSta, lngK)
     dTodayQ = dLTQ(lngSelectedSta, lngJ)
     strEst = "e" & strQCd(lngSelectedSta, lngJ)
     If dTodayQ <= 0# Then
      dTodayQ = dEstimateZedQ(intZedQ, dZedQ, dYesterdayQ) ' Check for zero in predictor & react as planned
      strEst = strEst & "0"
     End If
     ' set min and max comment
       If dTodayQ > dMax(lngSelectedSta) Then strEst2 = "+"
       If dTodayQ < dMin(lngSelectedSta) Then strEst2 = "-"
    Else
     bnAreWePredicting = True 'We are using MOVE.1 or MOVE.3 to predict
     dTodayQ = dLTQ(lngSelectedSta, lngJ)
     strEst = "e" & strQCd(lngSelectedSta, lngJ)
     If dTodayQ <= 0# Then
      dTodayQ = dEstimateZedQ(intZedQ, dZedQ, dYesterdayQ) ' Check for zero in predictor & react as planned
      strEst = strEst & "0"
     End If
     ' set min and max comment
       If dTodayQ > dMax(lngSelectedSta) Then strEst2 = "+"
       If dTodayQ < dMin(lngSelectedSta) Then strEst2 = "-"
    End If
       ' finalize annotation
       strEst = strEst & strEst2

      
    ' Implement MOVE equation if predicting
      If bnAreWePredicting = False Then
       dQ = dTodayQ
      Else
       If Me.optMOVE1.Value = True Then
        dQ = (10# ^ mv1Int(lngSelectedSta)) * (dTodayQ ^ (mv1Slope(lngSelectedSta)))
        If Me.OptBCFYes.Value = True Then dQ = dQ * dMv1BCF(lngSelectedSta)
       Else
        dQ = (10# ^ mv3Int(lngSelectedSta)) * (dTodayQ ^ (mv3Slope(lngSelectedSta)))
        If Me.OptBCFYes.Value = True Then dQ = dQ * dMv3BCF(lngSelectedSta)
       End If
       dYesterdayQ = dTodayQ
      End If
         
    ' set Q string
    strMyQ = RoundQ(dQ)
    
    ' Date
       ' Set the current date
    strMyDate = StringDate(dtBeginDate, lngJ, 1)  ' Public Date Function Gets date in YYYY-MM-DD format

    outStr = "USGS" & Chr(9) & strPRStation & Chr(9) & strMyDate & Chr(9) & strMyQ & Chr(9) & strEst
    Print #intfnum, outStr

100: Next lngJ
    
Close #intfnum

Me.MousePointer = 1 'or vbArrow
Me.cmdClose.Enabled = True
Me.cmdClose.SetFocus


Exit Sub

Err_cmdGetLTStations_Click:
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Exit Sub
  End If
 ElseIf Err = 75 Then
  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
  GoTo 30
 Else
  StrMsgBox = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrMsgBox, vbExclamation, "Error!"
  Me.cmdClose.SetFocus
 End If


End Sub


Private Sub cmdEstimate_Click()
'
' Purpose:
' To estimate selected statistics at the site of interest from long-term record statistics
' History:
' Version 1.0 March 2007 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim arrLine As Variant        ' argument line
Dim intMsgResult As Integer   ' message box result
Dim intfnum As Integer        ' File unit number
Dim intfnum2 As Integer        ' File unit number
Dim lngI As Long
Dim lngJ As Long
Dim intMsgRslt As Integer
Dim StrErrMsg As String       ' Error Message
Dim strMsgstr As String       ' Prompt Messages
Dim strinstr As String
Dim outStr As String
Dim dQ As Double
Dim vtemp As Variant
Dim vQ As Variant
Dim dInStat() As Double
Dim dOutStat() As Double
Dim strInStat() As String
Dim Infile As String
Dim lngNumStat As Long
Dim intErrCode As Integer
Dim strMyQ As String
Dim strMvStatEst As String


 On Error GoTo Err_cmdEstimate_Click:

 If dCorr(lngSelectedSta) <= 0# Then
  strMsgstr = "Warning station: " & strInStations(lngSelectedSta) & _
  " cannot be used for this analysis. " & vbCrLf & _
  "Please select a station with a positive correlation coefficient."
  MsgBox strMsgstr, vbOKOnly, "WARNING!"
  Exit Sub
 End If

  Infile = strInStations(lngSelectedSta) & "STATS.txt"

' Check for file existence
  bnFileExists = bnCheckFile(Infile)
  If bnFileExists = False Then
   StrErrMsg = CurDir$() & "\" & Infile & "Does not exist!" & vbCrLf & _
   "Please provide this index-station statistics file in the current directory"
   MsgBox StrErrMsg, vbCritical, "Error:"
   Exit Sub
  End If
  
 ' Try to read a 2 column file of statistics
' set array
  lngNumStat = 0
  lngJ = 0
  intfnum = FreeFile
   Open Infile For Input As #intfnum
     Do While EOF(intfnum) = False
     Line Input #intfnum, strinstr
     ' check flow values
      arrLine = Split(strinstr, Chr(9))
      If UBound(arrLine) >= 1 Then
       vQ = arrLine(1)
       Call CkQ(vQ, intErrCode, 2)
       If intErrCode = 0 And vQ >= 0# Then lngNumStat = lngNumStat + 1
      End If
     lngJ = lngJ + 1
     Loop
   Close #intfnum

  If lngNumStat = 0 Then
   StrErrMsg = "No valid flow-statistics were read from file: " & vbCrLf & _
   CurDir$() & "\" & Infile & vbCrLf & _
   "Please provide a 2-column file of index-station statistics."
   MsgBox StrErrMsg, vbCritical, "Error:"
   Exit Sub
  Else
   ReDim dInStat(lngNumStat) As Double
   ReDim strInStat(lngNumStat) As String
   ReDim dOutStat(lngNumStat) As Double
  End If
  
  lngNumStat = 1
  intfnum = FreeFile
   Open Infile For Input As #intfnum
     Do While EOF(intfnum) = False
      Line Input #intfnum, strinstr
      arrLine = Split(strinstr, Chr(9))
      If UBound(arrLine) >= 1 Then
       vQ = arrLine(1)
       Call CkQ(vQ, intErrCode, 2)
       If intErrCode = 0 And vQ >= 0# Then
        dInStat(lngNumStat) = CDbl(vQ)
        strInStat(lngNumStat) = Trim(arrLine(0))
        lngNumStat = lngNumStat + 1
       End If
     End If
     Loop
   Close #intfnum
     lngNumStat = lngNumStat - 1

    
'Write output file
    
    
If Me.optMOVE1.Value = True Then
   strMvStatEst = strPRStation & "by" & strInStations(lngSelectedSta) & "STATSMV1Q.txt"
Else
   strMvStatEst = strPRStation & "by" & strInStations(lngSelectedSta) & "STATSMV3Q.txt"
End If
 
'specify available filter
30 CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
  "(*.txt)|*.txt|Move.1 var files (*.mov1)|*.mov1"
' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.FileName = strMvStatEst
  CommonDialog1.ShowSave
  strMvStatEst = CommonDialog1.FileName
 
 
 ' Check for file existence
  bnFileExists = bnCheckFile(strMvStatEst)
  If bnFileExists = True Then
     StrErrMsg = "Error: Output File: " & Chr(13) & Chr(10) & _
     strMvStatEst & Chr(13) & Chr(10) & _
     "Already Exists." & Chr(13) & Chr(10) & Chr(13) & Chr(10) & _
     "Do you want to replace this file?"
     intMsgRslt = MsgBox(StrErrMsg, vbYesNo, "File Exists:")
     
     If intMsgRslt <> 6 Then 'No, rename file
      GoTo 30
     End If
     
  End If
    
    
   intfnum = FreeFile
   Open strMvStatEst For Output As #intfnum
    
' ***********
' Generate Header lines
' ***********
    
 outStr = "Statistical estimates for station: " & strPRStation & " from station: " & strInStations(lngSelectedSta)
 Print #intfnum, outStr
 If Me.optMOVE1.Value = True Then
  outStr = "By MOVE.1 equation: Y= (10^" & mv1Int(lngSelectedSta) & ") * X^" & mv1Slope(lngSelectedSta)
  If Me.OptBCFYes.Value = True Then outStr = outStr & " * BCF (" & dMv1BCF(lngSelectedSta) & ")"
 Else
  outStr = "By MOVE.3 equation: Y= (10^" & mv3Int(lngSelectedSta) & ") * X^" & mv3Slope(lngSelectedSta)
  If Me.OptBCFYes.Value = True Then outStr = outStr & " * BCF (" & dMv3BCF(lngSelectedSta) & ")"
 End If
  Print #intfnum, outStr
 
 ' ***********
  ' Generate Variable Lines
  ' ***********
    outStr = "statname" & Chr(9) & "statval" & Chr(9) & "statcomment"
    Print #intfnum, outStr
    
    outStr = "255s" & Chr(9) & "10n" & Chr(9) & "2s"
    Print #intfnum, outStr
 
 
  ' ***********
  ' Generate statistical estimates
  ' ***********
 
     For lngI = 1 To lngNumStat
     If Me.optMOVE1.Value = True Then
      dOutStat(lngI) = (10# ^ mv1Int(lngSelectedSta)) * (dInStat(lngI) ^ (mv1Slope(lngSelectedSta)))
      If Me.OptBCFYes.Value = True Then dOutStat(lngI) = dOutStat(lngI) * dMv1BCF(lngSelectedSta)
     Else
      dOutStat(lngI) = (10# ^ mv3Int(lngSelectedSta)) * (dInStat(lngI) ^ (mv3Slope(lngSelectedSta)))
      If Me.OptBCFYes.Value = True Then dOutStat(lngI) = dOutStat(lngI) * dMv3BCF(lngSelectedSta)
     End If
     
    ' set Q string
     strMyQ = GEGFormatQ(dOutStat(lngI))
    
     ' set comment field if X of index station outside common range
    If dInStat(lngI) > dMax(lngSelectedSta) Then
     outStr = "e+"
    ElseIf dInStat(lngI) < dMin(lngSelectedSta) Then
     outStr = "e-"
    Else
     outStr = "e"
    End If
    
    outStr = strInStat(lngI) & Chr(9) & strMyQ & Chr(9) & outStr
    
    Print #intfnum, outStr
    
    Next lngI
    
    Close #intfnum
    Me.cmdClose.Enabled = True
    Me.cmdClose.SetFocus
    
Exit Sub

Err_cmdEstimate_Click:
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Exit Sub
  End If
 ElseIf Err = 75 Then
  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
  GoTo 30
 Else
  StrErrMsg = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrErrMsg, vbExclamation, "Error!"
  Me.cmdClose.SetFocus
 End If


End Sub

Private Sub cmbLTStation_Click()
'
' Purpose:
' To designate the predictor station
' History:
' Version 1.0 Dec 2006 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
 Dim strCmbTxt As String
 Dim strMsgstr As String
  
 lngSelectedSta = (Me.cmbLTStation.ListIndex) + 1
 
  ' Warn user activate zero flow option if zeros in record
 If lngNumZero(lngSelectedSta) > 0 Then
  strMsgstr = "The record for station: " & strInStations(lngSelectedSta) & " has " & _
  lngNumZero(lngSelectedSta) & " zero values."
  MsgBox strMsgstr, vbExclamation, "Warning:"
  Me.frZed.Enabled = True
  Me.opt01.Enabled = True
  Me.optEnter.Enabled = True
  Me.optRecess.Enabled = True
  Me.optZed.Enabled = True
 Else
  Me.frZed.Enabled = False
  Me.opt01.Enabled = False
  Me.optEnter.Enabled = False
  Me.optRecess.Enabled = False
  Me.optZed.Enabled = False
 End If
 
 If bnMOVE3(lngSelectedSta) = False Then 'bMOVE3 need to set to control flow
  Me.optMOVE3.Enabled = False
  strMsgstr = "The record for station: " & strInStations(lngSelectedSta) & " does not meet MOVE.3 criteria."
  MsgBox strMsgstr, vbExclamation, "Warning:"
 Else
  Me.optMOVE3.Enabled = True
 End If
 
 
 
 
 
 
End Sub




Private Sub cmdClose_Click()
'
' Purpose:
' To close this form
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim intMsgResult As Integer     ' Message box result
Dim StrErrMsg As String         ' Error Message
On Error GoTo Err_cmdClose_Click:
' Check close action
  strMsgString = "Do you wish to exit the record generation interface?"
  intMsgResult = MsgBox(strMsgString, vbYesNo, "Exit?: ")
  If intMsgResult = 7 Then  'vbNo
   Exit Sub
  Else
   Unload MoveFrm03
   Unload Me                      ' Close current form
  End If
  Exit Sub
  
Err_cmdClose_Click:
  strMsgString = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox strMsgString, vbExclamation, "Error!"

End Sub

Private Sub optEnter_Click()
'
' Purpose:
' To Assign a user defined value for Q.
' History:
' Version 1.0 Dec 2006 by G.E. Granato
'
' Arguments
Dim vtemp As Variant
Dim interr As Integer
Dim intmsg As Integer

interr = 0

If dZedQ <= 0# Then
 dZedQ = 0.0005
ElseIf (dZedQ = 0.5) Then
 dZedQ = 0.0005
End If

10: vtemp = InputBox("Please enter one substitute value for zero flows", "Enter a substitute for zero values of the predictor", dZedQ)

Call CkQ(vtemp, interr, 1)

If interr = 0 And vtemp < 0# Then interr = 1

If interr <> 0 And vtemp <> "" Then
 intmsg = MsgBox("This value is not valid try again?", vbYesNo, "Error:")
 If intmsg <> 6 Then
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
 Else
  GoTo 10:
 End If
ElseIf interr <> 0 And vtemp = "" Then
  MsgBox "You chose cancel; please specify a different option.", vbOKOnly, "Cancel"
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
Else
 dZedQ = CDbl(vtemp)
End If

End Sub
Private Sub optRecess_Click()
'
' Purpose:
' To Assign a user defined value for the recession of Q.
' History:
' Version 1.0 Dec 2006 by G.E. Granato
'
' Arguments
Dim vtemp As Variant
Dim interr As Integer
Dim intmsg As Integer
Dim strinput As String


interr = 0

If (dZedQ <= 0#) Then
 dZedQ = 0.5
ElseIf (dZedQ = 0.0005) Then
 dZedQ = 0.5
End If

strinput = "Please enter a recession value R for replacing zero flows" & vbCrLf & _
"Streamflow from the last nonzero day will be used to calculate a replacement flow." & vbCrLf & _
" QToday = R * QYesterday " & vbCrLf & _
"Subsequent zero-flow days will follow the recession. R must be greater than zero and less than or equal to one."

10: vtemp = InputBox(strinput, "Enter a substitute for zero values of the predictor", dZedQ)


Call CkQ(vtemp, interr, 1)

If interr = 0 And ((vtemp <= 0#) Or (vtemp > 1#)) Then interr = 1

If interr <> 0 And vtemp <> "" Then
 intmsg = MsgBox("This value is not valid try again?", vbYesNo, "Error:")
 If intmsg <> 6 Then
  Me.optZed.Value = True
  dZedQ = 0.5
  Exit Sub
 Else
  GoTo 10:
 End If
ElseIf interr <> 0 And vtemp = "" Then
  MsgBox "You chose cancel; please specify a different option.", vbOKOnly, "Cancel"
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
Else
 dZedQ = CDbl(vtemp)
End If



End Sub


Private Sub optMeasured_Click()
'
' Purpose:
' To ensure that there are no duplicate dates in the partial record.
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim StrErrMsg As String         ' Error Message
If intPRDateTie = 1 Then
 StrErrMsg = " The partial-record station file has one or more duplicate measurements for a given date." & vbCrLf
 StrErrMsg = StrErrMsg & "(see the error file for details). Duplicates are ok for equation development." & vbCrLf
 StrErrMsg = StrErrMsg & "However, this substitution option cannot be used with multiple input values on the same date."
 StrErrMsg = StrErrMsg & "Therefore, use the mean, median or geometric mean value of multiple partial-record" & vbCrLf
 StrErrMsg = StrErrMsg & "input-values for any given date to use this data substitution option."
 MsgBox StrErrMsg, vbInformation, "Warning:"
 Me.optPredicted.Value = True
End If
 

End Sub

