VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form MoveFrm06 
   Caption         =   "Multiple Station Record Generation"
   ClientHeight    =   7176
   ClientLeft      =   -72
   ClientTop       =   216
   ClientWidth     =   7176
   LinkTopic       =   "Form2"
   ScaleHeight     =   7176
   ScaleWidth      =   7176
   Begin VB.CommandButton cmdEstimate 
      Caption         =   "Estimate Statistics"
      Enabled         =   0   'False
      Height          =   492
      Left            =   2520
      TabIndex        =   20
      ToolTipText     =   "Record Augmentation: Estimate Long-Term Record Statistics"
      Top             =   6480
      Width           =   2172
   End
   Begin VB.Frame frZed 
      Caption         =   "To Treat Zero Q in Predictor (output denoted as e0)"
      Enabled         =   0   'False
      Height          =   852
      Left            =   120
      TabIndex        =   15
      Top             =   5520
      Width           =   6852
      Begin VB.OptionButton opt01 
         Caption         =   "Q=0.01"
         Enabled         =   0   'False
         Height          =   312
         Left            =   1560
         TabIndex        =   19
         ToolTipText     =   "A value of 0.01 will be used to predict flows the comment will be e0"
         Top             =   360
         Width           =   1212
      End
      Begin VB.OptionButton optZed 
         Caption         =   "Zero"
         Enabled         =   0   'False
         Height          =   312
         Left            =   360
         TabIndex        =   18
         ToolTipText     =   "The predicted value will equal zero"
         Top             =   360
         Value           =   -1  'True
         Width           =   972
      End
      Begin VB.OptionButton optEnter 
         Caption         =   "Enter Q"
         Enabled         =   0   'False
         Height          =   312
         Left            =   3000
         TabIndex        =   17
         ToolTipText     =   "Enter a substitute value for zero flows"
         Top             =   360
         Width           =   1212
      End
      Begin VB.OptionButton optRecess 
         Caption         =   "Enter Recession (0-1)"
         Enabled         =   0   'False
         Height          =   312
         Left            =   4440
         TabIndex        =   16
         ToolTipText     =   "Enter a recession constant Q2=RC*Qyesterday"
         Top             =   360
         Width           =   2172
      End
   End
   Begin VB.CommandButton cmdStationSelect 
      Caption         =   "Finalize Multiple Index-Station Selection"
      Height          =   495
      Left            =   720
      TabIndex        =   2
      ToolTipText     =   "Finalize station selection"
      Top             =   3600
      Width           =   5652
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   495
      Left            =   5040
      TabIndex        =   10
      Top             =   6480
      Width           =   1932
   End
   Begin VB.CommandButton cmdGenerate 
      Caption         =   "Generate Values"
      Enabled         =   0   'False
      Height          =   495
      Left            =   120
      TabIndex        =   9
      ToolTipText     =   "Record Extension: Generate Long-Term Record"
      Top             =   6480
      Width           =   2052
   End
   Begin VB.Frame frBCF 
      Caption         =   "Apply BCF"
      Height          =   1095
      Left            =   5520
      TabIndex        =   14
      Top             =   4320
      Width           =   1455
      Begin VB.OptionButton OptBCFYes 
         Caption         =   "Yes"
         Height          =   255
         Left            =   240
         TabIndex        =   7
         ToolTipText     =   "Apply BCF to output values"
         Top             =   360
         Width           =   855
      End
      Begin VB.OptionButton optBCFNo 
         Caption         =   "No"
         Height          =   255
         Left            =   240
         TabIndex        =   8
         ToolTipText     =   "Do not apply BCF to output values"
         Top             =   720
         Value           =   -1  'True
         Width           =   855
      End
   End
   Begin VB.Frame FrSub 
      Caption         =   "Select Concurrent Values"
      Height          =   1095
      Left            =   2760
      TabIndex        =   13
      Top             =   4320
      Width           =   2412
      Begin VB.OptionButton optPredicted 
         Caption         =   "Use predicted values"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         ToolTipText     =   "Use values from the regression line for concurrent days (for partial-record stations)"
         Top             =   240
         Value           =   -1  'True
         Width           =   1815
      End
      Begin VB.OptionButton optMeasured 
         Caption         =   "Use measured values"
         Height          =   255
         Left            =   120
         TabIndex        =   6
         ToolTipText     =   "Use values from the data for concurrent days (for continuous-record stations)"
         Top             =   600
         Width           =   1935
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Select Regression Method"
      Height          =   1095
      Left            =   120
      TabIndex        =   12
      Top             =   4320
      Width           =   2292
      Begin VB.OptionButton optMOVE1 
         Caption         =   "MOVE.1"
         Height          =   255
         Left            =   240
         TabIndex        =   3
         ToolTipText     =   "Maintenance of Variation Extension Type 1"
         Top             =   360
         Value           =   -1  'True
         Width           =   1095
      End
      Begin VB.OptionButton optMOVE3 
         Caption         =   "MOVE.3"
         Height          =   255
         Left            =   240
         TabIndex        =   4
         ToolTipText     =   "Maintenance of Variation Extension Type 3"
         Top             =   720
         Width           =   1095
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   6120
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.ListBox ListStation 
      Height          =   2160
      ItemData        =   "MoveFrm06.frx":0000
      Left            =   120
      List            =   "MoveFrm06.frx":0002
      MultiSelect     =   2  'Extended
      TabIndex        =   1
      ToolTipText     =   "Station List"
      Top             =   1320
      Width           =   6852
   End
   Begin VB.Label Label1 
      Caption         =   $"MoveFrm06.frx":0004
      Height          =   612
      Left            =   240
      TabIndex        =   11
      Top             =   600
      Width           =   6612
   End
   Begin VB.Label Label2 
      Caption         =   "GENERATE RECORD:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3012
   End
End
Attribute VB_Name = "MoveFrm06"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit ' Forces the programmer to declare all variables
Dim lngJSta() As Long
Dim lngKA() As Long
Dim lngSta As Long
Dim dZedQ As Double
Dim dYesterdayQ() As Double
Dim lngStatSta() As Long
Dim lngStatStaNum As Long

Private Sub Form_Load()
'
' Purpose:
' To load form & set ListBox array
' History:
' Version 2.0 Dec. 2005 by G.E. Granato
' Arguments
Dim strLstTxt As String
Dim lngI As Long

For lngI = 1 To lngnumsta ' set up combo box with values
 strLstTxt = strInStations(lngI) & " Correlation: " & dCorr(lngI)
 Me.ListStation.AddItem strLstTxt, (lngI - 1)
Next lngI

Me.ListStation.Refresh

End Sub

Private Sub cmdStationSelect_Click()
'
' Purpose:
' To get the selected stations.
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim lngStationCount01 As Long ' number of stations
Dim lngStationCount02 As Long ' number of selected stations
Dim lngMyJ As Long
Dim intMyJ As Integer
Dim intI As Integer
Dim intMsgResult As Integer
Dim lngSelectedSta As Long
Dim strCmbTxt As String
Dim strMsgstr As String ' messagebox string
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim strinfile As String
Dim lngMOVE3Sum As Long 'MOVE3 validity station count

lngStationCount01 = Me.ListStation.ListCount
lngSta = 0

For lngMyJ = 0 To lngStationCount01 - 1
 intMyJ = CInt(lngMyJ)
 If Me.ListStation.Selected(intMyJ) Then
   If dCorr(lngMyJ + 1) <= 0# Then
     strMsgstr = "Warning station: " & strInStations(lngMyJ + 1) & _
     " cannot be used for this analysis. " & vbCrLf & _
    "Please select a station with a positive correlation coefficient."
    MsgBox strMsgstr, vbOKOnly, "WARNING!"
    Exit Sub
   Else
    lngSta = lngSta + 1
   End If
  End If
Next lngMyJ

 If lngSta < 1 Then
  MsgBox "Please select a station.", vbOKOnly, "Select at least one station"
  Exit Sub
 End If
 
'**************
' Check for stat files
ReDim lngStatSta(lngSta) As Long
lngStatStaNum = 0
strMsgstr = ""
For intI = 0 To lngStationCount01 - 1   'Check for Stat file existance
 If Me.ListStation.Selected(intI) Then
  strinfile = strInStations((CLng(intI) + 1)) & "STATS.txt"
   ' Check for file existence
   bnFileExists = bnCheckFile(strinfile)
   If bnFileExists = False Then
    strMsgstr = strMsgstr & CurDir$() & "\" & strinfile & " Does not exist!" & vbCrLf
   Else
    lngStatStaNum = lngStatStaNum + 1
    lngStatSta(lngStatStaNum) = (CLng(intI) + 1)
   End If
  End If
Next intI
' Did we miss any selected stations?
 If Len(strMsgstr) > 0 Then ' yes we missed selected stations
  strMsgstr = "Warning the file(s): " & vbCrLf & strMsgstr & _
  "and so is/are not available for use with the Estimate Statistics button." & vbCrLf
  If lngStatStaNum >= 1 Then 'we have at least one station, proceed
   strMsgstr = strMsgstr & "Do you wish to proceed with the remaining stations (Yes) or reselect (No)?"
   intMsgResult = MsgBox(strMsgstr, vbYesNo, "Warning:")
   If intMsgResult <> 6 Then ' stop and try again
    Exit Sub
   End If
  Else ' Not one station has statistics
   strMsgstr = strMsgstr & "None of the statistics files for selected stations are available for estimation" & vbCrLf & _
   "Do you wish to proceed and generate a record of daily values (Yes) or reselect the stations (No)?"
   intMsgResult = MsgBox(strMsgstr, vbYesNo, "Warning:")
   If intMsgResult = 6 Then ' yes proceed
    Me.cmdEstimate.Enabled = False
   Else
    Exit Sub
   End If
  End If
 End If
 
'*********************
'Check for zero flows
strMsgstr = ""
lngMOVE3Sum = 0

For intI = 0 To lngStationCount01 - 1   'Check for zero flows
 If Me.ListStation.Selected(intI) Then
  lngSelectedSta = CLng(intI) + 1
    ' Warn user activate zero flow option if zeros in record
  If lngNumZero(lngSelectedSta) > 0 Then
   strMsgstr = strMsgstr & "The record for station: " & strInStations(lngSelectedSta) & " has " & _
   lngNumZero(lngSelectedSta) & " zero values." & vbCrLf
  End If
  ' warn the user if MOVE.3 won't work see load data
  If bnMOVE3(lngSelectedSta) = False Then
   strMsgstr = strMsgstr & "The data for station: " & strInStations(lngSelectedSta) & " does not meet MOVE.3 requirements."
   lngMOVE3Sum = lngMOVE3Sum + 1
  End If
 End If
Next intI


If Trim(strMsgstr) <> "" Then
  strMsgstr = strMsgstr & vbCrLf & "Do you wish to proceed with substitute values?"
  intMsgResult = MsgBox(strMsgstr, vbYesNo, "Warning:")
 If intMsgResult = 6 Then
  Me.frZed.Enabled = True
  Me.opt01.Enabled = True
  Me.optEnter.Enabled = True
  Me.optRecess.Enabled = True
  Me.optZed.Enabled = True
 Else
  Me.frZed.Enabled = False
  Me.opt01.Enabled = False
  Me.optEnter.Enabled = False
  Me.optRecess.Enabled = False
  Me.optZed.Enabled = False
  MsgBox "Please reselect stations and try again", vbInformation, "Try Again:"
  Me.cmdGenerate.Enabled = False
  Me.cmdEstimate.Enabled = False
  Me.ListStation.Enabled = True
  Exit Sub
 End If
End If
 
ReDim lngJSta(1 To lngSta) As Long
intMyJ = 1
For intI = 0 To lngStationCount01 - 1
 If Me.ListStation.Selected(intI) Then
  lngJSta(intMyJ) = CLng(intI) + 1
  intMyJ = intMyJ + 1
 End If
Next intI

' Diable MOVE.3 option if a station does not meet criteria
If lngMOVE3Sum <> 0 Then
 Me.optMOVE3.Enabled = False
Else
 Me.optMOVE3.Enabled = True
End If

Me.cmdGenerate.Enabled = True
If lngStatStaNum > 0 Then Me.cmdEstimate.Enabled = True
Me.ListStation.Enabled = False

End Sub



Private Sub optEnter_Click()
'
' Purpose:
' To Assign a user defined value for Q.
' History:
' Version 1.0 Dec 2006 by G.E. Granato
'
' Arguments
Dim vtemp As Variant
Dim interr As Integer
Dim intmsg As Integer

interr = 0

If dZedQ <= 0# Then
 dZedQ = 0.0005
ElseIf (dZedQ = 0.5) Then
 dZedQ = 0.0005
End If

10: vtemp = InputBox("Please enter one substitute value for zero flows", "Enter a substitute for zero values of the predictor", dZedQ)

Call CkQ(vtemp, interr, 1)

If interr = 0 And vtemp < 0# Then interr = 1

If interr <> 0 Then
 intmsg = MsgBox("This value is not valid try again?", vbYesNo, "Error:")
 If intmsg <> 6 Then
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
 Else
  GoTo 10:
 End If
Else
 dZedQ = CDbl(vtemp)
End If

End Sub

Private Sub optMeasured_Click()
'
' Purpose:
' To ensure that there are no duplicate dates in the partial record.
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim StrErrMsg As String         ' Error Message
If intPRDateTie = 1 Then
 StrErrMsg = " The partial-record station file has one or more duplicate measurements for a given date." & vbCrLf
 StrErrMsg = StrErrMsg & "(see the error file for details). Duplicates are ok for equation development." & vbCrLf
 StrErrMsg = StrErrMsg & "However, this substitution option cannot be used with multiple input values on the same date."
 StrErrMsg = StrErrMsg & "Therefore, use the mean, median or geometric mean value of multiple partial-record" & vbCrLf
 StrErrMsg = StrErrMsg & "input-values for any given date to use this data substitution option."
 MsgBox StrErrMsg, vbInformation, "Warning:"
 Me.optPredicted.Value = True
End If
 

End Sub

Private Sub cmdGenerate_Click()
'
' Purpose:
' To generate a long-term record
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Nov 2007 Update generation logic
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim intfnum As Integer        ' File unit number
Dim lngI As Long
Dim lngJ As Long
Dim lngJJ As Long
Dim lngJJSta As Long
Dim lngK As Long
Dim lngGap As Long
Dim intMsgRslt As Integer
Dim intState As Integer
Dim strLTStation As String
Dim StrErrMsg As String       ' Error Message
Dim strMsgstr As String       ' Prompt Messages
Dim outStr As String
Dim strMvRecord As String
Dim intoutfile As Integer     ' If file exists add number to filename
Dim MyDate As Date
Dim MyTime As Date
Dim dtToday As Date
Dim strMyQ As String
Dim strMyDate As String
'Dim dYesterdayQ As Double
Dim dTodayQ As Double
Dim dQ As Double
Dim dQ2 As Double
Dim dDQ2 As Double
Dim intKFlag As Integer
Dim dSUMMSEMV1 As Double ' sum of mean square errors MOVE1
Dim dSUMMSEMV3 As Double ' sum of mean square errors MOVE3
Dim intMsgResult As Integer
Dim StrMsgBox As String
Dim Dweight As Double
Dim strEst As String
Dim strEst2 As String
Dim bnAreWePredicting As Boolean  ' Are we predicting true, or using available Partial-record data
Dim intZedQ As Integer 'Zero flow substitution choices
Dim lngSumlngQdate As Long 'Sum of available data on a day

MyDate = Date   ' MyDate contains the current system date.
MyTime = Time   ' Return current system time.

' read file
' negsum = 0
 

If Me.optMOVE1.Value = True Then
   strMvRecord = strPRStation & "MV1Q.txt"
Else
   strMvRecord = strPRStation & "MV3Q.txt"
End If




'specify available filter
30 CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
  "(*.txt)|*.txt|Move.1 var files (*.mov1)|*.mov1"
' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.FileName = strMvRecord
  CommonDialog1.ShowSave
  strMvRecord = CommonDialog1.FileName
 
 
 ' Check for file existence
  bnFileExists = bnCheckFile(strMvRecord)
  If bnFileExists = True Then
     StrErrMsg = "Error: Output File: " & Chr(13) & Chr(10) & _
     strMvRecord & Chr(13) & Chr(10) & _
     "Already Exists." & Chr(13) & Chr(10) & Chr(13) & Chr(10) & _
     "Do you want to replace this file?"
     intMsgRslt = MsgBox(StrErrMsg, vbYesNo, "File Exists:")
     
     If intMsgRslt <> 6 Then 'No, rename file
      GoTo 30
     End If
     
  End If

 
 intfnum = FreeFile
 Open strMvRecord For Output As #intfnum


Me.cmdClose.Enabled = False
Me.MousePointer = 11 'or vbHourglass


'
 ' Write RDB header lines
 '
 '1
  outStr = "#"
    Print #intfnum, outStr
 '2
  outStr = "# U.S. Geological Survey"
    Print #intfnum, outStr
 '3
  
  If Me.optMOVE1.Value = True Then
   outStr = "# Estimated From Partial Record Data by MOVE.1"
   If Me.OptBCFYes.Value = True Then outStr = outStr & " with a bias correction factor"
  Else
   outStr = "# Estimated From Partial Record Data by MOVE.3"
   If Me.OptBCFYes.Value = True Then outStr = outStr & " with a bias correction factor"
  End If
  
    Print #intfnum, outStr
 '4
  outStr = "# by Use of Streamflow Record Extension Facilitator (SREF Version 1.0) ggranato@usgs.gov"
    Print #intfnum, outStr
 '5
  outStr = "# Estimated on: " & MyDate & " " & MyTime
    Print #intfnum, outStr
 '6
  outStr = "# This file contains daily mean streamflow data estimated from station(s): "
    Print #intfnum, outStr
 '7
   outStr = "# "
   For lngJJSta = 1 To lngSta
    outStr = outStr & strInStations(lngJSta(lngJJSta)) & " "
   Next lngJJSta
   If Me.optMeasured.Value = True Then outStr = outStr & " with measured values from the site of interest."
   Print #intfnum, outStr
 '8
  outStr = "#"
  Print #intfnum, outStr
 '9
  outStr = "# Further Descriptions of the dv_cd column can be found at:"
  Print #intfnum, outStr
 '10
  outStr = "# http://waterdata.usgs.gov/nwis/help?codes_help#dv_cd"
  Print #intfnum, outStr
 '11
  outStr = "#"
    Print #intfnum, outStr
 '12
  outStr = "# This information includes the following fields:"
  Print #intfnum, outStr
 '13
    outStr = "#"
    Print #intfnum, outStr
  '14
    outStr = "#  agency_cd   Agency Code"
    Print #intfnum, outStr
   '15
    outStr = "#  site_no     USGS station number"
    Print #intfnum, outStr
   '16
    outStr = "#  dv_dt       date of daily mean streamflow"
    Print #intfnum, outStr
  '17
    outStr = "#  dv_va       daily mean streamflow value, in cubic-feet per-second"
    Print #intfnum, outStr
   '18
    outStr = "#  dv_cd       daily mean streamflow value qualification code"
    Print #intfnum, outStr
   '19
    outStr = "#"
    Print #intfnum, outStr
   '20
    outStr = "# Sites in this file include:"
    Print #intfnum, outStr
   '21
    outStr = "#  USGS " & strPRStation & " " & strPRSTAName
    Print #intfnum, outStr
   '22
    outStr = "#"
    Print #intfnum, outStr
   '23
    outStr = "#"
    Print #intfnum, outStr
   '24
    outStr = "agency_cd" & Chr(9) & "site_no" & Chr(9) & "dv_dt" & Chr(9) & "dv_va" & Chr(9) & "dv_cd"
    Print #intfnum, outStr
   '25
    outStr = "5s" & Chr(9) & "15s" & Chr(9) & "10d" & Chr(9) & "12n" & Chr(9) & "3s"
    Print #intfnum, outStr
 '
 ' END Write RDB header lines
 '
 ' Write Data
 
      ' set up zedQ
     If Me.optZed.Value = True Then 'Use zero flow
      intZedQ = 1
      dZedQ = 0#
     ElseIf Me.opt01.Value = True Then ' use 0.01
      intZedQ = 2
      dZedQ = 10# ^ -2#
     ElseIf Me.optEnter.Value = True Then ' use input value
      intZedQ = 3
      dZedQ = dZedQ
     ElseIf Me.optRecess.Value = True Then 'use recession
      intZedQ = 4
      dZedQ = dZedQ
     End If
 
   intState = 0 ' no preceeding data
   
   ReDim lngKA(1 To lngSta) As Long
   ReDim dYesterdayQ(1 To lngSta) As Double
   
   intState = 0 ' no preceeding data
   
   lngK = 1 'set concurrent period
     
   For lngJJ = 1 To lngSta
    lngKA(lngJJ) = 1 'set concurrent period
    dYesterdayQ(lngJJ) = 0.01  'start with small value if starts with zero flow
   Next lngJJ
 
 For lngJ = 1 To lngNDays
   strEst = ""
   strEst2 = ""
    
   If lngJ = 9324 Then
    strEst = ""
   End If

   ' See if any selected station has data for today
   lngSumlngQdate = 0
   
   ' step through stations
   For lngJJ = 1 To lngSta
    lngSumlngQdate = lngSumlngQdate + lngQdates(lngJSta(lngJJ), lngJ)
   Next lngJJ
   
   ' Skip date, print at-site Q or print estimated Q
   If lngQdates(0, lngJ) = 0 And lngSumlngQdate = 0 Then
   'No data, skip
    GoTo 100
   ElseIf Me.optMeasured = False And lngQdates(0, lngJ) = 1 And lngSumlngQdate = 0 Then
   'Have PR but not using it no lt data
    lngK = lngK + 1
    GoTo 100
   ElseIf Me.optMeasured = True And lngQdates(0, lngJ) = 1 Then  ' Using measured PR data and have PR data
    bnAreWePredicting = False
    dTodayQ = dPRQ(lngK)
    ' Get LT yesterdayQ (for tomorrow) if it exists
     For lngJJ = 1 To lngSta
      If lngQdates(lngJSta(lngJJ), lngJ) = 1 Then
       dYesterdayQ(lngJJ) = dLTQ(lngJSta(lngJJ), lngJ)
      Else
       dYesterdayQ(lngJJ) = 0.01 ' assume small value before zero day
      End If
     Next lngJJ
     strEst = strRQC(lngK)
     strEst2 = ""
     lngK = lngK + 1
   ElseIf Me.optMeasured = False And lngQdates(0, lngJ) = 1 And lngSumlngQdate > 0 Then
    ' Have PR data (increment lngK) but using LT prediction
     lngK = lngK + 1
     bnAreWePredicting = True
     strEst2 = ""
   Else
     bnAreWePredicting = True 'We are using MOVE.1 or MOVE.3 to predict
     strEst2 = ""
   End If

   If bnAreWePredicting = True Then 'Calculate MV1 or MV3
    ' calculate the sum of mean square errors for index flow stations for a given day.
    dSUMMSEMV1 = 0#
    dSUMMSEMV3 = 0#
    dQ2 = 0#
    dDQ2 = 0#
    intKFlag = 0
    For lngJJ = 1 To lngSta
     If lngQdates(lngJSta(lngJJ), lngJ) = 1 Then   'add sum of square errors for each active station
      dSUMMSEMV1 = dSUMMSEMV1 + dMv1MSE(lngJSta(lngJJ))
      dSUMMSEMV3 = dSUMMSEMV3 + dMv3MSE(lngJSta(lngJJ))
     End If
    Next lngJJ
    ' Calculate daily flow value and message by station for this day
    strEst = "e"
    For lngJJ = 1 To lngSta
     If lngQdates(lngJSta(lngJJ), lngJ) = 1 Then ' have data for station lngJSta(lngJJ)
      dTodayQ = dLTQ(lngJSta(lngJJ), lngJ)
      strEst = strEst & strQCd(lngJSta(lngJJ), lngJ)
      If dTodayQ <= 0# Then
       dTodayQ = dEstimateZedQ(intZedQ, dZedQ, dYesterdayQ(lngJJ)) ' Check for zero in predictor & react as planned
       dYesterdayQ(lngJJ) = dTodayQ
       strEst = strEst & "0"
      End If
    ' set min and max comment
      strEst2 = ""
      If dTodayQ > dMax(lngJSta(lngJJ)) Then strEst2 = "+"
      If dTodayQ < dMin(lngJSta(lngJJ)) Then strEst2 = "-"
      ' calculate values
      If Me.optMOVE1.Value = True Then
       dQ = (10# ^ mv1Int(lngJSta(lngJJ))) * (dTodayQ ^ (mv1Slope(lngJSta(lngJJ)))) 'Calculate value
       If Me.OptBCFYes.Value = True Then dQ = dQ * dMv1BCF(lngJSta(lngJJ))          'Multiply by BCF if selected
       Dweight = (dSUMMSEMV1 - dMv1MSE(lngJSta(lngJJ)))
      Else
       dQ = (10# ^ mv3Int(lngJSta(lngJJ))) * (dTodayQ ^ (mv3Slope(lngJSta(lngJJ)))) 'Calculate value
       If Me.OptBCFYes.Value = True Then dQ = dQ * dMv3BCF(lngJSta(lngJJ))          'Multiply by BCF if selected
       Dweight = (dSUMMSEMV3 - dMv3MSE(lngJSta(lngJJ)))
      End If
      If Dweight = 0# Then Dweight = 1#
      dQ2 = dQ2 + dQ * Dweight
      dDQ2 = dDQ2 + Dweight
     End If ' have data for station lngJSta(lngJJ)
     ' concatenate station comments
       strEst = strEst & strEst2
       strEst2 = ""
    Next lngJJ
    ' calculate weighted Q
    If dDQ2 <> 0# Then dQ2 = dQ2 / dDQ2
    dQ = dQ2
   Else            'bnPredicting=false have PR data, using PR data
    dQ = dTodayQ
   End If
   
    ' Print results for the day
    ' set Q string
      strMyQ = RoundQ(dQ)
        
    ' Date
    ' Set the current date
      strMyDate = StringDate(dtBeginDate, lngJ, 1)  ' date in YYY-MM-DD format


    outStr = "USGS" & Chr(9) & strPRStation & Chr(9) & strMyDate & Chr(9) & strMyQ & Chr(9) & strEst
    Print #intfnum, outStr


100: Next lngJ

Close #intfnum

Me.MousePointer = 1 'or vbArrow

Me.cmdClose.Enabled = True

Exit Sub

Err_cmdGetLTStations_Click:
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   Me.cmdGenerate.Enabled = False
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Exit Sub
  End If
 ElseIf Err = 75 Then
  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
  GoTo 30
 Else
  StrMsgBox = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrMsgBox, vbExclamation, "Error!"
  Me.cmdClose.SetFocus
 End If


End Sub

Private Sub cmdEstimate_Click()
'
' Purpose:
' To estimate selected statistics at the site of interest from long-term record statistics
' History:
' Version 1.0 March 2007 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim arrLine As Variant        ' argument line
Dim intMsgResult As Integer   ' message box result
Dim intfnum As Integer        ' File unit number
Dim intfnum2 As Integer        ' File unit number
Dim lngI As Long
Dim lngJ As Long
Dim lngK As Long
Dim intMsgRslt As Integer
Dim StrErrMsg As String       ' Error Message
Dim strMsgstr As String       ' Prompt Messages
Dim strinstr As String
Dim strinfile As String
Dim outStr As String
Dim dQ As Double
Dim dQ2 As Double
Dim dDQ2 As Double
Dim dSUMMSE As Double
Dim vtemp As Variant
Dim vQ As Variant
Dim dInStat() As Double
Dim dOutStat() As Double
Dim dOutStatF() As Double
Dim strInStat() As String
Dim strOutStat() As String
Dim Infile As String
Dim lngNumStat() As Long
Dim lngNumLines() As Long
Dim intErrCode As Integer
Dim strMyQ As String
Dim strMvStatEst As String
Dim bdiff As Boolean
Dim bStats As Boolean


 On Error GoTo Err_cmdEstimate_Click:

  ReDim lngNumStat(lngStatStaNum) As Long
  ReDim lngNumLines(lngStatStaNum) As Long
  strMsgstr = ""
  bStats = True
  For lngI = 1 To lngStatStaNum
  ' Try to read a 2 column file of statistics
  ' set array
   lngNumStat(lngI) = 0
   lngNumLines(lngI) = 0
   lngJ = 0
   strinfile = strInStations(lngStatSta(lngI)) & "STATS.txt"
   intfnum = FreeFile
   Open strinfile For Input As #intfnum
     Do While EOF(intfnum) = False
     Line Input #intfnum, strinstr
      arrLine = Split(strinstr, Chr(9))
      If UBound(arrLine) >= 1 Then
       vQ = arrLine(1)
       Call CkQ(vQ, intErrCode, 2)
       If intErrCode = 0 And vQ >= 0# Then lngNumStat(lngI) = lngNumStat(lngI) + 1
      End If
     lngJ = lngJ + 1
     Loop
     lngNumLines(lngI) = lngJ
    Close #intfnum
    strMsgstr = strMsgstr & strinfile & " Lines in file: " & lngNumLines(lngI) & " Valid Numbers: " & _
    lngNumStat(lngI) & vbCrLf
    
    If lngNumStat(lngI) = 0 Then
     bStats = False
     strMsgstr = strMsgstr & "Error: No valid statistics in file" & vbCrLf
    End If
    
  Next lngI
  
    strMsgstr = "File Summary: " & vbCrLf & strMsgstr & vbCrLf & _
    "The number of (comment) lines may be different, but the statistics must be in the same order."
    ' ***************************
    ' Check for different Stats lines
    bdiff = False ' assume no differences
    If lngStatStaNum > 1 Then
     For lngI = 2 To lngStatStaNum
      If lngNumStat(1) <> lngNumStat(lngI) Then bdiff = True
     Next lngI
     If bdiff = True Then ' At least one is different
      strMsgstr = strMsgstr & "Error: Input statistics don't match up."
      MsgBox strMsgstr, vbCritical, "Error:"
       Exit Sub
     Else
      If bStats = True Then
       MsgBox strMsgstr, vbInformation, "Note:"
      Else
       MsgBox strMsgstr, vbCritical, "Error:"
       Exit Sub
      End If
     End If
    ElseIf bStats = False Then
      MsgBox strMsgstr, vbCritical, "Error:"
      Exit Sub
    End If
    
   'lngNumStat(1)
  ReDim dInStat(lngStatStaNum, lngNumStat(1)) As Double
  ReDim strInStat(lngStatStaNum, lngNumStat(1)) As String
  ReDim dOutStat(lngStatStaNum, lngNumStat(1)) As Double
  ReDim dOutStatF(lngNumStat(1)) As Double
  ReDim strOutStat(lngNumStat(1)) As String
    
  '  **********************
  ' Read array of Stats & calculate individual MOVE stats
  dSUMMSE = 0#
  
  For lngJ = 1 To lngNumStat(1)
   strOutStat(lngJ) = "e"
  Next lngJ
  
  For lngI = 1 To lngStatStaNum
   lngJ = 1
   intfnum = FreeFile
   lngK = lngStatSta(lngI)
   strinfile = strInStations(lngK) & "STATS.txt"
   Open strinfile For Input As #intfnum
     
     Do While EOF(intfnum) = False
     Line Input #intfnum, strinstr
     arrLine = Split(strinstr, Chr(9))
     If UBound(arrLine) >= 1 Then
       vQ = arrLine(1)
       Call CkQ(vQ, intErrCode, 2)
       If intErrCode = 0 And vQ >= 0# Then
        dInStat(lngI, lngJ) = CDbl(vQ)
        If dInStat(lngI, lngJ) > dMax(lngK) Then ' set comment field if X of index station outside common range
         strOutStat(lngJ) = strOutStat(lngJ) & "+"
        ElseIf dInStat(lngI, lngJ) < dMin(lngK) Then
         strOutStat(lngJ) = strOutStat(lngJ) & "-"
        Else
         strOutStat(lngJ) = strOutStat(lngJ) & " "
        End If
        If Me.optMOVE1.Value = True Then
         dOutStat(lngI, lngJ) = (10# ^ mv1Int(lngK)) * (dInStat(lngI, lngJ) ^ (mv1Slope(lngK)))
         If Me.OptBCFYes.Value = True Then dOutStat(lngI, lngJ) = dOutStat(lngI, lngJ) * dMv1BCF(lngK)
        Else
         dOutStat(lngI, lngJ) = (10# ^ mv3Int(lngK)) * (dInStat(lngI, lngJ) ^ (mv3Slope(lngK)))
         If Me.OptBCFYes.Value = True Then dOutStat(lngI, lngJ) = dOutStat(lngI, lngJ) * dMv3BCF(lngK)
        End If
        strInStat(lngI, lngJ) = Trim(arrLine(0))
        lngJ = lngJ + 1
       End If
     End If
     Loop
   Close #intfnum
   If Me.optMOVE1.Value = True Then
    dSUMMSE = dSUMMSE + dMv1MSE(lngK)
   Else
    dSUMMSE = dSUMMSE + dMv3MSE(lngK)
   End If
   Next lngI
   
  '  **********************
  ' Save output file
  
  'Write output file
    
    
If Me.optMOVE1.Value = True Then
   strMvStatEst = strPRStation & "MultistationSTATSMV1Q.txt"
Else
   strMvStatEst = strPRStation & "MultistationSTATSMV3Q.txt"
End If
 
'specify available filter
30 CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
  "(*.txt)|*.txt|Move.1 var files (*.mov1)|*.mov1"
' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.FileName = strMvStatEst
  CommonDialog1.ShowSave
  strMvStatEst = CommonDialog1.FileName
 
 
 ' Check for file existence
  bnFileExists = bnCheckFile(strMvStatEst)
  If bnFileExists = True Then
     StrErrMsg = "Error: Output File: " & Chr(13) & Chr(10) & _
     strMvStatEst & Chr(13) & Chr(10) & _
     "Already Exists." & Chr(13) & Chr(10) & Chr(13) & Chr(10) & _
     "Do you want to replace this file?"
     intMsgRslt = MsgBox(StrErrMsg, vbYesNo, "File Exists:")
     
     If intMsgRslt <> 6 Then 'No, rename file
      GoTo 30
     End If
  End If
  
  ' Open file and write header lines
    
   intfnum = FreeFile
   Open strMvStatEst For Output As #intfnum
    
' ***********
' Generate Header lines
' ***********
    
 outStr = "Statistical estimates for station: " & strPRStation & " from Multiple stations: "
 Print #intfnum, outStr
 If Me.optMOVE1.Value = True Then
  For lngI = 1 To lngStatStaNum
   lngK = lngStatSta(lngI)
   outStr = "By MOVE.1 equation: Y= (10^" & mv1Int(lngK) & ") * X(" & strInStations(lngK) & ")^" & mv1Slope(lngK)
   If Me.OptBCFYes.Value = True Then outStr = outStr & " * BCF (" & dMv1BCF(lngK) & ")"
   Print #intfnum, outStr
  Next lngI
 Else
  For lngI = 1 To lngStatStaNum
   lngK = lngStatSta(lngI)
   outStr = "By MOVE.3 equation: Y= (10^" & mv3Int(lngK) & ") * X(" & strInStations(lngK) & ")^" & mv3Slope(lngK)
   If Me.OptBCFYes.Value = True Then outStr = outStr & " * BCF (" & dMv3BCF(lngK) & ")"
   Print #intfnum, outStr
  Next lngI
 End If
 

 ' ***********
  ' Generate Variable Lines
  ' ***********
  ' first line
    outStr = "statname" & Chr(9) & "statcomment" & Chr(9) & "statval"
   For lngI = 1 To lngStatStaNum
    lngK = lngStatSta(lngI)
    outStr = outStr & Chr(9) & strInStations(lngK)
   Next lngI
   ' next line
   Print #intfnum, outStr
   outStr = "255s" & Chr(9) & "255s" & Chr(9) & "10n"
   For lngI = 1 To lngStatStaNum
    outStr = outStr & Chr(9) & "10n"
   Next lngI
    Print #intfnum, outStr
  
  '  **********************
  '  Calculate and print weigted MOVE stats

  For lngJ = 1 To lngNumStat(1)
   ' Calculate weighted stat
   dQ2 = 0#
   dDQ2 = 0#
   If Me.optMOVE1.Value = True Then
    For lngI = 1 To lngStatStaNum
     dQ2 = dQ2 + dOutStat(lngI, lngJ) * (dSUMMSE - dMv1MSE(lngStatSta(lngI)))
     dDQ2 = dDQ2 + (dSUMMSE - dMv1MSE(lngStatSta(lngI)))
    Next lngI
   Else
    For lngI = 1 To lngStatStaNum
     dQ2 = dQ2 + dOutStat(lngI, lngJ) * (dSUMMSE - dMv3MSE(lngStatSta(lngI)))
     dDQ2 = dDQ2 + (dSUMMSE - dMv3MSE(lngStatSta(lngI)))
    Next lngI
   End If
   If dDQ2 <> 0# Then dQ2 = dQ2 / dDQ2
   
   ' Print Results
    outStr = strInStat(1, lngJ) & Chr(9) & strOutStat(lngJ) & Chr(9) & GEGFormatQ(dQ2)
   For lngI = 1 To lngStatStaNum
    outStr = outStr & Chr(9) & GEGFormatQ(dOutStat(lngI, lngJ))
   Next lngI
   
   Print #intfnum, outStr
   
  Next lngJ

  Close #intfnum
    Me.cmdClose.Enabled = True
    Me.cmdClose.SetFocus
    
Exit Sub

Err_cmdEstimate_Click:
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Exit Sub
  End If
 ElseIf Err = 75 Then
  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
  'GoTo 30
 Else
  StrErrMsg = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrErrMsg, vbExclamation, "Error!"
  Me.cmdClose.SetFocus
 End If


End Sub

Private Sub cmdClose_Click()
'
' Purpose:
' To close this form
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim intMsgResult As Integer     ' Message box result
Dim StrErrMsg As String         ' Error Message
On Error GoTo Err_cmdClose_Click:
' Check close action
  strMsgString = "Do you wish to exit the record generation interface?"
  intMsgResult = MsgBox(strMsgString, vbYesNo, "Exit?: ")
  If intMsgResult = 7 Then  'vbNo
   Exit Sub
  Else
   Unload Me                      ' Close current form
  End If
  Exit Sub
  
Err_cmdClose_Click:
  strMsgString = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox strMsgString, vbExclamation, "Error!"

End Sub

Private Sub optRecess_Click()
'
' Purpose:
' To Assign a user defined value for the recession of Q.
' History:
' Version 1.0 Dec 2006 by G.E. Granato
'
' Arguments
Dim vtemp As Variant
Dim interr As Integer
Dim intmsg As Integer
Dim strinput As String


If (dZedQ <= 0#) Then
 dZedQ = 0.5
ElseIf (dZedQ = 0.0005) Then
 dZedQ = 0.5
End If

interr = 0

strinput = "Please enter a recession value R for replacing zero flows" & vbCrLf & _
"Streamflow from the last nonzero day will be used to calculate a replacement flow." & vbCrLf & _
" QToday = R * QYesterday " & vbCrLf & _
"Subsequent zero-flow days will follow the recession. R must be greater than zero and less than or equal to one."

10: vtemp = InputBox(strinput, "Enter a substitute for zero values of the predictor", dZedQ)


Call CkQ(vtemp, interr, 1)

If interr = 0 And ((vtemp <= 0#) Or (vtemp > 1#)) Then interr = 1

If interr <> 0 And vtemp <> "" Then
 intmsg = MsgBox("This value is not valid try again?", vbYesNo, "Error:")
 If intmsg <> 6 Then
  Me.optZed.Value = True
  dZedQ = 0.5
  Exit Sub
 Else
  GoTo 10:
 End If
ElseIf interr <> 0 And vtemp = "" Then
  MsgBox "You chose cancel; please specify an option.", vbOKOnly, "Cancel"
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
Else
 dZedQ = CDbl(vtemp)
End If

End Sub
