VERSION 5.00
Begin VB.Form MoveFrm07 
   Caption         =   "Select Record Generation Method"
   ClientHeight    =   3192
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   4680
   LinkTopic       =   "Form2"
   ScaleHeight     =   3192
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close This Form"
      Height          =   495
      Left            =   2640
      TabIndex        =   5
      ToolTipText     =   "Close this form"
      Top             =   2520
      Width           =   1815
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "Generate Record"
      Height          =   495
      Left            =   240
      TabIndex        =   4
      ToolTipText     =   "Open form to generate record"
      Top             =   2520
      Width           =   1815
   End
   Begin VB.Frame frSelect 
      Caption         =   "Select Generation Method"
      Height          =   2052
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   4215
      Begin VB.OptionButton optKT 
         Caption         =   "Use Kendall-Theil Robust Line equation(s)"
         Height          =   492
         Left            =   240
         TabIndex        =   3
         Top             =   1440
         Width           =   3735
      End
      Begin VB.OptionButton optMulti 
         Caption         =   "Use MOVE.1 or MOVE.3 with multiple stations"
         Height          =   492
         Left            =   240
         TabIndex        =   2
         Top             =   840
         Width           =   3735
      End
      Begin VB.OptionButton optOneSta 
         Caption         =   "Use MOVE.1 or MOVE.3 with one station"
         Height          =   372
         Left            =   240
         TabIndex        =   1
         Top             =   360
         Value           =   -1  'True
         Width           =   3615
      End
   End
End
Attribute VB_Name = "MoveFrm07"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Private Sub cmdGo_Click()
'
' Purpose:
' To open and initialize the generate long-term record method selection form
' History:
'  Version 1.0 Dec 2005 by G.E. Granato

If Me.optOneSta.Value = True Then
 MoveFrm05.Show
ElseIf Me.optMulti.Value = True Then
 MoveFrm06.Show
Else
 MoveFrm08.Show
End If

End Sub


Private Sub cmdClose_Click()
'
' Purpose:
' To close this form
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim intMsgResult As Integer     ' Message box result
Dim StrErrMsg As String         ' Error Message
On Error GoTo Err_cmdClose_Click:
' Check close action
  strMsgString = "Do you wish to exit the record-generation selection interface?"
  intMsgResult = MsgBox(strMsgString, vbYesNo, "Exit?: ")
  If intMsgResult = 7 Then  'vbNo
   Exit Sub
  Else
   Unload Me                      ' Close current form
  End If
  Exit Sub
  
Err_cmdClose_Click:
  strMsgString = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox strMsgString, vbExclamation, "Error!"

End Sub
