VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form MoveFrm08 
   Caption         =   "Kendall-Theil Record Generation"
   ClientHeight    =   7224
   ClientLeft      =   1752
   ClientTop       =   864
   ClientWidth     =   8280
   LinkTopic       =   "Form2"
   ScaleHeight     =   7224
   ScaleWidth      =   8280
   Begin VB.CommandButton cmdEstimate 
      Caption         =   "Estimate Statistics"
      Enabled         =   0   'False
      Height          =   492
      Left            =   4200
      TabIndex        =   59
      ToolTipText     =   "Estimate Long-Term Record Statistics"
      Top             =   6600
      Width           =   1932
   End
   Begin VB.CommandButton cmdVerify 
      Caption         =   "Verify"
      Height          =   492
      Left            =   120
      TabIndex        =   58
      Top             =   6600
      Width           =   1452
   End
   Begin VB.Frame frZed 
      Caption         =   "To Treat Zero Q in Predictor (output denoted as e0):"
      Enabled         =   0   'False
      Height          =   852
      Left            =   3120
      TabIndex        =   38
      Top             =   2880
      Width           =   5052
      Begin VB.OptionButton optRecess 
         Caption         =   "Enter Recession (0-1)"
         Enabled         =   0   'False
         Height          =   372
         Left            =   3000
         TabIndex        =   57
         ToolTipText     =   "Enter a recession constant QXToday=RC*QXYesterday"
         Top             =   360
         Width           =   1932
      End
      Begin VB.OptionButton optZed 
         Caption         =   "Zero"
         Enabled         =   0   'False
         Height          =   372
         Left            =   120
         TabIndex        =   56
         ToolTipText     =   "The predicted value will equal zero"
         Top             =   360
         Value           =   -1  'True
         Width           =   732
      End
      Begin VB.OptionButton opt01 
         Caption         =   "Q=0.01"
         Enabled         =   0   'False
         Height          =   372
         Left            =   960
         TabIndex        =   55
         ToolTipText     =   "A value of 0.01 will be used to predict flows the comment will be e0"
         Top             =   360
         Width           =   852
      End
      Begin VB.OptionButton optEnter 
         Caption         =   "Enter Q"
         Enabled         =   0   'False
         Height          =   372
         Left            =   1920
         TabIndex        =   54
         ToolTipText     =   "Enter a substitute value for zero flows"
         Top             =   360
         Width           =   972
      End
   End
   Begin VB.Frame frmTransformY 
      Caption         =   "Predicted:"
      Height          =   612
      Left            =   2760
      TabIndex        =   7
      ToolTipText     =   "X transformation"
      Top             =   2040
      Width           =   2652
      Begin VB.OptionButton optLog10Y 
         Caption         =   "Log10(Y)"
         Height          =   252
         Left            =   120
         TabIndex        =   8
         Top             =   240
         Value           =   -1  'True
         Width           =   972
      End
      Begin VB.OptionButton optLnY 
         Caption         =   "LN(Y)"
         Height          =   252
         Left            =   1200
         TabIndex        =   9
         Top             =   240
         Width           =   732
      End
      Begin VB.OptionButton optNormalY 
         Caption         =   "Y"
         Height          =   252
         Left            =   2040
         TabIndex        =   10
         Top             =   240
         Width           =   492
      End
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   495
      Left            =   6480
      TabIndex        =   39
      Top             =   6600
      Width           =   1692
   End
   Begin VB.CommandButton cmdGenerate 
      Caption         =   "Generate Values"
      Enabled         =   0   'False
      Height          =   495
      Left            =   1920
      TabIndex        =   37
      ToolTipText     =   "Generate Long-Term Record"
      Top             =   6600
      Width           =   1932
   End
   Begin VB.Frame frmTransformX 
      Caption         =   "Predictor:"
      Height          =   612
      Left            =   120
      TabIndex        =   3
      ToolTipText     =   "X transformation"
      Top             =   2040
      Width           =   2412
      Begin VB.OptionButton optNormalX 
         Caption         =   "X"
         Height          =   252
         Left            =   1800
         TabIndex        =   6
         ToolTipText     =   "Verifies that fields are populated an enables generate."
         Top             =   240
         Width           =   492
      End
      Begin VB.OptionButton optLnX 
         Caption         =   "LN(X)"
         Height          =   252
         Left            =   1080
         TabIndex        =   5
         Top             =   240
         Width           =   732
      End
      Begin VB.OptionButton optLog10X 
         Caption         =   "Log10(X)"
         Height          =   252
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Value           =   -1  'True
         Width           =   972
      End
   End
   Begin VB.TextBox tbMaxX 
      Enabled         =   0   'False
      Height          =   288
      Index           =   4
      Left            =   6600
      TabIndex        =   35
      ToolTipText     =   "Enter the maximum X value in segment range"
      Top             =   6120
      Width           =   1452
   End
   Begin VB.TextBox tbMaxX 
      Enabled         =   0   'False
      Height          =   288
      Index           =   3
      Left            =   6600
      TabIndex        =   31
      ToolTipText     =   "Enter the maximum X value in segment range"
      Top             =   5760
      Width           =   1452
   End
   Begin VB.TextBox tbMaxX 
      Enabled         =   0   'False
      Height          =   288
      Index           =   2
      Left            =   6600
      TabIndex        =   27
      ToolTipText     =   "Enter the maximum X value in segment range"
      Top             =   5400
      Width           =   1452
   End
   Begin VB.TextBox tbMaxX 
      Enabled         =   0   'False
      Height          =   288
      Index           =   1
      Left            =   6600
      TabIndex        =   23
      ToolTipText     =   "Enter the maximum X value in segment range"
      Top             =   5040
      Width           =   1452
   End
   Begin VB.TextBox tbBCF 
      Enabled         =   0   'False
      Height          =   288
      Index           =   4
      Left            =   4680
      TabIndex        =   34
      ToolTipText     =   "Enter the bias correction factor for segment 5"
      Top             =   6120
      Width           =   1452
   End
   Begin VB.TextBox tbSlope 
      Enabled         =   0   'False
      Height          =   288
      Index           =   4
      Left            =   2760
      TabIndex        =   33
      ToolTipText     =   "Enter the slope for segment 5"
      Top             =   6120
      Width           =   1452
   End
   Begin VB.TextBox tbInt 
      Enabled         =   0   'False
      Height          =   288
      Index           =   4
      Left            =   840
      TabIndex        =   32
      ToolTipText     =   "Enter the intercept for segment 5"
      Top             =   6120
      Width           =   1452
   End
   Begin VB.TextBox tbMaxX 
      Height          =   288
      Index           =   0
      Left            =   6600
      TabIndex        =   19
      ToolTipText     =   "Enter the maximum X value in segment range"
      Top             =   4680
      Width           =   1452
   End
   Begin VB.TextBox tbBCF 
      Enabled         =   0   'False
      Height          =   288
      Index           =   3
      Left            =   4680
      TabIndex        =   30
      ToolTipText     =   "Enter the bias correction factor for segment 4"
      Top             =   5760
      Width           =   1452
   End
   Begin VB.TextBox tbBCF 
      Enabled         =   0   'False
      Height          =   288
      Index           =   2
      Left            =   4680
      TabIndex        =   26
      ToolTipText     =   "Enter the bias correction factor for segment 3"
      Top             =   5400
      Width           =   1452
   End
   Begin VB.TextBox tbBCF 
      Enabled         =   0   'False
      Height          =   288
      Index           =   1
      Left            =   4680
      TabIndex        =   22
      ToolTipText     =   "Enter the bias correction factor for segment 2"
      Top             =   5040
      Width           =   1452
   End
   Begin VB.TextBox tbBCF 
      Height          =   288
      Index           =   0
      Left            =   4680
      TabIndex        =   18
      ToolTipText     =   "Enter the bias correction factor for segment 1"
      Top             =   4680
      Width           =   1452
   End
   Begin VB.TextBox tbSlope 
      Enabled         =   0   'False
      Height          =   288
      Index           =   3
      Left            =   2760
      TabIndex        =   29
      ToolTipText     =   "Enter the slope for segment 4"
      Top             =   5760
      Width           =   1452
   End
   Begin VB.TextBox tbSlope 
      Enabled         =   0   'False
      Height          =   288
      Index           =   2
      Left            =   2760
      TabIndex        =   25
      ToolTipText     =   "Enter the slope for segment 3"
      Top             =   5400
      Width           =   1452
   End
   Begin VB.TextBox tbSlope 
      Enabled         =   0   'False
      Height          =   288
      Index           =   1
      Left            =   2760
      TabIndex        =   21
      ToolTipText     =   "Enter the slope for segment 2"
      Top             =   5040
      Width           =   1452
   End
   Begin VB.TextBox tbSlope 
      Height          =   288
      Index           =   0
      Left            =   2760
      TabIndex        =   17
      ToolTipText     =   "Enter the slope for segment 1"
      Top             =   4680
      Width           =   1452
   End
   Begin VB.TextBox tbInt 
      Enabled         =   0   'False
      Height          =   288
      Index           =   3
      Left            =   840
      TabIndex        =   28
      ToolTipText     =   "Enter the intercept for segment 4"
      Top             =   5760
      Width           =   1452
   End
   Begin VB.TextBox tbInt 
      Enabled         =   0   'False
      Height          =   288
      Index           =   2
      Left            =   840
      TabIndex        =   24
      ToolTipText     =   "Enter the intercept for segment 3"
      Top             =   5400
      Width           =   1452
   End
   Begin VB.TextBox tbInt 
      Enabled         =   0   'False
      Height          =   288
      Index           =   1
      Left            =   840
      TabIndex        =   20
      ToolTipText     =   "Enter the intercept for segment 2"
      Top             =   5040
      Width           =   1452
   End
   Begin VB.TextBox tbInt 
      Height          =   288
      Index           =   0
      Left            =   840
      TabIndex        =   16
      ToolTipText     =   "Enter the intercept for segment 1"
      Top             =   4680
      Width           =   1452
   End
   Begin VB.Frame FrSub 
      Caption         =   "Select Concurrent Values"
      Height          =   972
      Left            =   5760
      TabIndex        =   11
      Top             =   1680
      Width           =   2412
      Begin VB.OptionButton optPredicted 
         Caption         =   "Use predicted values"
         Height          =   372
         Left            =   120
         TabIndex        =   12
         ToolTipText     =   "Use values from the regression line for concurrent days (for partial-record stations)"
         Top             =   240
         Value           =   -1  'True
         Width           =   2172
      End
      Begin VB.OptionButton optMeasured 
         Caption         =   "Use measured values"
         Height          =   255
         Left            =   120
         TabIndex        =   13
         ToolTipText     =   "Use values from the data for concurrent days (for continuous-record stations)"
         Top             =   600
         Width           =   2172
      End
   End
   Begin VB.Frame frBCF 
      Caption         =   "Apply Bias Correction Factor (BCF)"
      Height          =   852
      Left            =   120
      TabIndex        =   41
      Top             =   2880
      Width           =   2772
      Begin VB.OptionButton OptBCFYes 
         Caption         =   "Yes"
         Height          =   372
         Left            =   240
         TabIndex        =   14
         ToolTipText     =   "Apply BCF to output values"
         Top             =   360
         Width           =   855
      End
      Begin VB.OptionButton optBCFNo 
         Caption         =   "No"
         Height          =   372
         Left            =   1680
         TabIndex        =   15
         ToolTipText     =   "Do not apply BCF to output values"
         Top             =   360
         Value           =   -1  'True
         Width           =   855
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   6960
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.ComboBox cmbSegments 
      Height          =   288
      ItemData        =   "MoveFrm08.frx":0000
      Left            =   2640
      List            =   "MoveFrm08.frx":0002
      TabIndex        =   2
      ToolTipText     =   "Select the number of segments in model"
      Top             =   1560
      Width           =   1572
   End
   Begin VB.ComboBox cmbLTStation 
      Height          =   288
      ItemData        =   "MoveFrm08.frx":0004
      Left            =   2640
      List            =   "MoveFrm08.frx":0006
      TabIndex        =   1
      ToolTipText     =   "Select Long-Term Station"
      Top             =   1200
      Width           =   5412
   End
   Begin VB.Line Line3 
      X1              =   120
      X2              =   8160
      Y1              =   6480
      Y2              =   6480
   End
   Begin VB.Label Label11 
      Caption         =   "The program will do the retransformation. Enter regression coefficients from KTRLine  "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   252
      Left            =   240
      TabIndex        =   53
      Top             =   3960
      Width           =   7092
   End
   Begin VB.Label Label10 
      Caption         =   "5"
      Height          =   252
      Left            =   240
      TabIndex        =   52
      Top             =   6120
      Width           =   132
   End
   Begin VB.Label Label9 
      Caption         =   "Maximum X Value"
      Height          =   252
      Left            =   6600
      TabIndex        =   51
      Top             =   4320
      Width           =   1452
   End
   Begin VB.Label Label8 
      Caption         =   "Bias Correction Factor"
      Height          =   252
      Left            =   4680
      TabIndex        =   50
      Top             =   4320
      Width           =   1692
   End
   Begin VB.Label Label7 
      Caption         =   "Slope"
      Height          =   252
      Left            =   2760
      TabIndex        =   49
      Top             =   4320
      Width           =   1212
   End
   Begin VB.Label Label6 
      Caption         =   "Intercept"
      Height          =   252
      Left            =   960
      TabIndex        =   48
      Top             =   4320
      Width           =   1092
   End
   Begin VB.Label LabelS4 
      Caption         =   "4"
      Height          =   252
      Left            =   240
      TabIndex        =   47
      Top             =   5760
      Width           =   132
   End
   Begin VB.Label LabelS3 
      Caption         =   "3"
      Height          =   252
      Left            =   240
      TabIndex        =   46
      Top             =   5400
      Width           =   132
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   8160
      Y1              =   3840
      Y2              =   3840
   End
   Begin VB.Label LabelS2 
      Caption         =   "2"
      Height          =   252
      Left            =   240
      TabIndex        =   45
      Top             =   5040
      Width           =   132
   End
   Begin VB.Label LabelS1 
      Caption         =   "1"
      Height          =   252
      Left            =   240
      TabIndex        =   44
      Top             =   4680
      Width           =   132
   End
   Begin VB.Label Label5 
      Caption         =   "Segment:"
      Height          =   252
      Left            =   120
      TabIndex        =   43
      Top             =   4320
      Width           =   732
   End
   Begin VB.Label label01 
      Caption         =   "Select a long-term index station, enter the equation, and generate the record"
      Height          =   255
      Left            =   240
      TabIndex        =   42
      Top             =   840
      Width           =   6135
   End
   Begin VB.Label Label3 
      Caption         =   "Select Number of Segments"
      Height          =   252
      Left            =   240
      TabIndex        =   40
      Top             =   1560
      Width           =   2052
   End
   Begin VB.Label Label2 
      Caption         =   "GENERATE RECORD WITH KENDALL-THEIL ROBUST LINE EQUATION(S):"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   240
      TabIndex        =   36
      Top             =   120
      Width           =   5895
   End
   Begin VB.Label Label1 
      Caption         =   "Select Long-Term Station "
      Height          =   252
      Left            =   240
      TabIndex        =   0
      Top             =   1200
      Width           =   2052
   End
End
Attribute VB_Name = "MoveFrm08"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit            ' Requires programmer to declare all variables
Dim lngKTSegments As Long
Dim dKTSlope() As Double
Dim dKTIntercept() As Double
Dim dKTBCF() As Double
Dim dKTMax() As Double
Dim dZedQ As Double

Private Sub Form_Load()
'
' Purpose:
' To load form & set combo array
' History:
' Version 2.0 Dec. 2005 by G.E. Granato
' Arguments
Dim strCmbTxt As String
Dim lngI As Long
Dim intI As Integer

ReDim dKTSlope(1 To 5) As Double
ReDim dKTIntercept(1 To 5) As Double
ReDim dKTBCF(1 To 5) As Double
ReDim dKTMax(1 To 5) As Double
lngKTSegments = 5

For lngI = 1 To lngnumsta ' set up combo box with values
 strCmbTxt = strInStations(lngI) & " Correlation: " & dCorr(lngI)
 Me.cmbLTStation.AddItem strCmbTxt, (lngI - 1)
Next lngI

' Set to first station
Me.cmbLTStation.ListIndex = 0
Me.cmbLTStation.Refresh

For lngI = 1 To 5  ' set up segment combo box
 If lngI = 1 Then
  strCmbTxt = lngI & " Seg."
 Else
  strCmbTxt = lngI & " Seg."
 End If
 Me.cmbSegments.AddItem strCmbTxt, (lngI - 1)
Next lngI

' Set to 1 segment
Me.cmbSegments.ListIndex = 0
Me.cmbSegments.Refresh

Me.cmdGenerate.Enabled = False

For intI = 1 To 4  ' controls have zero-based array
 Me.tbInt(intI).Enabled = False
 Me.tbSlope(intI).Enabled = False
 Me.tbBCF(intI).Enabled = False
 Me.tbMaxX(intI).Enabled = False
 Me.tbInt(intI).BackColor = &H80000013  'Grey
 Me.tbSlope(intI).BackColor = &H80000013
 Me.tbBCF(intI).BackColor = &H80000013
 Me.tbMaxX(intI).BackColor = &H80000013
Next intI


End Sub

Private Sub cmbLTStation_Click()
'
' Purpose:
' To designate the predictor station
' History:
' Version 1.0 Dec 2006 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
  Dim StrMsgStr As String
  Dim strCmbTxt As String
  
  lngSelectedSta = (Me.cmbLTStation.ListIndex) + 1
 
 ' Warn user activate zero flow option if zeros in record
 If lngNumZero(lngSelectedSta) > 0 Then
  StrMsgStr = "The record for station: " & strInStations(lngSelectedSta) & " has " & _
  lngNumZero(lngSelectedSta) & " zero values."
  MsgBox StrMsgStr, vbExclamation, "Warning:"
  Me.frZed.Enabled = True
  Me.opt01.Enabled = True
  Me.optEnter.Enabled = True
  Me.optRecess.Enabled = True
  Me.optZed.Enabled = True
 Else
  Me.frZed.Enabled = False
  Me.opt01.Enabled = False
  Me.optEnter.Enabled = False
  Me.optRecess.Enabled = False
  Me.optZed.Enabled = False
 End If
 

 

End Sub

Private Sub cmbSegments_Click()
'
' Purpose:
' To designate the number of segments
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim intI As Integer
Dim intSeg As Integer

lngKTSegments = (Me.cmbSegments.ListIndex) + 1 ' array size
intSeg = Me.cmbSegments.ListIndex

For intI = 1 To 4  ' controls have zero-based array
 Me.tbInt(intI).Enabled = False
 Me.tbSlope(intI).Enabled = False
 Me.tbBCF(intI).Enabled = False
 Me.tbMaxX(intI).Enabled = False
 Me.tbInt(intI).Locked = True
 Me.tbSlope(intI).Locked = True
 Me.tbBCF(intI).Locked = True
 Me.tbMaxX(intI).Locked = True
 Me.tbInt(intI).BackColor = &H80000013 'grey
 Me.tbSlope(intI).BackColor = &H80000013
 Me.tbBCF(intI).BackColor = &H80000013
 Me.tbMaxX(intI).BackColor = &H80000013
Next intI

For intI = 0 To intSeg
 Me.tbInt(intI).Enabled = True
 Me.tbSlope(intI).Enabled = True
 Me.tbBCF(intI).Enabled = True
 Me.tbMaxX(intI).Enabled = True
 Me.tbInt(intI).Locked = False
 Me.tbSlope(intI).Locked = False
 Me.tbBCF(intI).Locked = False
 Me.tbMaxX(intI).Locked = False
 Me.tbInt(intI).BackColor = &H80000005 'white
 Me.tbSlope(intI).BackColor = &H80000005
 Me.tbBCF(intI).BackColor = &H80000005
 Me.tbMaxX(intI).BackColor = &H80000005
Next intI

End Sub

Private Sub cmdVerify_Click()
'
' Purpose:
' To ensure that something is entered for each of the segments
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim lngIndex As Long
Dim StrMsgStr As String
Dim interr As Integer
Dim dMaxValue() As Double

ReDim dMaxValue(0 To (lngKTSegments - 1)) As Double

 For lngIndex = 0 To lngKTSegments - 1
  If Me.tbInt(lngIndex).Text = "" Then GoTo 10:
  Call CkVal(Trim(Me.tbInt(lngIndex).Text), interr, 2)
  If interr <> 0 Then
   StrMsgStr = "The intercept of segment " & (lngIndex + 1) & " is not a valid number."
   GoTo 11:
  End If
  If Me.tbSlope(lngIndex).Text = "" Then GoTo 10:
  Call CkVal(Trim(Me.tbSlope(lngIndex).Text), interr, 2)
  If interr <> 0 Then
   StrMsgStr = "The slope of segment " & (lngIndex + 1) & " is not a valid number."
   GoTo 11:
  End If
  If Me.tbBCF(lngIndex).Text = "" Then GoTo 10:
  Call CkVal(Trim(Me.tbBCF(lngIndex).Text), interr, 2)
  If interr <> 0 Then
   StrMsgStr = "The bias correction factor of segment " & (lngIndex + 1) & " is not a valid number."
   GoTo 11:
  End If
  If Me.tbMaxX(lngIndex).Text = "" Then GoTo 10:
  Call CkVal(Trim(Me.tbMaxX(lngIndex).Text), interr, 2)
  If interr <> 0 Then
   StrMsgStr = "The maximum value of segment " & (lngIndex + 1) & " is not a valid number."
   GoTo 11:
  Else
   dMaxValue(lngIndex) = Trim(Me.tbMaxX(lngIndex).Text)
  End If
 Next lngIndex
 
 If lngKTSegments > 1 Then
  For lngIndex = 0 To lngKTSegments - 2
   If dMaxValue(lngIndex) >= dMaxValue(lngIndex + 1) Then
    StrMsgStr = "The line segments must be input so the maximum X values increase from segment 1 to segment " & lngKTSegments
    GoTo 12:
   End If
  Next lngIndex
 End If
 
 Me.cmdGenerate.Enabled = True
 Me.cmdEstimate.Enabled = True
 
 Exit Sub
 
10: MsgBox "Fill empty regression-line fields with appropriate values", vbCritical, "Error:"

 Exit Sub
 
11: MsgBox StrMsgStr, vbCritical, "Error:"

 Exit Sub
 
12: MsgBox StrMsgStr, vbCritical, "Error:"
 
  Exit Sub
End Sub

Private Sub cmdGenerate_Click()
'
' Purpose:
' To check the values and run the data generation
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Nov 2007 Update generation logic
' Functions
' To check that file exists for processing or other action
'
' Arguments

'
' Purpose:
' To generate a long-term record
' History:
' Version 1.0 Dec 2005 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim intfnum As Integer        ' File unit number
Dim lngI As Long
Dim lngJ As Long
Dim lngK As Long
Dim lngGap As Long
Dim intMsgRslt As Integer
Dim intState As Integer
Dim strLTStation As String
Dim StrErrMsg As String       ' Error Message
Dim StrMsgStr As String       ' Prompt Messages
Dim outStr As String
Dim strMvRecord As String
Dim intoutfile As Integer     ' If file exists add number to filename
Dim MyDate As Date
Dim MyTime As Date
Dim dtToday As Date
Dim strMyQ As String
Dim strMyDate As String
Dim dYesterdayQ As Double
Dim dTodayQ As Double
Dim dQ As Double
Dim intI As Integer
Dim dTempQ As Double

Dim intMsgResult As Integer
Dim StrMsgBox As String
Dim strEst As String
Dim strEst2 As String
Dim lngSeg As Long
Dim lngSegI As Long
Dim bnAreWePredicting As Boolean  ' Are we predicting true, or using available Partial-record data
Dim intZedQ As Integer 'Zero flow substitution choices

' Freeze Screen
  Me.cmbLTStation.Enabled = False
  Me.cmbSegments.Enabled = False
  Me.frmTransformX.Enabled = False
  Me.frmTransformY.Enabled = False
  
 For intI = 0 To 4  ' controls have zero-based array
 Me.tbInt(intI).Enabled = False
 Me.tbSlope(intI).Enabled = False
 Me.tbBCF(intI).Enabled = False
 Me.tbMaxX(intI).Enabled = False
Next intI
 
ReDim dKTSlope(1 To lngKTSegments) As Double
ReDim dKTIntercept(1 To lngKTSegments) As Double
ReDim dKTBCF(1 To lngKTSegments) As Double
ReDim dKTMax(1 To lngKTSegments) As Double

' Read values
For lngI = 1 To lngKTSegments
 dKTSlope(lngI) = Me.tbSlope(lngI - 1).Text
 dKTIntercept(lngI) = Me.tbInt(lngI - 1).Text
 dKTBCF(lngI) = Me.tbBCF(lngI - 1).Text
 dKTMax(lngI) = Me.tbMaxX(lngI - 1).Text
Next lngI

MyDate = Date   ' MyDate contains the current system date.
MyTime = Time   ' Return current system time.

' read file

 strMvRecord = strPRStation & "by" & strInStations(lngSelectedSta) & "KTQ.txt"

'specify available filter
30 CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
  "(*.txt)|*.txt|Move.1 var files (*.mov1)|*.mov1"
' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.FileName = strMvRecord
  CommonDialog1.ShowSave
  strMvRecord = CommonDialog1.FileName
 
 
 ' Check for file existence
  bnFileExists = bnCheckFile(strMvRecord)
  If bnFileExists = True Then
     StrErrMsg = "Error: Output File: " & Chr(13) & Chr(10) & _
     strMvRecord & Chr(13) & Chr(10) & _
     "Already Exists." & Chr(13) & Chr(10) & Chr(13) & Chr(10) & _
     "Do you want to replace this file?"
     intMsgRslt = MsgBox(StrErrMsg, vbYesNo, "File Exists:")
     
     If intMsgRslt <> 6 Then 'No, rename file
      GoTo 30
     End If
     
  End If

 
 intfnum = FreeFile
 Open strMvRecord For Output As #intfnum


Me.cmdClose.Enabled = False
Me.MousePointer = 11 'or vbHourglass


'
 ' Write RDB header lines
 '
 '1
  outStr = "#"
    Print #intfnum, outStr
 '2
  outStr = "# U.S. Geological Survey"
    Print #intfnum, outStr
 '3
   outStr = "# Estimated From Partial Record Data with a " & lngKTSegments & " segment Kendall-Theil Robust Line"
   If Me.OptBCFYes.Value = True Then outStr = outStr & " and a bias correction factor"
  
    Print #intfnum, outStr
 '4
  outStr = "# by Use of Streamflow Record Extension Facilitator (SREF Version 1.0) ggranato@usgs.gov"
    Print #intfnum, outStr
 '5
  outStr = "# Estimated on: " & MyDate & " " & MyTime
    Print #intfnum, outStr
 '6
  outStr = "# This file contains daily mean streamflow data estimated from station: " & strInStations(lngSelectedSta)
  If Me.optMeasured.Value = True Then outStr = outStr & " with measured values from the site of interest."
    Print #intfnum, outStr
'7
  outStr = "# "
  If Me.optNormalY.Value = True Then
   outStr = outStr & "Y ="
  ElseIf Me.optLnY.Value = True Then
   outStr = outStr & "Ln(Y) = "
  Else
   outStr = outStr & "Log10(Y) = "
  End If
  
  If Me.optNormalX.Value = True Then
   outStr = outStr & "m * X + b"
  ElseIf Me.optLnX.Value = True Then
   outStr = outStr & "m * Ln(X) + b"
  Else
   outStr = outStr & "m * Log10(X) + b(Y)"
  End If
  
      Print #intfnum, outStr
  
'8
   outStr = "# " & vbCrLf
   For lngI = 1 To lngKTSegments
   outStr = outStr & "# " & " m" & lngI & " = " & Format(dKTSlope(lngI), "##0.0000##") & _
   " b" & lngI & " = " & Format(dKTIntercept(lngI), "##0.0000##") & _
   " BCF" & lngI & " = " & Format(dKTBCF(lngI), "##0.0000##") & _
   " MaxX" & lngI & " = " & Format(dKTMax(lngI), "##0.0000##") & vbCrLf
   Next lngI
   outStr = outStr & "#"
  Print #intfnum, outStr
 '9
  outStr = "# Further Descriptions of the dv_cd column can be found at:"
  Print #intfnum, outStr
 '10
  outStr = "# http://waterdata.usgs.gov/nwis/"
  Print #intfnum, outStr
 '11
  outStr = "#"
    Print #intfnum, outStr
 '12
  outStr = "# This information includes the following fields:"
  Print #intfnum, outStr
 '13
    outStr = "#"
    Print #intfnum, outStr
  '14
    outStr = "#  agency_cd   Agency Code"
    Print #intfnum, outStr
   '15
    outStr = "#  site_no     USGS station number"
    Print #intfnum, outStr
   '16
    outStr = "#  dv_dt       date of daily mean streamflow"
    Print #intfnum, outStr
  '17
    outStr = "#  dv_va       daily mean streamflow value, in cubic-feet per-second"
    Print #intfnum, outStr
   '18
    outStr = "#  dv_cd       daily mean streamflow value qualification code"
    Print #intfnum, outStr
   '19
    outStr = "#"
    Print #intfnum, outStr
   '20
    outStr = "# Sites in this file include:"
    Print #intfnum, outStr
   '21
    outStr = "#  USGS " & strPRStation & " " & strPRSTAName
    Print #intfnum, outStr
   '22
    outStr = "#"
    Print #intfnum, outStr
   '23
    outStr = "#"
    Print #intfnum, outStr
   '24
    outStr = "agency_cd" & Chr(9) & "site_no" & Chr(9) & "dv_dt" & Chr(9) & "dv_va" & Chr(9) & "dv_cd"
    Print #intfnum, outStr
   '25
    outStr = "5s" & Chr(9) & "15s" & Chr(9) & "10d" & Chr(9) & "12n" & Chr(9) & "3s"
    Print #intfnum, outStr
 '
 ' END Write RDB header lines
 '
 
    ' set up zedQ
     If Me.optZed.Value = True Then 'Use zero flow
      intZedQ = 1
      dZedQ = 0#
     ElseIf Me.opt01.Value = True Then ' use 0.01
      intZedQ = 2
      dZedQ = 10# ^ -2#
     ElseIf Me.optEnter.Value = True Then ' use input value
      intZedQ = 3
      dZedQ = dZedQ
     ElseIf Me.optRecess.Value = True Then 'use recession
      intZedQ = 4
      dZedQ = dZedQ
     End If
  
 ' Write Data
   intState = 0 ' no preceeding data
   
   lngK = 1 'set concurrent period
   dYesterdayQ = 0.01  ' assume small value before zero day
 
  For lngJ = 1 To lngNDays
   strEst2 = ""
   bnAreWePredicting = False
    If lngQdates(0, lngJ) = 0 And lngQdates(lngSelectedSta, lngJ) = 0 Then 'No data, skip
     GoTo 100
    ElseIf Me.optMeasured = False And lngQdates(0, lngJ) = 1 And lngQdates(lngSelectedSta, lngJ) = 0 Then
     ' Have PR but not using it no lt data
     lngK = lngK + 1
     GoTo 100
    ElseIf Me.optMeasured = True And lngQdates(0, lngJ) = 1 Then  ' Using measured PR data and have PR data
     bnAreWePredicting = False
     dTodayQ = dPRQ(lngK)
     ' Get LT yesterdayQ (for tomorrow) if it exists
     If lngQdates(lngSelectedSta, lngJ) = 1 Then
      dYesterdayQ = dPPRQ(lngSelectedSta, lngK)
     Else
      dYesterdayQ = 0.01  ' assume small value before zero day
     End If
     strEst = strRQC(lngK)
     strEst2 = ""
     lngK = lngK + 1
    ElseIf Me.optMeasured = False And lngQdates(0, lngJ) = 1 And lngQdates(lngSelectedSta, lngJ) = 1 Then
    ' Have PR data (increment lngK) but using LT prediction
     lngK = lngK + 1
     bnAreWePredicting = True
     ' dTodayQ = dPPRQ(lngSelectedSta, lngK)
     dTodayQ = dLTQ(lngSelectedSta, lngJ)
     strEst = "e" & strQCd(lngSelectedSta, lngJ)
     If dTodayQ <= 0# Then
      dTodayQ = dEstimateZedQ(intZedQ, dZedQ, dYesterdayQ) ' Check for zero in predictor & react as planned
      strEst = strEst & "0"
     End If
     ' set min and max comment
       If dTodayQ > dMax(lngSelectedSta) Then strEst2 = "+"
       If dTodayQ < dMin(lngSelectedSta) Then strEst2 = "-"
    Else
     bnAreWePredicting = True 'We are using Kendall-Theil Robust Line to predict
     dTodayQ = dLTQ(lngSelectedSta, lngJ)
     strEst = "e" & strQCd(lngSelectedSta, lngJ)
     If dTodayQ <= 0# Then
      dTodayQ = dEstimateZedQ(intZedQ, dZedQ, dYesterdayQ) ' Check for zero in predictor & react as planned
      strEst = strEst & "0"
     End If
     ' set min and max comment
       If dTodayQ > dMax(lngSelectedSta) Then strEst2 = "+"
       If dTodayQ < dMin(lngSelectedSta) Then strEst2 = "-"
    End If
     ' finalize annotation
       strEst = strEst & strEst2

  ' Implement KT Line equation if predicting
  If bnAreWePredicting = False Then 'Use partial record value
      dQ = dTodayQ
   Else           ' Calculate value with KT
    If Me.optLog10X.Value = True Then
     If dTodayQ > 0# Then
      dTempQ = (Log(dTodayQ) / Log(10#))
     Else
      dTempQ = 2# ^ -16#
     End If
    ElseIf Me.optLnX.Value = True Then
     If dTodayQ > 0# Then
      dTempQ = (Log(dTodayQ))
     Else
      dTempQ = 2# ^ -16#
     End If
    Else
      dTempQ = dTodayQ
    End If
    ' if value > zero resolve KT segment
    If dTodayQ <> 0# Then
     If lngKTSegments > 1 Then ' resolve appropriate segment
      lngSegI = lngKTSegments
      For lngSeg = lngKTSegments To 1 Step -1
       If dTempQ <= dKTMax(lngSeg) Then lngSegI = lngSeg
      Next lngSeg
      If (lngSegI = lngKTSegments) And (dTempQ > dKTMax(lngSegI)) Then strEst = strEst & "e>"
     Else
      lngSegI = 1
     End If
    End If
     ' Resolve appropriate format for X
       If Me.optLog10X.Value = True Then
        If dTodayQ > 0# Then
         dQ = dKTIntercept(lngSegI) + dKTSlope(lngSegI) * (Log(dTodayQ) / Log(10#))
        End If
       ElseIf Me.optLnX.Value = True Then
        If dTodayQ > 0# Then
         dQ = dKTIntercept(lngSegI) + dKTSlope(lngSegI) * Log(dTodayQ)
        End If
       Else
         dQ = dKTIntercept(lngSegI) + dKTSlope(lngSegI) * dTodayQ
       End If
       ' Resolve appropriate format for Y
       If Me.optLog10Y.Value = True Then
        If dTodayQ > 0# Then
         dQ = 10# ^ (dQ)
        Else
         dQ = 0#
        End If
        If Me.OptBCFYes.Value = True Then dQ = dQ * dKTBCF(lngSegI)
       ElseIf Me.optLnY.Value = True Then
        If dTodayQ > 0# Then
         dQ = Exp(dQ)
        Else
         dQ = 0#
        End If
        If Me.OptBCFYes.Value = True Then dQ = dQ * dKTBCF(lngSegI)
       Else
         If Me.OptBCFYes.Value = True Then dQ = dQ + dKTBCF(lngSegI)
       End If
  End If
    
   ' set Q string
    strMyQ = RoundQ(dQ)
     
   ' Date
   ' Set the current date
    strMyDate = StringDate(dtBeginDate, lngJ, 1)  ' date in YYY-MM-DD format

    outStr = "USGS" & Chr(9) & strPRStation & Chr(9) & strMyDate & Chr(9) & strMyQ & Chr(9) & strEst
    Print #intfnum, outStr

100: Next lngJ
    
Close #intfnum

Me.MousePointer = 1 'or vbArrow

Me.cmdClose.Enabled = True
Me.cmdClose.SetFocus

Exit Sub

Err_cmdGetLTStations_Click:
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Exit Sub
  End If
 ElseIf Err = 75 Then
  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
  GoTo 30
 Else
  StrMsgBox = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrMsgBox, vbExclamation, "Error!"
  Me.cmdClose.SetFocus
 End If


End Sub

Private Sub cmdEstimate_Click()
'
' Purpose:
' To estimate selected statistics at the site of interest from long-term record statistics
' History:
' Version 1.0 March 2007 by G.E. Granato
' Functions
' To check that file exists for processing or other action
'
' Arguments
Dim bnFileExists As Boolean   ' Check variable for file existance
Dim arrLine As Variant        ' argument line
Dim intMsgResult As Integer   ' message box result
Dim intfnum As Integer        ' File unit number
Dim intfnum2 As Integer        ' File unit number
Dim lngI As Long
Dim lngJ As Long
Dim intMsgRslt As Integer
Dim StrErrMsg As String       ' Error Message
Dim StrMsgStr As String       ' Prompt Messages
Dim strinstr As String
Dim outStr As String
Dim dQ As Double
Dim vtemp As Variant
Dim vQ As Variant
Dim dInStat() As Double
Dim dOutStat() As Double
Dim strInStat() As String
Dim Infile As String
Dim lngNumStat As Long
Dim intErrCode As Integer
Dim strMyQ As String
Dim strStatEst As String
Dim strKTStatEst As String
Dim lngSegI As Long
Dim lngSeg As Long
Dim dTempQ As Double


  Infile = strInStations(lngSelectedSta) & "STATS.txt"

' Check for file existence
  bnFileExists = bnCheckFile(Infile)
  If bnFileExists = False Then
   StrErrMsg = CurDir$() & "\" & Infile & "Does not exist!" & vbCrLf & _
   "Please provide this index-station statistics file in the current directory"
   MsgBox StrErrMsg, vbCritical, "Error:"
   Exit Sub
  End If
  
 ' Try to read a 2 column file of statistics
' set array
  lngNumStat = 0
  lngJ = 0
  intfnum = FreeFile
   Open Infile For Input As #intfnum
     Do While EOF(intfnum) = False
     Line Input #intfnum, strinstr
     ' check flow values
      arrLine = Split(strinstr, Chr(9))
      If UBound(arrLine) >= 1 Then
       vQ = arrLine(1)
       Call CkQ(vQ, intErrCode, 2)
       If intErrCode = 0 And vQ >= 0# Then lngNumStat = lngNumStat + 1
      End If
     lngJ = lngJ + 1
     Loop
   Close #intfnum

  If lngNumStat = 0 Then
   StrErrMsg = "No valid flow-statistics were read from file: " & vbCrLf & _
   CurDir$() & "\" & Infile & vbCrLf & _
   "Please provide a 2-column file of index-station statistics."
   MsgBox StrErrMsg, vbCritical, "Error:"
   Exit Sub
  Else
   ReDim dInStat(lngNumStat) As Double
   ReDim strInStat(lngNumStat) As String
   ReDim dOutStat(lngNumStat) As Double
  End If
  
  lngNumStat = 1
  intfnum = FreeFile
   Open Infile For Input As #intfnum
     Do While EOF(intfnum) = False
      Line Input #intfnum, strinstr
      arrLine = Split(strinstr, Chr(9))
      If UBound(arrLine) >= 1 Then
       vQ = arrLine(1)
       Call CkQ(vQ, intErrCode, 2)
       If intErrCode = 0 And vQ >= 0# Then
        dInStat(lngNumStat) = CDbl(vQ)
        strInStat(lngNumStat) = Trim(arrLine(0))
        lngNumStat = lngNumStat + 1
       End If
     End If
     Loop
   Close #intfnum
     lngNumStat = lngNumStat - 1


   strKTStatEst = strPRStation & "by" & strInStations(lngSelectedSta) & "STATSKTQ.txt"

 
'specify available filter
30 CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
  "(*.txt)|*.txt|Move.1 var files (*.mov1)|*.mov1"
' Specify default filter
  CommonDialog1.FilterIndex = 2
  CommonDialog1.FileName = strKTStatEst
  CommonDialog1.ShowSave
  strKTStatEst = CommonDialog1.FileName
 
 
 ' Check for file existence
  bnFileExists = bnCheckFile(strKTStatEst)
  If bnFileExists = True Then
     StrErrMsg = "Error: Output File: " & Chr(13) & Chr(10) & _
     strKTStatEst & Chr(13) & Chr(10) & _
     "Already Exists." & Chr(13) & Chr(10) & Chr(13) & Chr(10) & _
     "Do you want to replace this file?"
     intMsgRslt = MsgBox(StrErrMsg, vbYesNo, "File Exists:")
     
     If intMsgRslt <> 6 Then 'No, rename file
      GoTo 30
     End If
     
  End If
    
    
   intfnum = FreeFile
   Open strKTStatEst For Output As #intfnum
    
' ***********
' Generate Header lines
' ***********
    
 outStr = "Statistical estimates for station: " & strPRStation & "from station: " & strInStations(lngSelectedSta)
 Print #intfnum, outStr
 
 outStr = "By the Kendall Theil Robust Line equation(s):"
   If Me.OptBCFYes.Value = True Then outStr = outStr & " (with the Bias Correction Factor)"
 Print #intfnum, outStr
 
  ' ***********
  ' ***********
   outStr = "Ystat= m * Xstat + b" & vbCrLf
   For lngI = 1 To lngKTSegments
   outStr = outStr & "#" & lngI & " "
   outStr = outStr & "m" & lngI & " = " & Format(dKTSlope(lngI), "##.000000") & _
   " b" & lngI & " = " & Format(dKTIntercept(lngI), "##.000000") & _
   " BCF" & lngI & " = " & Format(dKTBCF(lngI), "##.000000") & _
   " MaxX" & lngI & " = " & Format(dKTMax(lngI), "##.000000") & vbCrLf
   Next lngI
   
   If Me.optLog10X.Value = True Then
    outStr = outStr & "With Log10(X) and "
   ElseIf Me.optLnX.Value = True Then
    outStr = outStr & "With Ln(X) and "
   Else
    outStr = outStr & "With(X) and "
   End If
   
   If Me.optLog10Y.Value = True Then
    outStr = outStr & "With Log10(Y)"
   ElseIf Me.optLnY.Value = True Then
    outStr = outStr & "With Ln(Y)"
   Else
    outStr = outStr & "With(Y)"
   End If
   
   outStr = outStr & "STATS are in linear space: Y"
   
   Print #intfnum, outStr
   

  ' ***********
   ' Generate Variable Lines
  ' ***********
    outStr = "statname" & Chr(9) & "statval" & Chr(9) & "statcomment"
    Print #intfnum, outStr
    
    outStr = "255s" & Chr(9) & "10n" & Chr(9) & "2s"
    Print #intfnum, outStr
 
  ' ***********
  ' Generate statistical estimates
  ' ***********
 
     For lngI = 1 To lngNumStat
     
     If Me.optLog10X.Value = True Then
     If dInStat(lngI) > 0# Then
      dTempQ = (Log(dInStat(lngI)) / Log(10#))
     Else
      dTempQ = 2# ^ -16#
     End If
    ElseIf Me.optLnX.Value = True Then
     If dInStat(lngI) > 0# Then
      dTempQ = (Log(dInStat(lngI)))
     Else
      dTempQ = 2# ^ -16#
     End If
    Else
      dTempQ = dInStat(lngI)
    End If
     
     strStatEst = ""
    ' ***********
     ' resolve appropriate segment
    If lngKTSegments > 1 Then ' resolve appropriate segment
      lngSegI = lngKTSegments
      For lngSeg = lngKTSegments To 1 Step -1
       If dTempQ <= dKTMax(lngSeg) Then lngSegI = lngSeg
      Next lngSeg
      If lngSegI = lngKTSegments And dInStat(lngI) > dKTMax(lngSegI) Then strStatEst = "e>"
     Else
      lngSegI = 1
     End If
     
    ' ***********
          ' Resolve appropriate format for X
       If Me.optLog10X.Value = True Then
        If dInStat(lngI) <> 0# Then
         dQ = dKTIntercept(lngSegI) + dKTSlope(lngSegI) * (Log(dInStat(lngI)) / Log(10#))
        Else
         dQ = 0#
        End If
       ElseIf Me.optLnX.Value = True Then
        If dInStat(lngI) <> 0# Then
         dQ = dKTIntercept(lngSegI) + dKTSlope(lngSegI) * Log(dInStat(lngI))
        Else
         dQ = 0#
        End If
       Else
         dQ = dKTIntercept(lngSegI) + dKTSlope(lngSegI) * dInStat(lngI)
       End If
       
    ' ***********
       ' Resolve appropriate format for Y
       If Me.optLog10Y.Value = True Then
        If dInStat(lngI) <> 0# Then
         dQ = 10# ^ (dQ)
        Else
         dQ = 0#
        End If
        If Me.OptBCFYes.Value = True Then dQ = dQ * dKTBCF(lngSegI)
       ElseIf Me.optLnY.Value = True Then
        If dInStat(lngI) <> 0# Then
         dQ = Exp(dQ)
        Else
         dQ = 0#
        End If
        If Me.OptBCFYes.Value = True Then dQ = dQ * dKTBCF(lngSegI)
       Else
         If Me.OptBCFYes.Value = True Then dQ = dQ + dKTBCF(lngSegI)
       End If
     
     dOutStat(lngI) = dQ
 
    ' set Q string
    
    If dOutStat(lngI) < 0.01 Then
     strMyQ = Format(dOutStat(lngI), "0.000E+00")
    ElseIf dOutStat(lngI) < 0.1 Then
     strMyQ = Format(dOutStat(lngI), "0.0000")
    ElseIf dOutStat(lngI) < 1# Then
     strMyQ = Format(dOutStat(lngI), "0.000")
    ElseIf dOutStat(lngI) < 10# Then
     strMyQ = Format(dOutStat(lngI), "#0.00")
    Else
     strMyQ = Format(dOutStat(lngI), "####0.0")
    End If
    
    ' set comment field if X of index station outside common range
    If dInStat(lngI) > dMax(lngSelectedSta) Then
     outStr = "e+"
    ElseIf dInStat(lngI) < dMin(lngSelectedSta) Then
     outStr = "e-"
    Else
     outStr = "e"
    End If
    
    outStr = strInStat(lngI) & Chr(9) & strMyQ & Chr(9) & outStr
    
    Print #intfnum, outStr
    
    Next lngI
    
    Close #intfnum
    Me.cmdClose.Enabled = True
    Me.cmdClose.SetFocus
    
Exit Sub

Err_cmdEstimate_Click:
 If Err = 32755 Then
  intMsgResult = MsgBox("You chose to cancel. Exit program?", vbYesNo, "File Problem")
  If (intMsgResult = 6) Then       ' 6= vbYes  reset values and exit
   Me.cmdClose.SetFocus
  ElseIf (intMsgResult = 7) Then   ' 7= vbNo So try again
   Exit Sub
  End If
 ElseIf Err = 75 Then
  MsgBox "There was a write error Please reselect the output file directory.", vbExclamation, "Error!"
  GoTo 30
 Else
  StrErrMsg = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox StrErrMsg, vbExclamation, "Error!"
  Me.cmdClose.SetFocus
 End If


End Sub



Private Sub optEnter_Click()
'
' Purpose:
' To Assign a user defined value for Q.
' History:
' Version 1.0 Dec 2006 by G.E. Granato
'
' Arguments
Dim vtemp As Variant
Dim interr As Integer
Dim intmsg As Integer

interr = 0

If dZedQ <= 0# Then
 dZedQ = 0.0005
ElseIf (dZedQ = 0.5) Then
 dZedQ = 0.0005
End If

10: vtemp = InputBox("Please enter one substitute value for zero flows", "Enter a substitute for zero values of the predictor", dZedQ)

Call CkQ(vtemp, interr, 1)

If interr = 0 And vtemp < 0# Then interr = 1

If interr <> 0 And vtemp <> "" Then
 intmsg = MsgBox("This value is not valid try again?", vbYesNo, "Error:")
 If intmsg <> 6 Then
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
 Else
  GoTo 10:
 End If
ElseIf interr <> 0 And vtemp = "" Then
  MsgBox "You chose cancel; please specify a different option.", vbOKOnly, "Cancel"
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
Else
 dZedQ = CDbl(vtemp)
End If

End Sub

Private Sub optMeasured_Click()
'
' Purpose:
' To ensure that there are no duplicate dates in the partial record.
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim StrErrMsg As String         ' Error Message
 If intPRDateTie = 1 Then
  StrErrMsg = " The partial-record station file has one or more duplicate measurements for a given date." & vbCrLf
  StrErrMsg = StrErrMsg & "(see the error file for details). Duplicates are ok for equation development." & vbCrLf
  StrErrMsg = StrErrMsg & "However, this substitution option cannot be used with multiple input values on the same date."
  StrErrMsg = StrErrMsg & "Therefore, use the mean, median or geometric mean value of multiple partial-record" & vbCrLf
  StrErrMsg = StrErrMsg & "input-values for any given date to use this data substitution option."
  MsgBox StrErrMsg, vbInformation, "Warning:"
  Me.optPredicted.Value = True
 End If
End Sub


Private Sub cmdClose_Click()
'
' Purpose:
' To close this form
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
'
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim intMsgResult As Integer     ' Message box result
Dim StrErrMsg As String         ' Error Message
On Error GoTo Err_cmdClose_Click:
' Check close action
  strMsgString = "Do you wish to exit this record-generation selection interface?"
  intMsgResult = MsgBox(strMsgString, vbYesNo, "Exit?: ")
  If intMsgResult = 7 Then  'vbNo
   Exit Sub
  Else
   Unload Me                      ' Close current form
  End If
  Exit Sub
  
Err_cmdClose_Click:
  strMsgString = "Error: " & Err & vbCrLf & "Type of Error: " & Error & vbCrLf & "Fatal Error on form, try again."
  MsgBox strMsgString, vbExclamation, "Error!"

End Sub


Private Sub optRecess_Click()
'
' Purpose:
' To Assign a user defined value for Q.
' History:
' Version 1.0 Dec 2006 by G.E. Granato
'
' Arguments
Dim vtemp As Variant
Dim interr As Integer
Dim intmsg As Integer
Dim strinput As String


If (dZedQ <= 0#) Then
 dZedQ = 0.5
ElseIf (dZedQ = 0.0005) Then
 dZedQ = 0.5
End If

interr = 0

strinput = "Please enter a recession value R for replacing zero flows" & vbCrLf & _
"Streamflow from the last nonzero day will be used to calculate a replacement flow." & vbCrLf & _
" QToday = R * QYesterday " & vbCrLf & _
"Subsequent zero-flow days will follow the recession. R must be greater than zero and less than or equal to one."

10: vtemp = InputBox(strinput, "Enter a substitute for zero values of the predictor", dZedQ)

Call CkQ(vtemp, interr, 1)

If interr = 0 And ((vtemp <= 0#) Or (vtemp >= 1#)) Then interr = 1

If interr <> 0 And vtemp <> "" Then
 intmsg = MsgBox("This value is not valid try again?", vbYesNo, "Error:")
 If intmsg <> 6 Then
  Me.optZed.Value = True
  dZedQ = 0.5
  Exit Sub
 Else
  GoTo 10:
 End If
ElseIf interr <> 0 And vtemp = "" Then
  MsgBox "You chose cancel; please specify an option.", vbOKOnly, "Cancel"
  Me.optZed.Value = True
  dZedQ = 0#
  Exit Sub
Else
 dZedQ = CDbl(vtemp)
End If
End Sub

Private Sub tbBCF_Validate(Index As Integer, Cancel As Boolean)
'
' Purpose:
' To check input
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim vtemp As Variant
Dim interr As Integer

 vtemp = Me.tbBCF(Index).Text ' Take input as variant
 
 Call CkVal(vtemp, interr, 2)  ' Check that entry is numeric
 
 If interr = 0 Then
  dKTBCF(Index + 1) = vtemp  ' assign value control array 0-4 val array 1-5
  Cancel = False               ' Allow the user to progress
 Else
  strMsgString = "Error the BCF value: " & vtemp & " for segment: " & (Index + 1) & _
  " is not being read as a number. Enter a number."
  MsgBox strMsgString, vbCritical, "Error:"
  Cancel = True                ' Do not allow the user to progress
 End If
End Sub

Private Sub tbInt_Validate(Index As Integer, Cancel As Boolean)
'
' Purpose:
' To check input
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim vtemp As Variant
Dim interr As Integer

 vtemp = Me.tbInt(Index).Text ' Take input as variant
 
 Call CkVal(vtemp, interr, 2)  ' Check that entry is numeric
 
 If interr = 0 Then
  dKTIntercept(Index + 1) = vtemp  ' assign value control array 0-4 val array 1-5
  Cancel = False               ' Allow the user to progress
 Else
  strMsgString = "Error the intercept value: " & vtemp & " for segment: " & (Index + 1) & _
  " is not being read as a number. Enter a number."
  MsgBox strMsgString, vbCritical, "Error:"
  Cancel = True                ' Do not allow the user to progress
 End If

End Sub

Private Sub tbMaxX_Validate(Index As Integer, Cancel As Boolean)
'
' Purpose:
' To check input
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim vtemp As Variant
Dim interr As Integer

 vtemp = Me.tbMaxX(Index).Text ' Take input as variant
 
 Call CkVal(vtemp, interr, 2)  ' Check that entry is numeric
 
 If interr = 0 Then
  dKTMax(Index + 1) = vtemp  ' assign value control array 0-4 val array 1-5
  Cancel = False               ' Allow the user to progress
 Else
  strMsgString = "Error the maximum X value: " & vtemp & " for segment: " & (Index + 1) & _
  " is not being read as a number. Enter a number."
  MsgBox strMsgString, vbCritical, "Error:"
  Cancel = True                ' Do not allow the user to progress
 End If

End Sub

Private Sub tbSlope_Validate(Index As Integer, Cancel As Boolean)
'
' Purpose:
' To check input
' History:
' Version 1.0 Dec 2005 by G.E. Granato
'
' Arguments
Dim strMsgString As String      ' Saved Message box
Dim vtemp As Variant
Dim interr As Integer

 vtemp = Me.tbSlope(Index).Text ' Take input as variant
 
 Call CkVal(vtemp, interr, 2)  ' Check that entry is numeric
 
 If interr = 0 Then
  dKTSlope(Index + 1) = vtemp  ' assign value control array 0-4 val array 1-5
  Cancel = False               ' Allow the user to progress
 Else
  strMsgString = "Error the slope value: " & vtemp & " for segment: " & (Index + 1) & _
  " is not being read as a number.  Enter a number"
  MsgBox strMsgString, vbCritical, "Error:"
  Cancel = True                ' Do not allow the user to progress
 End If


End Sub
